commit 00Meta for openSUSE:Leap:15.2:ARM:Images

2020-08-14 Thread root
Hello community,

here is the log from the commit of package 00Meta for 
openSUSE:Leap:15.2:ARM:Images checked in at 2020-08-15 06:46:01

Comparing /work/SRC/openSUSE:Leap:15.2:ARM:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.2:ARM:Images/.00Meta.new.3399 (New)


Package is "00Meta"

Sat Aug 15 06:46:01 2020 rev:134 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_totest ++
--- /var/tmp/diff_new_pack.aoCd9z/_old  2020-08-15 06:46:02.743186617 +0200
+++ /var/tmp/diff_new_pack.aoCd9z/_new  2020-08-15 06:46:02.743186617 +0200
@@ -1 +1 @@
-1.22
\ No newline at end of file
+1.23
\ No newline at end of file




commit 000update-repos for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2020-08-14 21:08:39

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.3399 (New)


Package is "000update-repos"

Fri Aug 14 21:08:39 2020 rev:1217 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  15.1:update_1597429362.packages.xz



Other differences:
--






































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































commit 000update-repos for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2020-08-14 21:08:16

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.3399 (New)


Package is "000update-repos"

Fri Aug 14 21:08:16 2020 rev:1216 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  factory:non-oss_2352.2.packages.xz



Other differences:
--





































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































commit 000update-repos for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2020-08-14 21:08:05

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.3399 (New)


Package is "000update-repos"

Fri Aug 14 21:08:05 2020 rev:1215 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  factory_20200813.packages.xz



Other differences:
--




































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































commit hylafax+ for openSUSE:Leap:15.1:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package hylafax+ for 
openSUSE:Leap:15.1:Update checked in at 2020-08-14 20:18:59

Comparing /work/SRC/openSUSE:Leap:15.1:Update/hylafax+ (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Update/.hylafax+.new.3399 (New)


Package is "hylafax+"

Fri Aug 14 20:18:59 2020 rev:2 rq:825829 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.z6kPDA/_old  2020-08-14 20:18:59.868623204 +0200
+++ /var/tmp/diff_new_pack.z6kPDA/_new  2020-08-14 20:18:59.868623204 +0200
@@ -1 +1 @@
-
+




commit hylafax+ for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package hylafax+ for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 20:18:52

Comparing /work/SRC/openSUSE:Leap:15.2:Update/hylafax+ (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.hylafax+.new.3399 (New)


Package is "hylafax+"

Fri Aug 14 20:18:52 2020 rev:2 rq:825828 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.sUHotP/_old  2020-08-14 20:18:53.080620212 +0200
+++ /var/tmp/diff_new_pack.sUHotP/_new  2020-08-14 20:18:53.080620212 +0200
@@ -1 +1 @@
-
+




commit patchinfo.13686 for openSUSE:Leap:15.1:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package patchinfo.13686 for 
openSUSE:Leap:15.1:Update checked in at 2020-08-14 20:19:00

Comparing /work/SRC/openSUSE:Leap:15.1:Update/patchinfo.13686 (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Update/.patchinfo.13686.new.3399 (New)


Package is "patchinfo.13686"

Fri Aug 14 20:19:00 2020 rev:1 rq:825829 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _patchinfo



Other differences:
--
++ _patchinfo ++

  VUL-0: CVE-2020-15396: hylafax+: Chown as 
root in user controlled directories allows for privilege escalation
  VUL-0: CVE-2020-15397: hylafax+: Sourcing 
of files into binaries from user writeable directories
  
  
  DocB
  moderate
  security
  Security update for hylafax+
  This update for hylafax+ fixes the following issues:

Hylafax was updated to upstream version 7.0.3.

Security issues fixed:

- CVE-2020-15396: Secure temporary directory creation for faxsetup, 
faxaddmodem, and probemodem (boo#1173521).
- CVE-2020-15397: Sourcing of files into binaries from user writeable 
directories (boo#1173519).

Non-security issues fixed:

* add UseSSLFax feature in sendfax, sendfax.conf, hyla.conf, and JobControl
  (31 Jul 2020)
* be more resilient in listening for the Phase C carrier (30 Jul 2020)
* make sure to return to command mode if HDLC receive times out (29 Jul 2020)
* make faxmail ignore boundaries on parts other than multiparts (29 Jul 2020)
* don't attempt to write zero bytes of data to a TIFF (29 Jul 2020)
* don't ever respond to CRP with CRP (28 Jul 2020)
* reset frame counter when a sender retransmits PPS for a previously confirmed
  ECM block (26 Jul 2020)
* scrutinize PPM before concluding that the sender missed our MCF (23 Jul 2020)
* fix modem recovery after SSL Fax failure (22, 26 Jul 2020)
* ignore echo of PPR, RTN, CRP (10, 13, 21 Jul 2020)
* attempt to handle NSF/CSI/DIS in Class 1 sending Phase D (6 Jul 2020)
* run scripts directly rather than invoking them via a shell for security
  hardening (3-5 Jul 2020)
* add senderFumblesECM feature (3 Jul 2020)
* add support for PIN/PIP/PRI-Q/PPS-PRI-Q signals, add senderConfusesPIN
  feature, and utilize PIN for rare conditions where it may be helpful
  (2, 6, 13-14 Jul 2020)
* add senderConfusesRTN feature (25-26 Jun 2020)
* add MissedPageHandling feature (24 Jun 2020)
* use and handle CFR in Phase D to retransmit Phase C (16, 23 Jun 2020)
* cope with hearing echo of RR, CTC during Class 1 sending (15-17 Jun 2020)
* fix listening for retransmission of MPS/EOP/EOM if it was received
  corrupt on the first attempt (15 Jun 2020)
* don't use CRP when receiving PPS/PPM as some senders think
  we are sending MCF (12 Jun 2020)
* add BR_SSLFAX to show SSL Fax in notify and faxinfo output (1 Jun 2020)
* have faxinfo put units on non-standard page dimensions (28 May 2020)
* improve error messages for JobHost connection errors (22 May 2020)
* fix perpetual blocking of jobs when a job preparation fails,
  attempt to fix similar blocking problems for bad jobs in
  batches, and add "unblock" faxconfig feature (21 May 2020)
* ignore TCF if we're receiving an SSL Fax (31 Jan 2020)
* fixes for build on FreeBSD 12.1 (31 Jan - 3 Feb 2020)





commit 00Meta for openSUSE:Leap:15.2:Images

2020-08-14 Thread root
Hello community,

here is the log from the commit of package 00Meta for openSUSE:Leap:15.2:Images 
checked in at 2020-08-14 19:45:23

Comparing /work/SRC/openSUSE:Leap:15.2:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Images/.00Meta.new.3399 (New)


Package is "00Meta"

Fri Aug 14 19:45:23 2020 rev:467 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_snapshot ++
--- /var/tmp/diff_new_pack.O2RIlM/_old  2020-08-14 19:45:24.787728846 +0200
+++ /var/tmp/diff_new_pack.O2RIlM/_new  2020-08-14 19:45:24.791728848 +0200
@@ -1 +1 @@
-31.139
\ No newline at end of file
+31.141
\ No newline at end of file




commit patchinfo.13682 for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package patchinfo.13682 for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 18:20:50

Comparing /work/SRC/openSUSE:Leap:15.2:Update/patchinfo.13682 (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.patchinfo.13682.new.3399 (New)


Package is "patchinfo.13682"

Fri Aug 14 18:20:50 2020 rev:1 rq:825821 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _patchinfo



Other differences:
--
++ _patchinfo ++

  
  
  VUL-0: CVE-2020-17367,CVE-2020-17368: 
firejail -- security update
  sebix
  moderate
  security
  Security update for firejail
  This update for firejail fixes the following issues:

- CVE-2020-17367: The end-of-options separator -- was not handled correctly 
(boo#1174986).
- CVE-2020-17368: An attacker who has control over the command line arguments 
could run arbitrary commands (boo#1174986).





commit 00Meta for openSUSE:Leap:15.2:Images

2020-08-14 Thread root
Hello community,

here is the log from the commit of package 00Meta for openSUSE:Leap:15.2:Images 
checked in at 2020-08-14 18:01:16

Comparing /work/SRC/openSUSE:Leap:15.2:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Images/.00Meta.new.3399 (New)


Package is "00Meta"

Fri Aug 14 18:01:16 2020 rev:466 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_totest ++
--- /var/tmp/diff_new_pack.LIKxlT/_old  2020-08-14 18:01:18.184966639 +0200
+++ /var/tmp/diff_new_pack.LIKxlT/_new  2020-08-14 18:01:18.184966639 +0200
@@ -1 +1 @@
-31.140
\ No newline at end of file
+31.141
\ No newline at end of file




commit chromium for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package chromium for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:29:43

Comparing /work/SRC/openSUSE:Leap:15.2:Update/chromium (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.chromium.new.3399 (New)


Package is "chromium"

Fri Aug 14 17:29:43 2020 rev:4 rq:826575 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.aRsuWY/_old  2020-08-14 17:29:55.712066021 +0200
+++ /var/tmp/diff_new_pack.aRsuWY/_new  2020-08-14 17:29:55.712066021 +0200
@@ -1 +1 @@
-
+




commit chromium for openSUSE:Leap:15.1:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package chromium for 
openSUSE:Leap:15.1:Update checked in at 2020-08-14 17:29:28

Comparing /work/SRC/openSUSE:Leap:15.1:Update/chromium (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Update/.chromium.new.3399 (New)


Package is "chromium"

Fri Aug 14 17:29:28 2020 rev:32 rq:826575 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.yOVYLz/_old  2020-08-14 17:29:29.552054676 +0200
+++ /var/tmp/diff_new_pack.yOVYLz/_new  2020-08-14 17:29:29.552054676 +0200
@@ -1 +1 @@
-
+




commit python-azure-agent.13646 for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-azure-agent.13646 for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:28:50

Comparing /work/SRC/openSUSE:Leap:15.2:Update/python-azure-agent.13646 (Old)
 and  
/work/SRC/openSUSE:Leap:15.2:Update/.python-azure-agent.13646.new.3399 (New)


Package is "python-azure-agent.13646"

Fri Aug 14 17:28:50 2020 rev:1 rq:824922 version:2.2.45

Changes:

New Changes file:

--- /dev/null   2020-08-06 00:20:10.149648038 +0200
+++ 
/work/SRC/openSUSE:Leap:15.2:Update/.python-azure-agent.13646.new.3399/python-azure-agent.changes
   2020-08-14 17:28:50.660037806 +0200
@@ -0,0 +1,624 @@
+---
+Fri Jul 17 17:20:01 UTC 2020 - Robert Schweikert 
+
+- Add proper_dhcp_config_set.patch (bsc#1173866)
+  + Properly set the dhcp configuration to push the hostname to the DHCP
+server
+  + Do not bring the interface down to push the hostname, just use ifup
+
+---
+Tue Mar 24 20:41:35 UTC 2020 - Robert Schweikert 
+
+- Add paa_use_hostnamectl.patch (bsc#1167601, bsc#1167602)
+  + Set the hostname using hostnamectl to ensure setting is
+properly applied
+
+---
+Mon Feb  3 15:53:16 UTC 2020 - Dominique Leuenberger 
+
+- BuildRequire pkgconfig(udev) instead of udev: allow OBS to
+  shortcut through -mini flavors.
+
+---
+Thu Dec  5 21:10:48 UTC 2019 - Robert Schweikert 
+
+- Update to version 2.2.45 (jsc#ECO-80)
+  + Remove paa_cve_2019-0804.patch, included upstream
+  + Add support for Gen2 VM resource disks
+  + Use alternate systemd detection
+  + Fix /proc/net/route requirement that causes errors on FreeBSD
+  + Add cloud-init auto-detect to prevent multiple provisioning mechanisms
+from relying on configuration for coordination
+  + Disable cgroups when daemon is setup incorrectly
+  + Remove upgrade extension loop for the same goal state
+  + Add container id for extension telemetry events
+  + Be more exact when detecting IMDS service health
+  + Changing add_event to start sending missing fields
+- From 2.2.44
+  + Remove outdated extension ZIP packages
+  + Improved error handling when starting extensions using systemd
+  + Reduce provisioning time of some custom images
+  + Improve the handling of extension download errors
+  + New API for extension authors to handle errors during extension update
+  + Fix handling of errors in calls to openssl
+  + Improve logic to determine current distro
+  + Reduce verbosity of several logging statements
+- From 2.2.42
+  + Poll for artifact blob, addresses goal state procesing issue
+- From 2.2.41
+  + Rewriting the mechanism to start the extension using systemd-run for
+systems using systemd for managing
+  + Refactoring of resource monitoring framework using cgroup for both
+systemd and non-systemd approaches [#1530, #1534]
+  + Telemetry pipeline for resource monitoring data
+- From 2.2.40
+  + Fixed tracking of memory/cpu usage
+  + Do not prevent extensions from running if setting up cgroups fails
+  + Enable systemd-aware deprovisioning on all versions >= 18.04
+  + Add systemd support for Debian Jessie, Stretch, and Buster
+  + Support for Linux Openwrt
+- From 2.2.38
+  + Fix CVE-2019-0804
+  + Add fixes for handling swap file and other nit fixes
+- From 2.2.37
+  + Improves re-try logic to handle errors while downloading extensions
+
+---
+Thu Mar  7 18:21:15 UTC 2019 - Robert Schweikert 
+
+- Add paa_cve_2019-0804.patch (bsc#1127838)
+  - An issue with swapfile handling in the agent creates a data leak situation
+that exposes system memory data.
+
+---
+Thu Feb  7 17:09:52 UTC 2019 - Robert Schweikert 
+
+- Update to 2.2.36 (bsc#1119542)
+  - Remove, included upstream
++ paa_fix_driver_install_detect.patch
++ paa_rdma_install_proper_driver.patch
++ 0001-Obtain-platform-information-in-Python-version-depend.patch
++ 0001-Detect-openSUSE-and-SLES.patch
++ 0001-Handle-the-disapperance-of-net-tools.patch
++ 0001-Properly-detect-SLES-15-for-rdma-support.patch
+  - Forward port agent-no-auto-update.patch
+  - [#1451] Do not utf-8 encode telemetry messages
+- From 2.2.35
+  + [#1434] Use files instead of pipes to capture stdout/stderr
+  + [#1431] Prevent multiple downloads of zips
+  + [#1418] Add main module to Python's egg
+  + [#1416] Fix UTF-8 encoding for telemetry payload
+  + [#1408] Honor the 'no_proxy' flag
+  + [#1391, #1401, #1441] Azure Stack improvements
+  + [#1384] Write status file in WALinuxAgent lib folder
+  + [#1375] 

commit chromium.13679 for openSUSE:Leap:15.1:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package chromium.13679 for 
openSUSE:Leap:15.1:Update checked in at 2020-08-14 17:29:13

Comparing /work/SRC/openSUSE:Leap:15.1:Update/chromium.13679 (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Update/.chromium.13679.new.3399 (New)


Package is "chromium.13679"

Fri Aug 14 17:29:13 2020 rev:1 rq:826575 version:84.0.4147.125

Changes:

New Changes file:

--- /dev/null   2020-08-06 00:20:10.149648038 +0200
+++ 
/work/SRC/openSUSE:Leap:15.1:Update/.chromium.13679.new.3399/chromium.changes   
2020-08-14 17:29:26.336053281 +0200
@@ -0,0 +1,5812 @@
+---
+Mon Aug 10 22:06:22 UTC 2020 - Andreas Stieger 
+ 
+ - Chromium 84.0.4147.125 (boo#1175085)
+   * CVE-2020-6542: Use after free in ANGLE
+   * CVE-2020-6543: Use after free in task scheduling
+   * CVE-2020-6544: Use after free in media
+   * CVE-2020-6545: Use after free in audio
+   * CVE-2020-6546: Inappropriate implementation in installer
+   * CVE-2020-6547: Incorrect security UI in media
+   * CVE-2020-6548: Heap buffer overflow in Skia
+   * CVE-2020-6549: Use after free in media
+   * CVE-2020-6550: Use after free in IndexedDB
+   * CVE-2020-6551: Use after free in WebXR
+   * CVE-2020-6552: Use after free in Blink
+   * CVE-2020-6553: Use after free in offline mode
+   * CVE-2020-6554: Use after free in extensions
+   * CVE-2020-6555: Out of bounds read in WebGL
+   * Various fixes from internal audits, fuzzing and other
+ initiatives
+
+---
+Mon Aug 10 10:50:11 UTC 2020 - Tomáš Chvátal 
+
+- Disable wayland everywhere as it breaks headless and
+  middle mouse copy everywhere:
+  bsc#1174497 bsc#1175044
+
+---
+Mon Aug  3 17:48:18 UTC 2020 - Andreas Stieger 
+
+- Update to 84.0.4147.105 (boo#1174582):
+  * CVE-2020-6537: Type Confusion in V8
+  * CVE-2020-6538: Inappropriate implementation in WebView
+  * CVE-2020-6532: Use after free in SCTP
+  * CVE-2020-6539: Use after free in CSS
+  * CVE-2020-6540: Heap buffer overflow in Skia
+  * CVE-2020-6541: Use after free in WebUSB
+
+---
+Fri Jul 17 07:00:20 UTC 2020 - Tomáš Chvátal 
+
+- Try to fix non-wayland build for Leap builds
+
+---
+Thu Jul 16 11:33:24 UTC 2020 - Tomáš Chvátal 
+
+- Update to 84.0.4147.89 bsc#1174189:
+  * Critical CVE-2020-6510: Heap buffer overflow in background fetch. 
+  * High CVE-2020-6511: Side-channel information leakage in content security 
policy. 
+  * High CVE-2020-6512: Type Confusion in V8. 
+  * High CVE-2020-6513: Heap buffer overflow in PDFium. 
+  * High CVE-2020-6514: Inappropriate implementation in WebRTC. 
+  * High CVE-2020-6515: Use after free in tab strip. 
+  * High CVE-2020-6516: Policy bypass in CORS. 
+  * High CVE-2020-6517: Heap buffer overflow in history. 
+  * Medium CVE-2020-6518: Use after free in developer tools. 
+  * Medium CVE-2020-6519: Policy bypass in CSP. 
+  * Medium CVE-2020-6520: Heap buffer overflow in Skia. 
+  * Medium CVE-2020-6521: Side-channel information leakage in autofill.
+  * Medium CVE-2020-6522: Inappropriate implementation in external protocol 
handlers. 
+  * Medium CVE-2020-6523: Out of bounds write in Skia. 
+  * Medium CVE-2020-6524: Heap buffer overflow in WebAudio. 
+  * Medium CVE-2020-6525: Heap buffer overflow in Skia. 
+  * Low CVE-2020-6526: Inappropriate implementation in iframe sandbox. 
+  * Low CVE-2020-6527: Insufficient policy enforcement in CSP. 
+  * Low CVE-2020-6528: Incorrect security UI in basic auth. 
+  * Low CVE-2020-6529: Inappropriate implementation in WebRTC. 
+  * Low CVE-2020-6530: Out of bounds memory access in developer tools. 
+  * Low CVE-2020-6531: Side-channel information leakage in scroll to text. 
+  * Low CVE-2020-6533: Type Confusion in V8. 
+  * Low CVE-2020-6534: Heap buffer overflow in WebRTC. 
+  * Low CVE-2020-6535: Insufficient data validation in WebUI. 
+  * Low CVE-2020-6536: Incorrect security UI in PWAs.
+- Use bundled xcb-proto as we need to generate py2 bindings
+- Add new patches:
+  * chromium-84-AXObject-stl-iterator.patch
+  * chromium-84-FilePath-add-noexcept.patch
+  * chromium-84-base-has_bultin.patch
+  * chromium-84-blink-disable-clang-format.patch
+  * chromium-84-fix-decltype.patch
+  * chromium-84-gcc-DOMRect-constexpr.patch
+  * chromium-84-gcc-include.patch
+  * chromium-84-gcc-noexcept.patch
+  * chromium-84-gcc-template.patch
+  * chromium-84-gcc-unique_ptr.patch
+  * chromium-84-gcc-use-brace-initializer.patch
+  * chromium-84-nss-include.patch
+  * chromium-84-ozone-include.patch
+  * 

commit perl-XML-Twig for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package perl-XML-Twig for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:28:56

Comparing /work/SRC/openSUSE:Leap:15.2:Update/perl-XML-Twig (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.perl-XML-Twig.new.3399 (New)


Package is "perl-XML-Twig"

Fri Aug 14 17:28:56 2020 rev:1 rq:824963 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _link



Other differences:
--
++ _link ++




commit patchinfo.13630 for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package patchinfo.13630 for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:28:24

Comparing /work/SRC/openSUSE:Leap:15.2:Update/patchinfo.13630 (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.patchinfo.13630.new.3399 (New)


Package is "patchinfo.13630"

Fri Aug 14 17:28:24 2020 rev:1 rq:824817 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _patchinfo



Other differences:
--
++ _patchinfo ++

  
  
  
  VUL-1: CVE-2020-15466: wireshark: GVCP 
dissector infinite loop (wnpa-sec-2020-09)
  VUL-1: CVE-2020-13164 : wireshark: NFS 
dissector crash (wnpa-sec-2020-08)
  VUL-0: CVE-2020-11647: wireshark: Upgrade 
to 3.2.3, 3.0.10, 2.6.16 (wnpa-sec-2020-07)
  rfrohl
  moderate
  security
  Security update for wireshark
  This update for wireshark fixes the following issues:

- Wireshark to 3.2.5:
  * CVE-2020-15466: GVCP dissector infinite loop (bsc#1173606)
  * CVE-2020-13164: NFS dissector crash (bsc#1171899)
  * CVE-2020-11647: The BACapp dissector could crash (bsc#1169063)
- Further features, bug fixes and updated protocol support as listed in:
  https://www.wireshark.org/docs/relnotes/wireshark-3.2.5.html

This update was imported from the SUSE:SLE-15:Update update 
project.




commit patchinfo.13674 for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package patchinfo.13674 for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:29:09

Comparing /work/SRC/openSUSE:Leap:15.2:Update/patchinfo.13674 (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.patchinfo.13674.new.3399 (New)


Package is "patchinfo.13674"

Fri Aug 14 17:29:09 2020 rev:1 rq:825653 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _patchinfo



Other differences:
--
++ _patchinfo ++

  VUL-0: CVE-2020-15652: 
MozillaFirefox,MozillaThunderbird: Update to 79/78.1ESR
  
  
  
  
  MSirringhaus
  important
  security
  Security update for MozillaThunderbird
  This update for MozillaThunderbird fixes the following issues:

- Updated to Mozilla Thunderbird 68.11:
  * Fixed various security issues (MFSA-2020-35, bsc#1174538).
  * Fixed CVE-2020-15652: Potential leak of redirect targets when loading 
scripts in a worker (bsc#1174538).
  * Fixed CVE-2020-6514: WebRTC data channel leaks internal address to peer 
(bsc#1174538).
  * Fixed CVE-2020-6463: Use-after-free in ANGLE 
gl::Texture::onUnbindAsSamplerTexture (bsc#1174538).
  * Fixed CVE-2020-15659: Memory safety bugs fixed in Thunderbird 68.11 
(bsc#1174538).
  * Fixed a bug with FileLink attachments included as a link and file when 
added from a network drive via drag  drop (bmo#793118).

This update was imported from the SUSE:SLE-15:Update update 
project.




commit MozillaThunderbird for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package MozillaThunderbird for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:29:07

Comparing /work/SRC/openSUSE:Leap:15.2:Update/MozillaThunderbird (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.MozillaThunderbird.new.3399 (New)


Package is "MozillaThunderbird"

Fri Aug 14 17:29:07 2020 rev:2 rq:825653 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.O724Eb/_old  2020-08-14 17:29:09.464045962 +0200
+++ /var/tmp/diff_new_pack.O724Eb/_new  2020-08-14 17:29:09.464045962 +0200
@@ -1 +1 @@
-
+




commit gnome-control-center.13632 for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package gnome-control-center.13632 for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:28:33

Comparing /work/SRC/openSUSE:Leap:15.2:Update/gnome-control-center.13632 (Old)
 and  
/work/SRC/openSUSE:Leap:15.2:Update/.gnome-control-center.13632.new.3399 (New)


Package is "gnome-control-center.13632"

Fri Aug 14 17:28:33 2020 rev:1 rq:824766 version:3.34.6

Changes:

New Changes file:

--- /dev/null   2020-08-06 00:20:10.149648038 +0200
+++ 
/work/SRC/openSUSE:Leap:15.2:Update/.gnome-control-center.13632.new.3399/gnome-control-center.changes
   2020-08-14 17:28:35.540031247 +0200
@@ -0,0 +1,7521 @@
+---
+Wed May 13 20:08:38 UTC 2020 - Michael Gorse 
+
+- Update to version 3.34.6: 
+  + Sound: fix translation of "System Sounds".
+
+---
+Mon Mar 30 08:25:48 UTC 2020 - Bjørn Lie 
+
+- Update to version 3.34.5:
+  + Remove some dead code.
+  + Display: Fix resolution options getting stuck in a low
+resolution (bsc#1160173 glgo#GNOME/Settings#903).
+  + Network:
+- Print warning if failed to save to libsecret.
+- Handle security combo box being not selected correctly.
+- Fix small memory leaks.
+  + Sharing: Fix small memory leak.
+  + User Accounts:
+- Fix uninitialized variable.
+- Fix small memory leak.
+  + Updated translations.
+
+---
+Thu Feb 13 22:43:51 UTC 2020 - Bjørn Lie 
+
+- Update to version 3.34.4:
+  + Thunderbolt: Fix memory leak.
+  + Printers: Fix read of freed memory.
+  + User Accounts:
+- Use absolute path of command usermod.
+- Fix carousel arrow location when animations are disabled.
+- Fix memory leak.
+- Fix uninitialized variable.
+  + Region & Language: Fix LC_* variables not being correctly
+reset.
+  + Sound: Add missing subwoofer icons.
+  + Updated translations.
+- Drop gnome-control-center-can-not-find-usermod.patch: Fixed
+  upstream.
+
+---
+Fri Jan 10 18:56:00 UTC 2020 - Bjørn Lie 
+
+- No longer recommend gnome-control-center-lang: the lang package
+  has relevant supplements which pulls it in whenever needed.
+- Move /usr/share/locale/en from the -lang package to the main
+  package: English is installed on all systems. This avoids
+  gnome-control-center-lang being triggered for installation on
+  english-only systems.
+
+---
+Thu Jan  9 20:24:39 UTC 2020 - Michael Gorse 
+
+- Add gnome-control-center-fno-common.patch: fix build with
+  -fno-common (boo#1160393 glgo#GNOME/gnome-control-center!681).
+
+---
+Thu Dec 12 02:25:20 UTC 2019 - Xiaoguang Wang 
+
+- Add gnome-control-center-Initialize-GError-to-NULL-before-use.patch:
+  backport upstream commit 54caab7b, initialize GError* to NULL
+  before use, fix g-c-c crash.
+
+---
+Fri Dec  6 09:21:09 UTC 2019 - QK ZHU 
+
+- Rebase gnome-control-center-more-power-button-actions.patch for 3.34:
+  Rename 'Shutdown' to 'Force Off' and adjust the order by severity
+  (bsc#1091796, bsc#1158476).
+
+---
+Thu Dec  5 01:45:59 UTC 2019 - Xiaoguang Wang 
+
+- Add gnome-control-center-can-not-find-usermod.patch:
+  g-c-c use command usermod to verify user is valid, usermod is in
+  /usr/sbin, environment PATH doesn't include this path, so g-c-c
+  can't find this command. Upstream commit c6be204
+  (bsc#1158341 glgo#GNOME/gnome-control-center!653).
+
+---
+Mon Nov 25 15:22:25 UTC 2019 - Bjørn Lie 
+
+- Update to version 3.34.2:
+  + Applications: Fix a memory leak.
+  + Background: Fix crash if a BgRecentSource is unreffed during an
+async operation.
+  + Display: Use correct mode for supported scale checking.
+  + Printer: Provide a scheme to address parser.
+  + User Accounts: Fix password dialog crashes and hangs.
+  + Updated translations.
+
+---
+Tue Nov 19 08:19:16 UTC 2019 - Alynx Zhou 
+
+- Drop patches fixed upstream:
+  + control-center-fix-crash-due-to-object-name-clashes.patch
+  + control-center-fix-crash-opening-hidden-network.patch
+  + control-center-sharing-fix-margin-issue.patch
+  + gnome-control-center-fix-users-crash.patch
+  + gnome-control-center-periodic-wifi-scan.patch
+  + gnome-control-center-users-empty-state.patch
+
+---
+Fri Nov 15 04:40:33 UTC 2019 - 

commit patchinfo.13631 for openSUSE:Leap:15.2:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package patchinfo.13631 for 
openSUSE:Leap:15.2:Update checked in at 2020-08-14 17:28:29

Comparing /work/SRC/openSUSE:Leap:15.2:Update/patchinfo.13631 (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Update/.patchinfo.13631.new.3399 (New)


Package is "patchinfo.13631"

Fri Aug 14 17:28:29 2020 rev:1 rq:824765 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _patchinfo



Other differences:
--
++ _patchinfo ++

  VUL-0: CVE-2020-4044: xrdp: xrdp-sesman can 
be crashed remotely over port 3350
  
  yfjiang
  important
  security
  Security update for xrdp
  This update for xrdp fixes the following issues:

- Update to version 0.9.13.1
  + This is a security fix release that includes fixes for the
following local buffer overflow vulnerability (bsc#1173580): CVE-2020-4044

This update was imported from the SUSE:SLE-15-SP2:Update update 
project.




commit yast2-tftp-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-tftp-server for 
openSUSE:Factory checked in at 2020-08-14 13:08:46

Comparing /work/SRC/openSUSE:Factory/yast2-tftp-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-tftp-server.new.3399 (New)


Package is "yast2-tftp-server"

Fri Aug 14 13:08:46 2020 rev:41 rq:825968 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-tftp-server/yast2-tftp-server.changes  
2020-05-15 23:50:58.481388986 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-tftp-server.new.3399/yast2-tftp-server.changes
2020-08-14 13:08:50.281198971 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 15:57:48 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(tftp-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-tftp-server-4.3.0.tar.bz2

New:

  yast2-tftp-server-4.3.1.tar.bz2



Other differences:
--
++ yast2-tftp-server.spec ++
--- /var/tmp/diff_new_pack.V1zn2u/_old  2020-08-14 13:08:50.709199134 +0200
+++ /var/tmp/diff_new_pack.V1zn2u/_new  2020-08-14 13:08:50.713199136 +0200
@@ -20,7 +20,7 @@
 Summary:YaST2 - TFTP Server Configuration
 License:GPL-2.0-or-later
 Group:  System/YaST
-Version:4.3.0
+Version:4.3.1
 Release:0
 Url:https://github.com/yast/yast-tftp-server
 
@@ -44,6 +44,8 @@
 Requires:   yast2-ruby-bindings >= 1.0.0
 Requires:   rubygem(%rb_default_ruby_abi:cfa)
 
+Supplements:autoyast(tftp-server)
+
 BuildArch:  noarch
 
 %description

++ yast2-tftp-server-4.3.0.tar.bz2 -> yast2-tftp-server-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-tftp-server-4.3.0/package/yast2-tftp-server.changes 
new/yast2-tftp-server-4.3.1/package/yast2-tftp-server.changes
--- old/yast2-tftp-server-4.3.0/package/yast2-tftp-server.changes   
2020-05-13 16:28:17.0 +0200
+++ new/yast2-tftp-server-4.3.1/package/yast2-tftp-server.changes   
2020-08-12 12:04:31.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 15:57:48 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(tftp-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Wed May 13 09:08:21 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-tftp-server-4.3.0/package/yast2-tftp-server.spec 
new/yast2-tftp-server-4.3.1/package/yast2-tftp-server.spec
--- old/yast2-tftp-server-4.3.0/package/yast2-tftp-server.spec  2020-05-13 
16:28:17.0 +0200
+++ new/yast2-tftp-server-4.3.1/package/yast2-tftp-server.spec  2020-08-12 
12:04:31.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   yast2-tftp-server
 Summary:YaST2 - TFTP Server Configuration
-Version:4.3.0
+Version:4.3.1
 Release:0
 Group:  System/YaST
 License:GPL-2.0-or-later
@@ -44,6 +44,8 @@
 Requires:   rubygem(%rb_default_ruby_abi:cfa)
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(tftp-server)
+
 BuildArch:  noarch
 
 %description




commit python-photutils for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-photutils for 
openSUSE:Factory checked in at 2020-08-14 13:11:42

Comparing /work/SRC/openSUSE:Factory/python-photutils (Old)
 and  /work/SRC/openSUSE:Factory/.python-photutils.new.3399 (New)


Package is "python-photutils"

Fri Aug 14 13:11:42 2020 rev:8 rq:826649 version:0.7.2

Changes:

--- /work/SRC/openSUSE:Factory/python-photutils/python-photutils.changes
2020-07-18 21:01:33.443518337 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-photutils.new.3399/python-photutils.changes  
2020-08-14 13:11:47.653266544 +0200
@@ -1,0 +2,6 @@
+Fri Aug 14 09:13:48 UTC 2020 - Benjamin Greiner 
+
+- add photutils-pr1041-update-watershed-import.patch to fix failing
+  test gh#astropy/photutils#1041 
+
+---

New:

  photutils-pr1041-update-watershed-import.patch



Other differences:
--
++ python-photutils.spec ++
--- /var/tmp/diff_new_pack.rJjvXa/_old  2020-08-14 13:11:48.893267017 +0200
+++ /var/tmp/diff_new_pack.rJjvXa/_new  2020-08-14 13:11:48.893267017 +0200
@@ -27,6 +27,7 @@
 URL:https://github.com/astropy/photutils
 Source: 
https://files.pythonhosted.org/packages/source/p/photutils/photutils-%{version}.tar.gz
 Patch0: 
https://github.com/astropy/photutils/pull/1014.patch#/0001-aperture-mask-test-assert-almost-equal.patch
+Patch1: 
https://github.com/astropy/photutils/pull/1041.patch#/photutils-pr1041-update-watershed-import.patch
 BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module numpy-devel >= 1.13}
 BuildRequires:  %{python_module setuptools}
@@ -55,7 +56,7 @@
 
 %prep
 %setup -q -n photutils-%{version}
-%patch0 -p1
+%autopatch -p1
 
 %build
 export CFLAGS="%{optflags}"

++ photutils-pr1041-update-watershed-import.patch ++
>From 262d9b6ec74217bf635c0cfbbb04bb81136f41cc Mon Sep 17 00:00:00 2001
From: Larry Bradley 
Date: Thu, 21 May 2020 19:00:11 -0400
Subject: [PATCH 1/2] Update watershed import

---
 photutils/segmentation/deblend.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/photutils/segmentation/deblend.py 
b/photutils/segmentation/deblend.py
index 9d964f10b..f45d13951 100644
--- a/photutils/segmentation/deblend.py
+++ b/photutils/segmentation/deblend.py
@@ -219,7 +219,7 @@ def _deblend_source(data, segment_img, npixels, nlevels=32, 
contrast=0.001,
 """
 
 from scipy.ndimage import label as ndilabel
-from skimage.morphology import watershed
+from skimage.segmentation import watershed
 
 if nlevels < 1:
 raise ValueError('nlevels must be >= 1, got "{0}"'.format(nlevels))

>From 8406c5a03edd1272d0cb84bfceef559e1548cbb1 Mon Sep 17 00:00:00 2001
From: Larry Bradley 
Date: Thu, 21 May 2020 19:40:04 -0400
Subject: [PATCH 2/2] Fix RandomState sphinx references

---
 photutils/datasets/make.py |  8 
 photutils/isophote/tests/make_test_data.py |  2 +-
 photutils/segmentation/core.py |  2 +-
 photutils/utils/check_random_state.py  | 12 ++--
 photutils/utils/colormaps.py   |  2 +-
 5 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/photutils/datasets/make.py b/photutils/datasets/make.py
index 99fd5ee67..b6b1f0733 100644
--- a/photutils/datasets/make.py
+++ b/photutils/datasets/make.py
@@ -43,7 +43,7 @@ def apply_poisson_noise(data, random_state=None):
 The array on which to apply Poisson noise.  Every pixel in the
 array must have a positive value (i.e. counts).
 
-random_state : int or `~numpy.random.mtrand.RandomState`, optional
+random_state : int or `~numpy.random.RandomState`, optional
 Pseudo-random number generator state used for random sampling.
 
 Returns
@@ -109,7 +109,7 @@ def make_noise_image(shape, distribution='gaussian', 
mean=None, stddev=None,
 Poisson noise (the variance of the Poisson distribution is equal
 to its mean).
 
-random_state : int or `~numpy.random.mtrand.RandomState`, optional
+random_state : int or `~numpy.random.RandomState`, optional
 Pseudo-random number generator state used for random sampling.
 Separate function calls with the same noise parameters and
 ``random_state`` will generate the identical noise image.
@@ -184,7 +184,7 @@ def make_random_models_table(n_sources, param_ranges, 
random_state=None):
 as a `dict` mapping the parameter name to its ``(lower, upper)``
 bounds.
 
-random_state : int or `~numpy.random.mtrand.RandomState`, optional
+random_state : int or `~numpy.random.RandomState`, optional
 Pseudo-random number generator state used for random sampling.
 
 Returns

commit nrpe for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package nrpe for openSUSE:Factory checked in 
at 2020-08-14 13:11:39

Comparing /work/SRC/openSUSE:Factory/nrpe (Old)
 and  /work/SRC/openSUSE:Factory/.nrpe.new.3399 (New)


Package is "nrpe"

Fri Aug 14 13:11:39 2020 rev:12 rq:823539 version:3.2.1

Changes:

--- /work/SRC/openSUSE:Factory/nrpe/nrpe.changes2020-02-29 
21:23:57.898451250 +0100
+++ /work/SRC/openSUSE:Factory/.nrpe.new.3399/nrpe.changes  2020-08-14 
13:11:42.445264560 +0200
@@ -1,0 +2,5 @@
+Tue Jul 28 15:05:57 UTC 2020 - Thorsten Kukuk 
+
+- Don't install SuSEfirewall2 service file, SuSEfirewall2 is gone
+
+---



Other differences:
--
++ nrpe.spec ++
--- /var/tmp/diff_new_pack.tETC7I/_old  2020-08-14 13:11:43.009264775 +0200
+++ /var/tmp/diff_new_pack.tETC7I/_new  2020-08-14 13:11:43.013264776 +0200
@@ -235,12 +235,7 @@
   %endif
 %endif
 
-%if %{with firewalld}
-  # firewalld service file - handled by firewalld package now
-  # install -Dm 644 %{SOURCE13} 
%{buildroot}%{_libexecdir}/firewalld/services/%{name}.xml
-  # temporary: also install SuSEfirewall2 snipplet for a while
-  install -Dm644 %{SOURCE3} 
%{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/nrpe
-%else
+%if %{without firewalld}
   # install SuSEfirewall2 script
   install -Dm644 %{SOURCE3} 
%{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/nrpe
 %endif
@@ -355,7 +350,9 @@
 echo "include=%{_sysconfdir}/nrpe.cfg" >> %{nagios_sysconfdir}/nrpe.cfg
 fi
 sed -i "s|%{nagios_sysconfdir}/nrpe.cfg|%{_sysconfdir}/nrpe.cfg|g" 
%{_sysconfdir}/xinetd.d/nrpe || :
+%if %{without firewalld}
 sed -i "s|nrpe-service|%{name}|g" %{_sysconfdir}/sysconfig/SuSEfirewall2 || :
+%endif
 if [ -e %{_localstatedir}/adm/update-scripts/nrpe ]; then
 /bin/sh %{_localstatedir}/adm/update-scripts/nrpe
 rm %{_localstatedir}/adm/update-scripts/nrpe
@@ -387,7 +384,9 @@
 %dir %{_sysconfdir}/xinetd.d
 %endif
 %config(noreplace) %{_sysconfdir}/xinetd.d/nrpe
+%if %{without firewalld}
 %config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/nrpe
+%endif
 %if 0%{?suse_version} <= 1230
 %ghost %{_rundir}/%{name}/nrpe.pid
 %endif




commit yast2-registration for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-registration for 
openSUSE:Factory checked in at 2020-08-14 13:10:26

Comparing /work/SRC/openSUSE:Factory/yast2-registration (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-registration.new.3399 (New)


Package is "yast2-registration"

Fri Aug 14 13:10:26 2020 rev:58 rq:826271 version:4.3.7

Changes:

--- /work/SRC/openSUSE:Factory/yast2-registration/yast2-registration.changes
2020-07-30 10:00:08.599222750 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-registration.new.3399/yast2-registration.changes
  2020-08-14 13:10:34.333238612 +0200
@@ -1,0 +2,16 @@
+Thu Aug 13 11:24:33 UTC 2020 - Ladislav Slezák 
+
+- Improved skipping message in the first boot mode, the first boot
+  workflow might not contain the add-on module in the next step
+  (bsc#1174467)
+- 4.3.7
+
+---
+Mon Aug 10 16:01:31 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(suse_register) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.6
+
+---

Old:

  yast2-registration-4.3.5.tar.bz2

New:

  yast2-registration-4.3.7.tar.bz2



Other differences:
--
++ yast2-registration.spec ++
--- /var/tmp/diff_new_pack.vu053B/_old  2020-08-14 13:10:35.061238889 +0200
+++ /var/tmp/diff_new_pack.vu053B/_new  2020-08-14 13:10:35.065238891 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-registration
-Version:4.3.5
+Version:4.3.7
 Release:0
 Summary:YaST2 - Registration Module
 License:GPL-2.0-only
@@ -61,6 +61,8 @@
 # new calls in AutoinstGeneral
 Conflicts:  autoyast2 < 4.3.23
 
+Supplements:autoyast(suse_register)
+
 BuildArch:  noarch
 # SUSEConnect does not build for i586 and s390 and is not supported on those 
architectures
 # bsc#1088552

++ yast2-registration-4.3.5.tar.bz2 -> yast2-registration-4.3.7.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-registration-4.3.5/package/yast2-registration.changes 
new/yast2-registration-4.3.7/package/yast2-registration.changes
--- old/yast2-registration-4.3.5/package/yast2-registration.changes 
2020-07-28 09:33:33.0 +0200
+++ new/yast2-registration-4.3.7/package/yast2-registration.changes 
2020-08-13 14:09:29.0 +0200
@@ -1,4 +1,20 @@
 ---
+Thu Aug 13 11:24:33 UTC 2020 - Ladislav Slezák 
+
+- Improved skipping message in the first boot mode, the first boot
+  workflow might not contain the add-on module in the next step
+  (bsc#1174467)
+- 4.3.7
+
+---
+Mon Aug 10 16:01:31 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(suse_register) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.6
+
+---
 Tue Jul 28 07:20:28 UTC 2020 - Josef Reidinger 
 
 - Handle exceptions when parsing xml file (related to bsc#1170886)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-registration-4.3.5/package/yast2-registration.spec 
new/yast2-registration-4.3.7/package/yast2-registration.spec
--- old/yast2-registration-4.3.5/package/yast2-registration.spec
2020-07-28 09:33:33.0 +0200
+++ new/yast2-registration-4.3.7/package/yast2-registration.spec
2020-08-13 14:09:29.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-registration
-Version:4.3.5
+Version:4.3.7
 Release:0
 Summary:YaST2 - Registration Module
 License:GPL-2.0-only
@@ -61,6 +61,8 @@
 # new calls in AutoinstGeneral
 Conflicts:  autoyast2 < 4.3.23
 
+Supplements:autoyast(suse_register)
+
 BuildArch:  noarch
 # SUSEConnect does not build for i586 and s390 and is not supported on those 
architectures
 # bsc#1088552
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-registration-4.3.5/src/lib/registration/ui/base_system_registration_dialog.rb
 
new/yast2-registration-4.3.7/src/lib/registration/ui/base_system_registration_dialog.rb
--- 
old/yast2-registration-4.3.5/src/lib/registration/ui/base_system_registration_dialog.rb
 2020-07-28 09:33:33.0 +0200
+++ 
new/yast2-registration-4.3.7/src/lib/registration/ui/base_system_registration_dialog.rb
 2020-08-13 14:09:29.0 

commit autoyast2 for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package autoyast2 for openSUSE:Factory 
checked in at 2020-08-14 13:10:17

Comparing /work/SRC/openSUSE:Factory/autoyast2 (Old)
 and  /work/SRC/openSUSE:Factory/.autoyast2.new.3399 (New)


Package is "autoyast2"

Fri Aug 14 13:10:17 2020 rev:286 rq:826198 version:4.3.35

Changes:

--- /work/SRC/openSUSE:Factory/autoyast2/autoyast2.changes  2020-08-01 
12:32:00.206503178 +0200
+++ /work/SRC/openSUSE:Factory/.autoyast2.new.3399/autoyast2.changes
2020-08-14 13:10:20.617233386 +0200
@@ -1,0 +2,24 @@
+Thu Aug 13 07:04:06 UTC 2020 - Michal Filka 
+
+- bsc#1173624
+  - Run firewall configuration in first stage
+- 4.3.35
+
+---
+Tue Aug 11 10:13:57 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(files,general,report,scripts,
+  partitioning,software) into the spec file in order to install
+  this packages if the section has been defined in the AY
+  configuration file (bsc#1146494).
+- 4.3.34
+
+---
+Tue Aug  4 16:31:17 CEST 2020 - sch...@suse.de
+
+- Improve finding the respective package for a section in the XML
+  installation profile. Find a package with the
+  "autoyast()" supplements dependency (bsc#1146494).
+- 4.3.33
+
+---

Old:

  autoyast2-4.3.32.tar.bz2

New:

  autoyast2-4.3.35.tar.bz2



Other differences:
--
++ autoyast2.spec ++
--- /var/tmp/diff_new_pack.oHw0sB/_old  2020-08-14 13:10:21.189233604 +0200
+++ /var/tmp/diff_new_pack.oHw0sB/_new  2020-08-14 13:10:21.193233605 +0200
@@ -22,7 +22,7 @@
 %endif
 
 Name:   autoyast2
-Version:4.3.32
+Version:4.3.35
 Release:0
 Summary:YaST2 - Automated Installation
 License:GPL-2.0-only
@@ -137,6 +137,8 @@
 Provides:   yast2-trans-autoinst
 Obsoletes:  yast2-trans-autoinst
 
+Supplements:autoyast(files,general,report,scripts,partitioning,software)
+
 %description installation
 This package performs auto-installation relying on a control file
 generated with the autoyast2 package.

++ autoyast2-4.3.32.tar.bz2 -> autoyast2-4.3.35.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-4.3.32/package/autoyast2.changes 
new/autoyast2-4.3.35/package/autoyast2.changes
--- old/autoyast2-4.3.32/package/autoyast2.changes  2020-07-31 
10:35:35.0 +0200
+++ new/autoyast2-4.3.35/package/autoyast2.changes  2020-08-13 
09:52:00.0 +0200
@@ -1,4 +1,28 @@
 ---
+Thu Aug 13 07:04:06 UTC 2020 - Michal Filka 
+
+- bsc#1173624
+  - Run firewall configuration in first stage
+- 4.3.35
+
+---
+Tue Aug 11 10:13:57 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(files,general,report,scripts,
+  partitioning,software) into the spec file in order to install
+  this packages if the section has been defined in the AY
+  configuration file (bsc#1146494).
+- 4.3.34
+
+---
+Tue Aug  4 16:31:17 CEST 2020 - sch...@suse.de
+
+- Improve finding the respective package for a section in the XML
+  installation profile. Find a package with the
+  "autoyast()" supplements dependency (bsc#1146494).
+- 4.3.33
+
+---
 Thu Jul 30 14:00:17 UTC 2020 - Knut Anderssen 
 
 - Do not report profile validation errors multiple times if the
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-4.3.32/package/autoyast2.spec 
new/autoyast2-4.3.35/package/autoyast2.spec
--- old/autoyast2-4.3.32/package/autoyast2.spec 2020-07-31 10:35:35.0 
+0200
+++ new/autoyast2-4.3.35/package/autoyast2.spec 2020-08-13 09:52:00.0 
+0200
@@ -22,7 +22,7 @@
 %endif
 
 Name:   autoyast2
-Version:4.3.32
+Version:4.3.35
 Release:0
 Summary:YaST2 - Automated Installation
 License:GPL-2.0-only
@@ -137,6 +137,8 @@
 Provides:   yast2-trans-autoinst
 Obsoletes:  yast2-trans-autoinst
 
+Supplements:autoyast(files,general,report,scripts,partitioning,software)
+
 %description installation
 This package performs auto-installation relying on a control file
 generated with the autoyast2 package.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-4.3.32/src/clients/inst_autoconfigure.rb 

commit python-pypuppetdb for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-pypuppetdb for 
openSUSE:Factory checked in at 2020-08-14 13:10:34

Comparing /work/SRC/openSUSE:Factory/python-pypuppetdb (Old)
 and  /work/SRC/openSUSE:Factory/.python-pypuppetdb.new.3399 (New)


Package is "python-pypuppetdb"

Fri Aug 14 13:10:34 2020 rev:6 rq:824847 version:2.2.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pypuppetdb/python-pypuppetdb.changes  
2020-03-23 12:50:47.311965006 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-pypuppetdb.new.3399/python-pypuppetdb.changes
2020-08-14 13:10:44.293242406 +0200
@@ -1,0 +2,7 @@
+Fri Aug  7 09:18:21 UTC 2020 - Marketa Calabkova 
+
+- Update to 2.2.0
+  * Loosen requirements and drop six
+- Drop loosen-requirements.patch
+
+---

Old:

  loosen-requirements.patch
  v2.1.0.tar.gz

New:

  v2.2.0.tar.gz



Other differences:
--
++ python-pypuppetdb.spec ++
--- /var/tmp/diff_new_pack.b56MFx/_old  2020-08-14 13:10:48.449243990 +0200
+++ /var/tmp/diff_new_pack.b56MFx/_new  2020-08-14 13:10:48.453243991 +0200
@@ -19,15 +19,13 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-pypuppetdb
-Version:2.1.0
+Version:2.2.0
 Release:0
 Summary:Library to work with PuppetDB's REST API
 License:Apache-2.0
 Group:  Development/Languages/Python
 URL:https://github.com/nedap/pypuppetdb
 Source: 
https://github.com/voxpupuli/pypuppetdb/archive/v%{version}.tar.gz
-# PATCH-FIX-OPENSUSE Fix requirements in generated egg-info
-Patch0: loosen-requirements.patch
 BuildRequires:  %{python_module httpretty >= 0.9.6}
 BuildRequires:  %{python_module mock >= 1.0.1}
 BuildRequires:  %{python_module pytest >= 3.0.1}
@@ -46,7 +44,6 @@
 
 %prep
 %setup -q -n pypuppetdb-%{version}
-%patch0 -p1
 
 %build
 %python_build

++ v2.1.0.tar.gz -> v2.2.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pypuppetdb-2.1.0/CHANGELOG.rst 
new/pypuppetdb-2.2.0/CHANGELOG.rst
--- old/pypuppetdb-2.1.0/CHANGELOG.rst  2020-03-20 14:05:40.0 +0100
+++ new/pypuppetdb-2.2.0/CHANGELOG.rst  2020-06-07 20:47:03.0 +0200
@@ -2,8 +2,14 @@
 Changelog
 #
 
+2.2.0
+=
+
+* Loosen requirements and drop six
+
 2.1.0
 =
+
 * Bugfix: Fixed `metric()` function to query the new v2 endpoint based on 
Jolokia (https://jolokia.org/reference/html/protocol.html)
 * Added a new parameter `metric_api_version` to the `BaseAPI()` constructor 
that allows
   changing the version of the `metric` API being queried. Valid values are 
`'v1'` for
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pypuppetdb-2.1.0/python-pypuppetdb.spec 
new/pypuppetdb-2.2.0/python-pypuppetdb.spec
--- old/pypuppetdb-2.1.0/python-pypuppetdb.spec 2020-03-20 14:05:40.0 
+0100
+++ new/pypuppetdb-2.2.0/python-pypuppetdb.spec 2020-06-07 20:47:03.0 
+0200
@@ -1,7 +1,7 @@
 %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
 
 Name:   python-pypuppetdb
-Version:2.1.0
+Version:2.2.0
 Release:2%{?dist}
 Summary:A Python puppetdb API
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pypuppetdb-2.1.0/requirements.txt 
new/pypuppetdb-2.2.0/requirements.txt
--- old/pypuppetdb-2.1.0/requirements.txt   2020-03-20 14:05:40.0 
+0100
+++ new/pypuppetdb-2.2.0/requirements.txt   2020-06-07 20:47:03.0 
+0200
@@ -1,2 +1 @@
-requests==2.22.0
-six==1.13.0
+requests>=2.22.0
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pypuppetdb-2.1.0/version new/pypuppetdb-2.2.0/version
--- old/pypuppetdb-2.1.0/version2020-03-20 14:05:40.0 +0100
+++ new/pypuppetdb-2.2.0/version2020-06-07 20:47:03.0 +0200
@@ -1 +1 @@
-2.1.0
+2.2.0




commit python-lml for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-lml for openSUSE:Factory 
checked in at 2020-08-14 13:10:38

Comparing /work/SRC/openSUSE:Factory/python-lml (Old)
 and  /work/SRC/openSUSE:Factory/.python-lml.new.3399 (New)


Package is "python-lml"

Fri Aug 14 13:10:38 2020 rev:2 rq:824848 version:0.0.9

Changes:

--- /work/SRC/openSUSE:Factory/python-lml/python-lml.changes2019-02-27 
15:06:15.966444869 +0100
+++ /work/SRC/openSUSE:Factory/.python-lml.new.3399/python-lml.changes  
2020-08-14 13:10:51.861245289 +0200
@@ -1,0 +2,7 @@
+Fri Aug  7 13:13:56 UTC 2020 - Matej Cepl 
+
+- Add remove_nose.patch (gh#python-lml/lml#19), which
+  unfortunately is still WIP, so we have to remove switch off
+  tests for now.
+
+---

New:

  remove_nose.patch



Other differences:
--
++ python-lml.spec ++
--- /var/tmp/diff_new_pack.AI8O3g/_old  2020-08-14 13:10:53.073245752 +0200
+++ /var/tmp/diff_new_pack.AI8O3g/_new  2020-08-14 13:10:53.077245753 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-lml
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,17 +23,19 @@
 Summary:A lazy plugin management system for Python
 License:BSD-3-Clause
 Group:  Development/Languages/Python
-Url:https://github.com/chfw/lml
+URL:https://github.com/chfw/lml
 Source: 
https://files.pythonhosted.org/packages/source/l/lml/lml-%{version}.tar.gz
+# PATCH-FEATURE-UPSTREAM remove_nose.patch bsc#[0-9]+ mc...@suse.com
+# Replace dependency on nose with pytest
+Patch0: remove_nose.patch
 BuildRequires:  %{python_module setuptools}
+BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+BuildArch:  noarch
 # SECTION test requirements
 BuildRequires:  %{python_module mock}
-BuildRequires:  %{python_module nose}
+BuildRequires:  %{python_module pytest}
 # /SECTION
-BuildRequires:  fdupes
-BuildArch:  noarch
-
 %python_subpackages
 
 %description
@@ -48,7 +50,7 @@
 Python modules in a supplied directory.
 
 %prep
-%setup -q -n lml-%{version}
+%autosetup -p1 -n lml-%{version}
 
 %build
 %python_build
@@ -58,7 +60,9 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%python_exec %{_bindir}/nosetests --with-doctest --doctest-extension=.rst 
README.rst tests docs/source lml
+export PYTEST_ADDOPTS="--doctest-modules --doctest-glob='*.rst'"
+# Not yet gh#python-lml/lml#19
+# %%pytest README.rst tests docs/source lml
 
 %files %{python_files}
 %license LICENSE

++ remove_nose.patch ++
--- a/setup.py
+++ b/setup.py
@@ -169,7 +169,7 @@ if __name__ == '__main__':
 license=LICENSE,
 keywords=KEYWORDS,
 extras_require=EXTRAS_REQUIRE,
-tests_require=['nose'],
+tests_require=["pytest"],
 install_requires=INSTALL_REQUIRES,
 packages=PACKAGES,
 include_package_data=True,
--- a/tests/requirements.txt
+++ b/tests/requirements.txt
@@ -1,5 +1,4 @@
 mock
-nose
 codecov
 coverage
 flake8
--- a/tests/test_plugin_info.py
+++ b/tests/test_plugin_info.py
@@ -1,7 +1,6 @@
 import json
 
 from lml.plugin import PluginInfo
-from nose.tools import eq_
 
 
 def test_plugin_info():
@@ -18,7 +17,7 @@ def test_plugin_info():
 "plugin_type": "renderer",
 "custom": "property",
 }
-eq_(json.loads(info.__repr__()), expected)
+assert json.loads(info.__repr__()) == expected
 
 
 def test_module_name_scenario_2():
@@ -27,4 +26,4 @@ def test_module_name_scenario_2():
 
 info = PluginInfo("renderer", custom="property")
 info.cls = TestClass2
-eq_(info.module_name, "test_plugin_info")
+assert info.module_name == "test_plugin_info"
--- a/tests/test_plugin_loader.py
+++ b/tests/test_plugin_loader.py
@@ -1,5 +1,4 @@
 from mock import patch
-from nose.tools import eq_
 
 
 @patch("pkgutil.get_importer")
@@ -10,7 +9,7 @@ def test_load_from_pyinstaller(pkgutil_g
 
 module_names = scan_from_pyinstaller("pyexcel_", "path")
 expected = ["pyexcel_io", "pyexcel_xls"]
-eq_(sorted(list(module_names)), sorted(expected))
+assert sorted(list(module_names)) == sorted(expected)
 
 
 @patch("pkgutil.get_importer")
@@ -21,7 +20,7 @@ def test_load_from_pyinstaller_with_rege
 
 module_names = scan_from_pyinstaller("^.+cel_.+$", "path")
 expected = ["pyexcel_io", "pyexcel_xls"]
-eq_(sorted(list(module_names)), sorted(expected))
+assert sorted(list(module_names)) == sorted(expected)
 
 
 @patch("pkgutil.get_importer")
@@ -37,8 +36,8 @@ def 

commit yast2-http-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-http-server for 
openSUSE:Factory checked in at 2020-08-14 13:10:10

Comparing /work/SRC/openSUSE:Factory/yast2-http-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-http-server.new.3399 (New)


Package is "yast2-http-server"

Fri Aug 14 13:10:10 2020 rev:96 rq:826027 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-http-server/yast2-http-server.changes  
2020-05-15 23:49:44.845247089 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-http-server.new.3399/yast2-http-server.changes
2020-08-14 13:10:16.497231817 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:36:53 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(http-server) into the spec
+  file in order to install this packages if the section has been
+  defined in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-http-server-4.3.0.tar.bz2

New:

  yast2-http-server-4.3.1.tar.bz2



Other differences:
--
++ yast2-http-server.spec ++
--- /var/tmp/diff_new_pack.kB3tSy/_old  2020-08-14 13:10:16.969231997 +0200
+++ /var/tmp/diff_new_pack.kB3tSy/_new  2020-08-14 13:10:16.973231998 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-http-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - HTTP Server Configuration
 License:GPL-2.0-only
@@ -49,6 +49,8 @@
 Requires:   yast2 >= 4.1.0
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(http-server)
+
 BuildArch:  noarch
 
 %description

++ yast2-http-server-4.3.0.tar.bz2 -> yast2-http-server-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-http-server-4.3.0/.travis.yml 
new/yast2-http-server-4.3.1/.travis.yml
--- old/yast2-http-server-4.3.0/.travis.yml 2020-05-12 13:37:39.0 
+0200
+++ new/yast2-http-server-4.3.1/.travis.yml 2020-08-12 14:04:59.0 
+0200
@@ -8,5 +8,5 @@
 script:
   # the "yast-travis-ruby" script is included in the base yastdevel/ruby image
   # see https://github.com/yast/docker-yast-ruby/blob/master/yast-travis-ruby
-  - docker run -it --privileged -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" 
yast-http-server-image yast-travis-ruby
-  - docker run -it --privileged -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" 
yast-http-server-image ./travis_package_check.sh
+  - docker run -it --privileged -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" 
--privileged yast-http-server-image yast-travis-ruby
+  - docker run -it --privileged -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" 
--privileged yast-http-server-image ./travis_package_check.sh
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-http-server-4.3.0/package/yast2-http-server.changes 
new/yast2-http-server-4.3.1/package/yast2-http-server.changes
--- old/yast2-http-server-4.3.0/package/yast2-http-server.changes   
2020-05-12 13:37:39.0 +0200
+++ new/yast2-http-server-4.3.1/package/yast2-http-server.changes   
2020-08-12 14:04:59.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:36:53 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(http-server) into the spec
+  file in order to install this packages if the section has been
+  defined in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Mon May 11 15:12:26 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-http-server-4.3.0/package/yast2-http-server.spec 
new/yast2-http-server-4.3.1/package/yast2-http-server.spec
--- old/yast2-http-server-4.3.0/package/yast2-http-server.spec  2020-05-12 
13:37:39.0 +0200
+++ new/yast2-http-server-4.3.1/package/yast2-http-server.spec  2020-08-12 
14:04:59.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-http-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - HTTP Server Configuration
 Group:  System/YaST
@@ -49,6 +49,8 @@
 Requires:   yast2 >= 4.1.0
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(http-server)
+
 BuildArch:  noarch
 
 %description




commit python-pyfuse3 for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-pyfuse3 for openSUSE:Factory 
checked in at 2020-08-14 13:10:42

Comparing /work/SRC/openSUSE:Factory/python-pyfuse3 (Old)
 and  /work/SRC/openSUSE:Factory/.python-pyfuse3.new.3399 (New)


Package is "python-pyfuse3"

Fri Aug 14 13:10:42 2020 rev:5 rq:824896 version:3.0.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pyfuse3/python-pyfuse3.changes
2019-10-10 11:53:34.835299686 +0200
+++ /work/SRC/openSUSE:Factory/.python-pyfuse3.new.3399/python-pyfuse3.changes  
2020-08-14 13:10:56.837247186 +0200
@@ -1,0 +2,7 @@
+Fri Aug  7 15:46:22 UTC 2020 - Marketa Calabkova 
+
+- Update to 3.0.0
+  * Changed create handler to return a FileInfo struct to allow for 
+modification of certain kernel file attributes, e.g. direct_io.
+
+---

Old:

  pyfuse3-2.0.0.tar.gz

New:

  pyfuse3-3.0.0.tar.gz



Other differences:
--
++ python-pyfuse3.spec ++
--- /var/tmp/diff_new_pack.mkjGCN/_old  2020-08-14 13:10:57.653247497 +0200
+++ /var/tmp/diff_new_pack.mkjGCN/_new  2020-08-14 13:10:57.661247500 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pyfuse3
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,22 +20,23 @@
 %define skip_python2 1
 %define pname   pyfuse3
 Name:   python-%{pname}
-Version:2.0.0
+Version:3.0.0
 Release:0
 Summary:Python Bindings for the low-level FUSE3 API
 License:LGPL-2.1-or-later
 URL:https://github.com/libfuse/pyfuse3
 Source: 
https://github.com/libfuse/pyfuse3/archive/release-%{version}.tar.gz#/%{pname}-%{version}.tar.gz
 BuildRequires:  %{python_module Cython}
-BuildRequires:  %{python_module contextvars >= 2.1}
 BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module pytest-trio}
 BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
+BuildRequires:  %{python_module trio}
 BuildRequires:  fdupes
 BuildRequires:  fuse3-devel >= 3.3.0
 BuildRequires:  libattr-devel
 BuildRequires:  python-rpm-macros
+Requires:   python-trio
 Recommends: fuse3 >= 3.3.0
 %python_subpackages
 

++ pyfuse3-2.0.0.tar.gz -> pyfuse3-3.0.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyfuse3-release-2.0.0/Changes.rst 
new/pyfuse3-release-3.0.0/Changes.rst
--- old/pyfuse3-release-2.0.0/Changes.rst   2019-09-27 20:42:36.0 
+0200
+++ new/pyfuse3-release-3.0.0/Changes.rst   2020-05-08 20:31:11.0 
+0200
@@ -4,6 +4,16 @@
 
 .. currentmodule:: pyfuse3
 
+Release 3.0.0 (2020-05-08)
+==
+
+* Changed `create` handler to return a `FileInfo` struct to allow for
+  modification of certain kernel file attributes, e.g. ``direct_io``.
+
+  Note that this change breaks backwards compatibility, code that depends
+  on the old behavior needs to be changed.
+
+
 Release 2.0.0
 =
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyfuse3-release-2.0.0/examples/passthroughfs.py 
new/pyfuse3-release-3.0.0/examples/passthroughfs.py
--- old/pyfuse3-release-2.0.0/examples/passthroughfs.py 2019-09-27 
20:42:36.0 +0200
+++ new/pyfuse3-release-3.0.0/examples/passthroughfs.py 2020-05-08 
20:31:11.0 +0200
@@ -400,7 +400,7 @@
 self._inode_fd_map[attr.st_ino] = fd
 self._fd_inode_map[fd] = attr.st_ino
 self._fd_open_count[fd] = 1
-return (fd, attr)
+return (pyfuse3.FileInfo(fh=fd), attr)
 
 async def read(self, fd, offset, length):
 os.lseek(fd, offset, os.SEEK_SET)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyfuse3-release-2.0.0/examples/tmpfs.py 
new/pyfuse3-release-3.0.0/examples/tmpfs.py
--- old/pyfuse3-release-2.0.0/examples/tmpfs.py 2019-09-27 20:42:36.0 
+0200
+++ new/pyfuse3-release-3.0.0/examples/tmpfs.py 2020-05-08 20:31:11.0 
+0200
@@ -355,7 +355,7 @@
 #pylint: disable=W0612
 entry = await self._create(inode_parent, name, mode, ctx)
 self.inode_open_count[entry.st_ino] += 1
-return (entry.st_ino, entry)
+return (pyfuse3.FileInfo(fh=entry.st_ino), entry)
 
 async def _create(self, inode_p, name, mode, ctx, rdev=0, target=None):
 if (await self.getattr(inode_p)).st_nlink == 0:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 

commit installation-images for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package installation-images for 
openSUSE:Factory checked in at 2020-08-14 13:10:31

Comparing /work/SRC/openSUSE:Factory/installation-images (Old)
 and  /work/SRC/openSUSE:Factory/.installation-images.new.3399 (New)


Package is "installation-images"

Fri Aug 14 13:10:31 2020 rev:110 rq:826610 version:16.7

Changes:

--- /work/SRC/openSUSE:Factory/installation-images/installation-images.changes  
2020-08-06 10:38:32.202012350 +0200
+++ 
/work/SRC/openSUSE:Factory/.installation-images.new.3399/installation-images.changes
2020-08-14 13:10:39.601240619 +0200
@@ -1,0 +2,30 @@
+Fri Aug 14 05:59:27 UTC 2020 - wfe...@opensuse.org
+
+- merge gh#openSUSE/installation-images#407
+- rename product release package 'SUSE_MicroOS' to 'SUSE-MicroOS'
+- rename 'SUSE_MicroOS' to 'SUSE-MicroOS'
+- 16.7
+
+
+Thu Aug 13 15:00:24 UTC 2020 - wfe...@opensuse.org
+
+- merge gh#openSUSE/installation-images#406
+- use $releasever in repo URL (bsc#1171018)
+- 16.6
+
+
+Wed Aug 12 11:50:53 UTC 2020 - wfe...@opensuse.org
+
+- merge gh#openSUSE/installation-images#405
+- rename MicroOSNG to "SUSE MicroOS"
+- 16.5
+
+
+Mon Aug 10 16:24:09 UTC 2020 - wfe...@opensuse.org
+
+- merge gh#openSUSE/installation-images#401
+- wicked started using /usr/libexec (bsc#1174957)
+- fix nokogiri update-alternatives handling
+- 16.4
+
+

Old:

  installation-images-16.3.tar.xz

New:

  installation-images-16.7.tar.xz



Other differences:
--
++ installation-images.spec ++
--- /var/tmp/diff_new_pack.tNz4sI/_old  2020-08-14 13:10:40.517240968 +0200
+++ /var/tmp/diff_new_pack.tNz4sI/_new  2020-08-14 13:10:40.521240969 +0200
@@ -57,20 +57,21 @@
 %if 0%{?is_opensuse}
 %define theme openSUSE
 %if 0%{?sle_version}
-%define the_version %(echo %sle_version | sed -Ee 
's/^([0-9][0-9])(0|([0-9]))([0-9]).*/\\1.\\3\\4/')
+# define the_version %(echo %sle_version | sed -Ee 
's/^([0-9][0-9])(0|([0-9]))([0-9]).*/\\1.\\3\\4/')
+%define the_version \\$releasever
 %if "%{the_version}" == ""
 %error "bad version string"
 %endif
 %ifarch aarch64 ppc64 ppc64le
-%define net_repo 
http://download.opensuse.org/ports/%{the_arch}/distribution/leap/%{the_version}/repo/oss/
+%define net_repo 
https://download.opensuse.org/ports/%{the_arch}/distribution/leap/%{the_version}/repo/oss/
 %else
-%define net_repo 
http://download.opensuse.org/distribution/leap/%{the_version}/repo/oss
+%define net_repo 
https://download.opensuse.org/distribution/leap/%{the_version}/repo/oss
 %endif
 %else
 %ifarch aarch64 ppc64 ppc64le
-%define net_repo 
http://download.opensuse.org/ports/%{the_arch}/tumbleweed/repo/oss/
+%define net_repo 
https://download.opensuse.org/ports/%{the_arch}/tumbleweed/repo/oss/
 %else
-%define net_repo http://download.opensuse.org/tumbleweed/repo/oss
+%define net_repo https://download.opensuse.org/tumbleweed/repo/oss
 %endif
 %endif
 %endif
@@ -85,11 +86,11 @@
 %endif
 %endif
 
-%if "%flavor" == "MicroOSNG"
+%if "%flavor" == "SMO"
 # build for both Leap and SLE
 %if 0%{?sle_version}
 %ifnarch %ix86
-%define theme MicroOSNG
+%define theme SMO
 %endif
 %endif
 %endif
@@ -177,16 +178,16 @@
 %global product_name openSUSE-Kubic
 %endif
 
-%if "%theme" == "MicroOSNG"
+%if "%theme" == "SMO"
 %define with_storage_ng 1
 %define with_ssl_hmac 0
-%define branding_skelcd   MicroOSNG
-%define branding_systemd  SLE
+%define branding_skelcd   SMO
+%define branding_systemd  SMO
 %define branding_plymouth SLE
 %define branding_grub2SLE
 %define branding_gfxboot  SLE
 %define config_bootmenu_no_upgrade 1
-BuildRequires:  MicroOSNG-release
+BuildRequires:  SUSE-MicroOS-release
 %endif
 
 %if "%theme" == "MicroOS"
@@ -639,7 +640,7 @@
 Summary:Installation Image Files for %theme
 License:GPL-2.0+
 Group:  Metapackages
-Version:16.3
+Version:16.7
 Release:0
 Provides:   installation-images = %version-%release
 Conflicts:  otherproviders(installation-images)

++ installation-images-16.3.tar.xz -> installation-images-16.7.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-16.3/VERSION 
new/installation-images-16.7/VERSION
--- old/installation-images-16.3/VERSION2020-08-02 18:48:47.0 
+0200
+++ new/installation-images-16.7/VERSION2020-08-14 07:59:27.0 
+0200
@@ -1 +1 @@
-16.3
+16.7
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 

commit python-pymavlink for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-pymavlink for 
openSUSE:Factory checked in at 2020-08-14 13:10:51

Comparing /work/SRC/openSUSE:Factory/python-pymavlink (Old)
 and  /work/SRC/openSUSE:Factory/.python-pymavlink.new.3399 (New)


Package is "python-pymavlink"

Fri Aug 14 13:10:51 2020 rev:5 rq:824898 version:2.4.9

Changes:

--- /work/SRC/openSUSE:Factory/python-pymavlink/python-pymavlink.changes
2020-05-23 17:28:14.575512160 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-pymavlink.new.3399/python-pymavlink.changes  
2020-08-14 13:10:59.845248332 +0200
@@ -1,0 +2,9 @@
+Fri Aug  7 13:42:20 UTC 2020 - Marketa Calabkova 
+
+- Update to 2.4.9
+  * tools: add mavfft_pid.py to allow FFT analysis for pids in log files
+  * Add support for generating Lua 5.3 code for use with ArduPilot
+  * make magfit_WMM.py an installable tool
+  * few bugfixes
+
+---

Old:

  pymavlink-2.4.6.tar.gz

New:

  pymavlink-2.4.9.tar.gz



Other differences:
--
++ python-pymavlink.spec ++
--- /var/tmp/diff_new_pack.IPNgHW/_old  2020-08-14 13:11:00.809248699 +0200
+++ /var/tmp/diff_new_pack.IPNgHW/_new  2020-08-14 13:11:00.813248700 +0200
@@ -17,10 +17,10 @@
 #
 
 
-%define binaries mavtomfile mavtogpx mavsummarize mavsigloss mavsearch 
mavplayback mavparms mavparmdiff mavmission mavloss mavlogdump 
mavlink_bitmask_decoder mavkml mavgraph mavgpslock mavgen mavflighttime 
mavflightmodes mavfft_isb mavfft mavextract magfit_motors magfit_gps 
magfit_delta magfit MPU6KSearch
+%define binaries mavtomfile mavtogpx mavsummarize mavsigloss mavsearch 
mavplayback mavparms mavparmdiff mavmission mavloss mavlogdump 
mavlink_bitmask_decoder mavkml mavgraph mavgpslock mavgen mavflighttime 
mavflightmodes mavfft_isb mavfft mavextract magfit_motors magfit_gps 
magfit_delta magfit_WMM magfit MPU6KSearch
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pymavlink
-Version:2.4.6
+Version:2.4.9
 Release:0
 Summary:Python MAVLink code
 License:LGPL-3.0-only
@@ -91,6 +91,7 @@
 %doc README.md
 %python_alternative %{_bindir}/MPU6KSearch
 %python_alternative %{_bindir}/magfit
+%python_alternative %{_bindir}/magfit_WMM
 %python_alternative %{_bindir}/magfit_delta
 %python_alternative %{_bindir}/magfit_gps
 %python_alternative %{_bindir}/magfit_motors

++ pymavlink-2.4.6.tar.gz -> pymavlink-2.4.9.tar.gz ++
 10711 lines of diff (skipped)




commit yast2-firewall for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-firewall for openSUSE:Factory 
checked in at 2020-08-14 13:10:20

Comparing /work/SRC/openSUSE:Factory/yast2-firewall (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-firewall.new.3399 (New)


Package is "yast2-firewall"

Fri Aug 14 13:10:20 2020 rev:84 rq:826199 version:4.3.4

Changes:

--- /work/SRC/openSUSE:Factory/yast2-firewall/yast2-firewall.changes
2020-07-27 17:36:43.146787394 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-firewall.new.3399/yast2-firewall.changes  
2020-08-14 13:10:23.101234333 +0200
@@ -1,0 +2,14 @@
+Thu Aug 13 07:52:47 UTC 2020 - Michal Filka 
+
+- AutoYaST: moved the configuration into first stage (bsc#1173624)
+- 4.3.4
+
+---
+Tue Aug 11 12:05:15 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(firewall) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---

Old:

  yast2-firewall-4.3.2.tar.bz2

New:

  yast2-firewall-4.3.4.tar.bz2



Other differences:
--
++ yast2-firewall.spec ++
--- /var/tmp/diff_new_pack.7KYmE5/_old  2020-08-14 13:10:23.589234519 +0200
+++ /var/tmp/diff_new_pack.7KYmE5/_new  2020-08-14 13:10:23.593234520 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-firewall
-Version:4.3.2
+Version:4.3.4
 Release:0
 Summary:YaST2 - Firewall Configuration
 License:GPL-2.0-only
@@ -50,6 +50,8 @@
 Obsoletes:  yast2-config-firewall
 Obsoletes:  yast2-trans-firewall
 
+Supplements:autoyast(firewall)
+
 BuildArch:  noarch
 
 %description

++ yast2-firewall-4.3.2.tar.bz2 -> yast2-firewall-4.3.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-firewall-4.3.2/package/yast2-firewall.changes 
new/yast2-firewall-4.3.4/package/yast2-firewall.changes
--- old/yast2-firewall-4.3.2/package/yast2-firewall.changes 2020-07-24 
13:36:38.0 +0200
+++ new/yast2-firewall-4.3.4/package/yast2-firewall.changes 2020-08-13 
09:59:42.0 +0200
@@ -1,4 +1,18 @@
 ---
+Thu Aug 13 07:52:47 UTC 2020 - Michal Filka 
+
+- AutoYaST: moved the configuration into first stage (bsc#1173624)
+- 4.3.4
+
+---
+Tue Aug 11 12:05:15 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(firewall) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---
 Thu Jul 23 15:55:52 UTC 2020 - Knut Anderssen 
 
 - AutoYaST: Only export modified zones when it is asked to export a
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-firewall-4.3.2/package/yast2-firewall.spec 
new/yast2-firewall-4.3.4/package/yast2-firewall.spec
--- old/yast2-firewall-4.3.2/package/yast2-firewall.spec2020-07-24 
13:36:38.0 +0200
+++ new/yast2-firewall-4.3.4/package/yast2-firewall.spec2020-08-13 
09:59:42.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-firewall
-Version:4.3.2
+Version:4.3.4
 Release:0
 Summary:YaST2 - Firewall Configuration
 Group:  System/YaST
@@ -48,6 +48,8 @@
 Obsoletes:  yast2-config-firewall
 Obsoletes:  yast2-trans-firewall
 
+Supplements:autoyast(firewall)
+
 BuildArch:  noarch
 
 %description
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-firewall-4.3.2/src/lib/y2firewall/clients/installation_finish.rb 
new/yast2-firewall-4.3.4/src/lib/y2firewall/clients/installation_finish.rb
--- old/yast2-firewall-4.3.2/src/lib/y2firewall/clients/installation_finish.rb  
2020-07-24 13:36:38.0 +0200
+++ new/yast2-firewall-4.3.4/src/lib/y2firewall/clients/installation_finish.rb  
2020-08-13 09:59:42.0 +0200
@@ -22,6 +22,7 @@
 require "yast"
 require "y2firewall/firewalld"
 require "y2firewall/proposal_settings"
+require "y2firewall/clients/auto"
 require "installation/finish_client"
 
 Yast.import "Mode"
@@ -33,6 +34,7 @@
 # modes.
 class InstallationFinish < ::Installation::FinishClient
   include Yast::I18n
+  include Yast::Logger
 
   # Y2Firewall::ProposalSettings instance
   attr_accessor :settings
@@ -55,6 +57,14 @@
   end
 
   def write
+# If the profile is missing then firewall section 

commit yast2-ruby-bindings for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-ruby-bindings for 
openSUSE:Factory checked in at 2020-08-14 13:10:21

Comparing /work/SRC/openSUSE:Factory/yast2-ruby-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ruby-bindings.new.3399 (New)


Package is "yast2-ruby-bindings"

Fri Aug 14 13:10:21 2020 rev:103 rq:826205 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-ruby-bindings/yast2-ruby-bindings.changes  
2020-04-25 20:20:54.405104316 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-ruby-bindings.new.3399/yast2-ruby-bindings.changes
2020-08-14 13:10:26.057235458 +0200
@@ -1,0 +2,12 @@
+Wed Aug 12 12:33:13 UTC 2020 - Stefan Hundhammer 
+
+- Fixed yast-ycp-ui-bindings dependency (bsc#1175115)
+- 4.3.2 
+
+---
+Wed Aug 12 11:53:05 UTC 2020 - Stefan Hundhammer 
+
+- Added new UI terms: MenuBar(), Menu() (bsc#1175115)
+- 4.3.1
+
+---

Old:

  yast2-ruby-bindings-4.3.0.tar.bz2

New:

  yast2-ruby-bindings-4.3.2.tar.bz2



Other differences:
--
++ yast2-ruby-bindings.spec ++
--- /var/tmp/diff_new_pack.WokTQ5/_old  2020-08-14 13:10:26.709235707 +0200
+++ /var/tmp/diff_new_pack.WokTQ5/_new  2020-08-14 13:10:26.713235708 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package yast2-ruby-bindings
 #
-# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,14 +12,14 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   yast2-ruby-bindings
-Version:4.3.0
+Version:4.3.2
 Release:0
-Url:https://github.com/yast/yast-ruby-bindings
+URL:https://github.com/yast/yast-ruby-bindings
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:yast2-ruby-bindings-%{version}.tar.bz2
 Prefix: /usr
@@ -40,9 +40,9 @@
 BuildRequires:  ruby-devel
 Requires:   yast2-core >= 3.2.2
 BuildRequires:  yast2-core-devel >= 3.2.2
-# UI.SetApplicationTitle
-Requires:   yast2-ycp-ui-bindings   >= 4.2.2
-BuildRequires:  yast2-ycp-ui-bindings-devel >= 4.2.2
+# MenuBar widget
+Requires:   yast2-ycp-ui-bindings   >= 4.3.1
+BuildRequires:  yast2-ycp-ui-bindings-devel >= 4.3.1
 # The test suite includes a regression test (std_streams_spec.rb) for a
 # libyui-ncurses bug fixed in 2.47.3
 BuildRequires:  libyui-ncurses >= 2.47.3

++ yast2-ruby-bindings-4.3.0.tar.bz2 -> yast2-ruby-bindings-4.3.2.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ruby-bindings-4.3.0/package/yast2-ruby-bindings.changes 
new/yast2-ruby-bindings-4.3.2/package/yast2-ruby-bindings.changes
--- old/yast2-ruby-bindings-4.3.0/package/yast2-ruby-bindings.changes   
2020-04-22 11:38:54.0 +0200
+++ new/yast2-ruby-bindings-4.3.2/package/yast2-ruby-bindings.changes   
2020-08-12 14:37:02.0 +0200
@@ -1,4 +1,16 @@
 ---
+Wed Aug 12 12:33:13 UTC 2020 - Stefan Hundhammer 
+
+- Fixed yast-ycp-ui-bindings dependency (bsc#1175115)
+- 4.3.2 
+
+---
+Wed Aug 12 11:53:05 UTC 2020 - Stefan Hundhammer 
+
+- Added new UI terms: MenuBar(), Menu() (bsc#1175115)
+- 4.3.1
+
+---
 Wed Apr 22 06:48:52 UTC 2020 - Josef Reidinger 
 
 - reimplement Builtins#tointeger to not use scanf removed from ruby
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ruby-bindings-4.3.0/package/yast2-ruby-bindings.spec 
new/yast2-ruby-bindings-4.3.2/package/yast2-ruby-bindings.spec
--- old/yast2-ruby-bindings-4.3.0/package/yast2-ruby-bindings.spec  
2020-04-22 11:38:54.0 +0200
+++ new/yast2-ruby-bindings-4.3.2/package/yast2-ruby-bindings.spec  
2020-08-12 14:37:02.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ruby-bindings
-Version:4.3.0
+Version:4.3.2
 Url:https://github.com/yast/yast-ruby-bindings
 Release:0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -40,9 +40,9 @@
 BuildRequires:  ruby-devel
 Requires:   yast2-core >= 3.2.2
 BuildRequires:  yast2-core-devel >= 3.2.2
-# UI.SetApplicationTitle

commit yast2-ycp-ui-bindings for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-ycp-ui-bindings for 
openSUSE:Factory checked in at 2020-08-14 13:10:13

Comparing /work/SRC/openSUSE:Factory/yast2-ycp-ui-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ycp-ui-bindings.new.3399 (New)


Package is "yast2-ycp-ui-bindings"

Fri Aug 14 13:10:13 2020 rev:80 rq:826060 version:4.3.2

Changes:

--- 
/work/SRC/openSUSE:Factory/yast2-ycp-ui-bindings/yast2-ycp-ui-bindings.changes  
2020-06-10 00:38:59.685490899 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-ycp-ui-bindings.new.3399/yast2-ycp-ui-bindings.changes
2020-08-14 13:10:17.953232372 +0200
@@ -1,0 +2,13 @@
+Wed Aug 12 12:12:01 UTC 2020 - Stefan Hundhammer 
+
+- Use new syntax (MenuBar(), Menu()) in MenuBar example (bsc#1175115)
+- 4.3.2
+
+---
+Tue Aug 11 15:10:00 UTC 2020 - Stefan Hundhammer 
+
+- Added MenuBar widget (bsc#1175115)
+- Require libyui.so.13
+- 4.3.1
+
+---
@@ -6 +19 @@
-- 4.3.10
+- 4.3.0

Old:

  yast2-ycp-ui-bindings-4.3.0.tar.bz2

New:

  yast2-ycp-ui-bindings-4.3.2.tar.bz2



Other differences:
--
++ yast2-ycp-ui-bindings.spec ++
--- /var/tmp/diff_new_pack.Ir5Gq4/_old  2020-08-14 13:10:18.493232577 +0200
+++ /var/tmp/diff_new_pack.Ir5Gq4/_new  2020-08-14 13:10:18.497232579 +0200
@@ -16,12 +16,12 @@
 #
 
 
-# YUIWidget_CustomStatusItemSelector
-%define min_yui_version3.10.0
-%define yui_so 12
+# YUIWidget_MenuBar
+%define min_yui_version3.11.0
+%define yui_so 13
 
 Name:   yast2-ycp-ui-bindings
-Version:4.3.0
+Version:4.3.2
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-ycp-ui-bindings-4.3.0.tar.bz2 -> 
yast2-ycp-ui-bindings-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ycp-ui-bindings-4.3.0/examples/MenuBar1.rb 
new/yast2-ycp-ui-bindings-4.3.2/examples/MenuBar1.rb
--- old/yast2-ycp-ui-bindings-4.3.0/examples/MenuBar1.rb1970-01-01 
01:00:00.0 +0100
+++ new/yast2-ycp-ui-bindings-4.3.2/examples/MenuBar1.rb2020-08-12 
16:43:34.0 +0200
@@ -0,0 +1,156 @@
+# encoding: utf-8
+
+module Yast
+  class MenuBar1Client < Client
+Yast.import "UI"
+include Yast::Logger
+
+def main
+  UI.OpenDialog(dialog_widgets)
+  update_actions
+  handle_events
+  UI.CloseDialog
+  nil
+end
+
+def dialog_widgets
+  MinSize( 50, 20,
+VBox(
+  MenuBar(Id(:menu_bar), main_menus),
+  HVCenter(
+HVSquash(
+  VBox(
+Left(Label("Last Event:")),
+VSpacing( 0.2 ),
+MinWidth( 20,
+  Label(Id(:last_event), Opt(:outputField), "")
+),
+VSpacing( 2 ),
+CheckBox(Id(:read_only), Opt(:notify), "Read ", true)
+  )
+)
+  ),
+  Right(PushButton(Id(:cancel), ""))
+)
+  )
+end
+
+def main_menus
+  [
+Menu("", file_menu),
+Menu("", edit_menu),
+Menu("", view_menu),
+Menu("", options_menu),
+Menu("", debug_menu)
+  ].freeze
+end
+
+def file_menu
+  [
+Item(Id(:open), ""),
+Item(Id(:save), ""),
+Item(Id(:save_as), "Save "),
+Item("---"),
+Item(Id(:quit), ""),
+  ].freeze
+end
+
+def edit_menu
+  [
+Item(Id(:cut), "C"),
+Item(Id(:copy), ""),
+Item(Id(:paste), ""),
+  ].freeze
+end
+
+def view_menu
+  [
+Item(Id(:view_normal), ""),
+Item(Id(:view_compact), ""),
+Item(Id(:view_detailed), ""),
+Item("---"),
+term(:menu, "", zoom_menu),
+  ].freeze
+end
+
+def zoom_menu
+  [
+Item(Id(:zoom_in), "Zoom " ),
+Item(Id(:zoom_out), "Zoom " ),
+Item(Id(:zoom_default), "Zoom " ),
+  ].freeze
+end
+
+def options_menu
+  [
+Item(Id(:settings), ""),
+  ].freeze
+end
+
+def debug_menu
+  [
+Item(Id(:dump_status), "Dump enabled / disabled "),
+Item(Id(:dump_disabled), "Dump  items")
+  ].freeze
+end
+
+def handle_events
+  while true
+id = UI.UserInput
+
+case id
+when :quit, :cancel # :cancel is WM_CLOSE
+  break # leave event loop
+when :read_only
+  update_actions
+when :dump_status
+  dump_item_status
+when :dump_disabled
+  dump_disabled_ids
+end
+
+show_event(id)
+  

commit yast2-audit-laf for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-audit-laf for openSUSE:Factory 
checked in at 2020-08-14 13:09:43

Comparing /work/SRC/openSUSE:Factory/yast2-audit-laf (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-audit-laf.new.3399 (New)


Package is "yast2-audit-laf"

Fri Aug 14 13:09:43 2020 rev:43 rq:826000 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-audit-laf/yast2-audit-laf.changes  
2020-05-09 19:51:07.680679922 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-audit-laf.new.3399/yast2-audit-laf.changes
2020-08-14 13:09:47.337220708 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 12:00:52 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(audit-laf) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-audit-laf-4.3.0.tar.bz2

New:

  yast2-audit-laf-4.3.1.tar.bz2



Other differences:
--
++ yast2-audit-laf.spec ++
--- /var/tmp/diff_new_pack.gYaxoI/_old  2020-08-14 13:09:48.317221081 +0200
+++ /var/tmp/diff_new_pack.gYaxoI/_new  2020-08-14 13:09:48.317221081 +0200
@@ -20,7 +20,7 @@
 Summary:YaST2 - Configuration of Linux Auditing (LAF)
 License:GPL-2.0-only
 Group:  System/YaST
-Version:4.3.0
+Version:4.3.1
 Release:0
 Url:https://github.com/yast/yast-audit-laf
 
@@ -36,6 +36,8 @@
 Requires:   yast2 >= 2.21.22
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(audit-laf)
+
 BuildArch:  noarch
 
 %description

++ yast2-audit-laf-4.3.0.tar.bz2 -> yast2-audit-laf-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-audit-laf-4.3.0/package/yast2-audit-laf.changes 
new/yast2-audit-laf-4.3.1/package/yast2-audit-laf.changes
--- old/yast2-audit-laf-4.3.0/package/yast2-audit-laf.changes   2020-05-07 
17:41:41.0 +0200
+++ new/yast2-audit-laf-4.3.1/package/yast2-audit-laf.changes   2020-08-12 
12:23:51.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 12:00:52 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(audit-laf) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Thu May  7 13:02:36 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-audit-laf-4.3.0/package/yast2-audit-laf.spec 
new/yast2-audit-laf-4.3.1/package/yast2-audit-laf.spec
--- old/yast2-audit-laf-4.3.0/package/yast2-audit-laf.spec  2020-05-07 
17:41:41.0 +0200
+++ new/yast2-audit-laf-4.3.1/package/yast2-audit-laf.spec  2020-08-12 
12:23:51.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   yast2-audit-laf
 Summary:YaST2 - Configuration of Linux Auditing (LAF)
-Version:4.3.0
+Version:4.3.1
 Release:0
 Url:https://github.com/yast/yast-audit-laf
 Group:  System/YaST
@@ -33,6 +33,8 @@
 Requires:   yast2 >= 2.21.22
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(audit-laf)
+
 BuildArch:  noarch
 
 %description




commit yast2-services-manager for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-services-manager for 
openSUSE:Factory checked in at 2020-08-14 13:09:53

Comparing /work/SRC/openSUSE:Factory/yast2-services-manager (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-services-manager.new.3399 (New)


Package is "yast2-services-manager"

Fri Aug 14 13:09:53 2020 rev:55 rq:826016 version:4.3.4

Changes:

--- 
/work/SRC/openSUSE:Factory/yast2-services-manager/yast2-services-manager.changes
2020-07-30 10:01:13.915261751 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-services-manager.new.3399/yast2-services-manager.changes
  2020-08-14 13:09:56.233224098 +0200
@@ -1,0 +2,15 @@
+Mon Aug 10 18:06:31 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(services_manager) into the
+  spec file in order to install this packages if the section has
+  been defined in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---
+Mon Aug 10 15:18:56 UTC 2020 - Martin Vidner 
+
+- Fix changing other services than the user expects (bsc#1165388,
+  bsc#1174615)
+- 4.3.3
+
+---

Old:

  yast2-services-manager-4.3.2.tar.bz2

New:

  yast2-services-manager-4.3.4.tar.bz2



Other differences:
--
++ yast2-services-manager.spec ++
--- /var/tmp/diff_new_pack.ZaFjCf/_old  2020-08-14 13:09:57.089224423 +0200
+++ /var/tmp/diff_new_pack.ZaFjCf/_new  2020-08-14 13:09:57.093224425 +0200
@@ -24,7 +24,7 @@
 ##
 
 Name:   yast2-services-manager
-Version:4.3.2
+Version:4.3.4
 Release:0
 Summary:YaST2 - Services Manager
 License:GPL-2.0-or-later
@@ -59,6 +59,8 @@
 Conflicts:  yast2-installation < 3.1.32
 Conflicts:  yast2-runlevel
 
+Supplements:autoyast(services-manager)
+
 BuildArch:  noarch
 
 %description

++ yast2-services-manager-4.3.2.tar.bz2 -> 
yast2-services-manager-4.3.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-services-manager-4.3.2/package/yast2-services-manager.changes 
new/yast2-services-manager-4.3.4/package/yast2-services-manager.changes
--- old/yast2-services-manager-4.3.2/package/yast2-services-manager.changes 
2020-07-29 14:52:00.0 +0200
+++ new/yast2-services-manager-4.3.4/package/yast2-services-manager.changes 
2020-08-12 13:32:13.0 +0200
@@ -1,4 +1,19 @@
 ---
+Mon Aug 10 18:06:31 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(services_manager) into the
+  spec file in order to install this packages if the section has
+  been defined in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---
+Mon Aug 10 15:18:56 UTC 2020 - Martin Vidner 
+
+- Fix changing other services than the user expects (bsc#1165388,
+  bsc#1174615)
+- 4.3.3
+
+---
 Wed Jul 29 11:15:35 UTC 2020 - Josef Reidinger 
 
 - Fix detection of modifications in AutoYaST config mode
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-services-manager-4.3.2/package/yast2-services-manager.spec 
new/yast2-services-manager-4.3.4/package/yast2-services-manager.spec
--- old/yast2-services-manager-4.3.2/package/yast2-services-manager.spec
2020-07-29 14:52:00.0 +0200
+++ new/yast2-services-manager-4.3.4/package/yast2-services-manager.spec
2020-08-12 13:32:13.0 +0200
@@ -24,7 +24,7 @@
 ##
 
 Name:   yast2-services-manager
-Version:4.3.2
+Version:4.3.4
 Release:0
 Summary:YaST2 - Services Manager
 Group:  System/YaST
@@ -59,6 +59,8 @@
 Conflicts:  yast2-installation < 3.1.32
 Conflicts:  yast2-runlevel
 
+Supplements:autoyast(services-manager)
+
 BuildArch:  noarch
 
 %description
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-services-manager-4.3.2/src/lib/services-manager/widgets/services_table.rb
 
new/yast2-services-manager-4.3.4/src/lib/services-manager/widgets/services_table.rb
--- 
old/yast2-services-manager-4.3.2/src/lib/services-manager/widgets/services_table.rb
 2020-07-29 14:52:00.0 +0200
+++ 
new/yast2-services-manager-4.3.4/src/lib/services-manager/widgets/services_table.rb
 2020-08-12 13:32:13.0 +0200
@@ -79,7 +79,7 @@
 
   # @return [Yast::Term]
   

commit yast2-security for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-security for openSUSE:Factory 
checked in at 2020-08-14 13:10:23

Comparing /work/SRC/openSUSE:Factory/yast2-security (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-security.new.3399 (New)


Package is "yast2-security"

Fri Aug 14 13:10:23 2020 rev:95 rq:826261 version:4.3.3

Changes:

--- /work/SRC/openSUSE:Factory/yast2-security/yast2-security.changes
2020-07-30 10:00:22.959231324 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-security.new.3399/yast2-security.changes  
2020-08-14 13:10:30.169237025 +0200
@@ -1,0 +2,15 @@
+Thu Aug 13 10:00:58 UTC 2020 - Ladislav Slezák 
+
+- Fixed randomly failing unit tests, do not query the installed
+  PAM modules in the testing system (related to bsc#1171318)
+- 4.3.3
+
+---
+Mon Aug 10 17:40:01 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(security) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-security-4.3.1.tar.bz2

New:

  yast2-security-4.3.3.tar.bz2



Other differences:
--
++ yast2-security.spec ++
--- /var/tmp/diff_new_pack.u3SNdt/_old  2020-08-14 13:10:30.869237292 +0200
+++ /var/tmp/diff_new_pack.u3SNdt/_new  2020-08-14 13:10:30.869237292 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-security
-Version:4.3.1
+Version:4.3.3
 Release:0
 Summary:YaST2 - Security Configuration
 License:GPL-2.0-only
@@ -62,6 +62,8 @@
 Obsoletes:  yast2-config-security
 Obsoletes:  yast2-trans-security
 
+Supplements:autoyast(security)
+
 BuildArch:  noarch
 
 %description

++ yast2-security-4.3.1.tar.bz2 -> yast2-security-4.3.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-security-4.3.1/.rubocop.yml 
new/yast2-security-4.3.3/.rubocop.yml
--- old/yast2-security-4.3.1/.rubocop.yml   2020-07-29 11:04:42.0 
+0200
+++ new/yast2-security-4.3.3/.rubocop.yml   2020-08-13 13:13:17.0 
+0200
@@ -178,6 +178,8 @@
 # ExcludedMethods: refine
 Metrics/BlockLength:
   Max: 591
+  Exclude:
+- 'test/**/*.rb'
 
 # Offense count: 9
 # Configuration parameters: CountBlocks.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-security-4.3.1/package/yast2-security.changes 
new/yast2-security-4.3.3/package/yast2-security.changes
--- old/yast2-security-4.3.1/package/yast2-security.changes 2020-07-29 
11:04:42.0 +0200
+++ new/yast2-security-4.3.3/package/yast2-security.changes 2020-08-13 
13:13:17.0 +0200
@@ -1,4 +1,19 @@
 ---
+Thu Aug 13 10:00:58 UTC 2020 - Ladislav Slezák 
+
+- Fixed randomly failing unit tests, do not query the installed
+  PAM modules in the testing system (related to bsc#1171318)
+- 4.3.3
+
+---
+Mon Aug 10 17:40:01 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(security) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Tue Jul 28 13:52:52 CEST 2020 - aschn...@suse.com
 
 - Use pam_pwquality instead of pam_cracklib depending on
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-security-4.3.1/package/yast2-security.spec 
new/yast2-security-4.3.3/package/yast2-security.spec
--- old/yast2-security-4.3.1/package/yast2-security.spec2020-07-29 
11:04:42.0 +0200
+++ new/yast2-security-4.3.3/package/yast2-security.spec2020-08-13 
13:13:17.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-security
-Version:4.3.1
+Version:4.3.3
 Release:0
 Group:  System/YaST
 License:GPL-2.0-only
@@ -58,6 +58,8 @@
 Obsoletes:  y2c_sec yast2-config-security
 Obsoletes:  yast2-trans-security y2t_sec
 
+Supplements:autoyast(security)
+
 BuildArch:  noarch
 
 %description
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-security-4.3.1/test/security_test.rb 
new/yast2-security-4.3.3/test/security_test.rb
--- old/yast2-security-4.3.1/test/security_test.rb  2020-07-29 
11:04:42.0 +0200
+++ new/yast2-security-4.3.3/test/security_test.rb  2020-08-13 
13:13:17.0 +0200
@@ -520,6 

commit yast2-mail for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-mail for openSUSE:Factory 
checked in at 2020-08-14 13:09:47

Comparing /work/SRC/openSUSE:Factory/yast2-mail (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-mail.new.3399 (New)


Package is "yast2-mail"

Fri Aug 14 13:09:47 2020 rev:93 rq:826002 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-mail/yast2-mail.changes2020-05-15 
23:49:49.313255699 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-mail.new.3399/yast2-mail.changes  
2020-08-14 13:09:49.257221439 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 12:08:49 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(mail) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-mail-4.3.0.tar.bz2

New:

  yast2-mail-4.3.1.tar.bz2



Other differences:
--
++ yast2-mail.spec ++
--- /var/tmp/diff_new_pack.b44Si6/_old  2020-08-14 13:09:49.793221644 +0200
+++ /var/tmp/diff_new_pack.b44Si6/_new  2020-08-14 13:09:49.797221646 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-mail
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - Mail Configuration
 License:GPL-2.0-or-later
@@ -39,6 +39,8 @@
 Requires:   yast2-ruby-bindings >= 1.0.0
 Requires:   yast2-users
 
+Supplements:autoyast(mail)
+
 BuildArch:  noarch
 
 %description

++ yast2-mail-4.3.0.tar.bz2 -> yast2-mail-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-mail-4.3.0/package/yast2-mail.changes 
new/yast2-mail-4.3.1/package/yast2-mail.changes
--- old/yast2-mail-4.3.0/package/yast2-mail.changes 2020-05-12 
15:29:02.0 +0200
+++ new/yast2-mail-4.3.1/package/yast2-mail.changes 2020-08-12 
12:24:05.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 12:08:49 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(mail) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Tue May 12 12:51:56 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-mail-4.3.0/package/yast2-mail.spec 
new/yast2-mail-4.3.1/package/yast2-mail.spec
--- old/yast2-mail-4.3.0/package/yast2-mail.spec2020-05-12 
15:29:02.0 +0200
+++ new/yast2-mail-4.3.1/package/yast2-mail.spec2020-08-12 
12:24:05.0 +0200
@@ -16,7 +16,7 @@
 #
 
 Name:   yast2-mail
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - Mail Configuration
 License:GPL-2.0-or-later
@@ -38,6 +38,8 @@
 Requires:   yast2-users
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(mail)
+
 BuildArch:  noarch
 
 %description




commit yast2-configuration-management for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-configuration-management for 
openSUSE:Factory checked in at 2020-08-14 13:09:49

Comparing /work/SRC/openSUSE:Factory/yast2-configuration-management (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-configuration-management.new.3399 
(New)


Package is "yast2-configuration-management"

Fri Aug 14 13:09:49 2020 rev:18 rq:826003 version:4.3.3

Changes:

--- 
/work/SRC/openSUSE:Factory/yast2-configuration-management/yast2-configuration-management.changes
2020-07-27 17:36:20.926765771 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-configuration-management.new.3399/yast2-configuration-management.changes
  2020-08-14 13:09:53.437223032 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 12:22:20 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(configuration-management)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---

Old:

  yast2-configuration-management-4.3.2.tar.bz2

New:

  yast2-configuration-management-4.3.3.tar.bz2



Other differences:
--
++ yast2-configuration-management.spec ++
--- /var/tmp/diff_new_pack.mStSWS/_old  2020-08-14 13:09:53.981223239 +0200
+++ /var/tmp/diff_new_pack.mStSWS/_new  2020-08-14 13:09:53.981223239 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-configuration-management
-Version:4.3.2
+Version:4.3.3
 Release:0
 Url:https://github.com/yast/yast-migration
 Summary:YaST2 - YaST Configuration Management
@@ -38,6 +38,8 @@
 Requires:   yast2 => 4.1.53
 Requires:   yast2-installation
 
+Supplements:autoyast(configuration-management)
+
 BuildArch:  noarch
 
 %description

++ yast2-configuration-management-4.3.2.tar.bz2 -> 
yast2-configuration-management-4.3.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-configuration-management-4.3.2/package/yast2-configuration-management.changes
 
new/yast2-configuration-management-4.3.3/package/yast2-configuration-management.changes
--- 
old/yast2-configuration-management-4.3.2/package/yast2-configuration-management.changes
 2020-07-24 11:06:26.0 +0200
+++ 
new/yast2-configuration-management-4.3.3/package/yast2-configuration-management.changes
 2020-08-12 12:24:39.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 12:22:20 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(configuration-management)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---
 Fri Jul 24 08:44:41 UTC 2020 - Josef Reidinger 
 
 - Handle exceptions when parsing xml file (related to bsc#1170886)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-configuration-management-4.3.2/package/yast2-configuration-management.spec
 
new/yast2-configuration-management-4.3.3/package/yast2-configuration-management.spec
--- 
old/yast2-configuration-management-4.3.2/package/yast2-configuration-management.spec
2020-07-24 11:06:26.0 +0200
+++ 
new/yast2-configuration-management-4.3.3/package/yast2-configuration-management.spec
2020-08-12 12:24:39.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-configuration-management
-Version:4.3.2
+Version:4.3.3
 Release:0
 Url:https://github.com/yast/yast-migration
 Summary:YaST2 - YaST Configuration Management
@@ -38,6 +38,8 @@
 Requires:   yast2 => 4.1.53
 Requires:   yast2-installation
 
+Supplements:autoyast(configuration-management)
+
 BuildArch:  noarch
 
 %description




commit yast2-bootloader for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-bootloader for 
openSUSE:Factory checked in at 2020-08-14 13:10:07

Comparing /work/SRC/openSUSE:Factory/yast2-bootloader (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-bootloader.new.3399 (New)


Package is "yast2-bootloader"

Fri Aug 14 13:10:07 2020 rev:294 rq:826026 version:4.3.8

Changes:

--- /work/SRC/openSUSE:Factory/yast2-bootloader/yast2-bootloader.changes
2020-07-24 09:54:27.005310194 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-bootloader.new.3399/yast2-bootloader.changes  
2020-08-14 13:10:12.405230258 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 11:57:36 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(bootloader) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.8
+
+---

Old:

  yast2-bootloader-4.3.7.tar.bz2

New:

  yast2-bootloader-4.3.8.tar.bz2



Other differences:
--
++ yast2-bootloader.spec ++
--- /var/tmp/diff_new_pack.3AlOYi/_old  2020-08-14 13:10:13.369230626 +0200
+++ /var/tmp/diff_new_pack.3AlOYi/_new  2020-08-14 13:10:13.373230627 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-bootloader
-Version:4.3.7
+Version:4.3.8
 Release:0
 Summary:YaST2 - Bootloader Configuration
 License:GPL-2.0-or-later
@@ -60,6 +60,8 @@
 Recommends: syslinux
 %endif
 
+Supplements:autoyast(bootloader)
+
 %description
 This package contains the YaST2 component for bootloader configuration.
 

++ yast2-bootloader-4.3.7.tar.bz2 -> yast2-bootloader-4.3.8.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-bootloader-4.3.7/package/yast2-bootloader.changes 
new/yast2-bootloader-4.3.8/package/yast2-bootloader.changes
--- old/yast2-bootloader-4.3.7/package/yast2-bootloader.changes 2020-07-23 
13:06:35.0 +0200
+++ new/yast2-bootloader-4.3.8/package/yast2-bootloader.changes 2020-08-12 
13:54:37.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 11:57:36 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(bootloader) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.8
+
+---
 Thu Jul 23 10:54:47 UTC 2020 - Steffen Winterfeldt 
 
 - add rd.zdev to allowed kernel options on s390 (bsc#1168036)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-bootloader-4.3.7/package/yast2-bootloader.spec 
new/yast2-bootloader-4.3.8/package/yast2-bootloader.spec
--- old/yast2-bootloader-4.3.7/package/yast2-bootloader.spec2020-07-23 
13:06:35.0 +0200
+++ new/yast2-bootloader-4.3.8/package/yast2-bootloader.spec2020-08-12 
13:54:37.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-bootloader
-Version:4.3.7
+Version:4.3.8
 Release:0
 Summary:YaST2 - Bootloader Configuration
 License:GPL-2.0-or-later
@@ -60,6 +60,8 @@
 Recommends: syslinux
 %endif
 
+Supplements:autoyast(bootloader)
+
 %description
 This package contains the YaST2 component for bootloader configuration.
 




commit yast2-ntp-client for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-ntp-client for 
openSUSE:Factory checked in at 2020-08-14 13:09:14

Comparing /work/SRC/openSUSE:Factory/yast2-ntp-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ntp-client.new.3399 (New)


Package is "yast2-ntp-client"

Fri Aug 14 13:09:14 2020 rev:123 rq:825982 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-ntp-client/yast2-ntp-client.changes
2020-05-15 23:50:03.117282300 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-ntp-client.new.3399/yast2-ntp-client.changes  
2020-08-14 13:09:15.121208436 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:24:06 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(ntp-client) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-ntp-client-4.3.0.tar.bz2

New:

  yast2-ntp-client-4.3.1.tar.bz2



Other differences:
--
++ yast2-ntp-client.spec ++
--- /var/tmp/diff_new_pack.1XFnaV/_old  2020-08-14 13:09:16.193208844 +0200
+++ /var/tmp/diff_new_pack.1XFnaV/_new  2020-08-14 13:09:16.193208844 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ntp-client
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - NTP Client Configuration
 License:GPL-2.0-or-later
@@ -55,6 +55,8 @@
 
 Obsoletes:  yast2-ntp-client-devel-doc
 
+Supplements:autoyast(ntp-client)
+
 BuildArch:  noarch
 
 %description

++ yast2-ntp-client-4.3.0.tar.bz2 -> yast2-ntp-client-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ntp-client-4.3.0/package/yast2-ntp-client.changes 
new/yast2-ntp-client-4.3.1/package/yast2-ntp-client.changes
--- old/yast2-ntp-client-4.3.0/package/yast2-ntp-client.changes 2020-05-12 
16:31:16.0 +0200
+++ new/yast2-ntp-client-4.3.1/package/yast2-ntp-client.changes 2020-08-12 
12:08:37.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:24:06 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(ntp-client) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Tue May 12 14:20:03 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ntp-client-4.3.0/package/yast2-ntp-client.spec 
new/yast2-ntp-client-4.3.1/package/yast2-ntp-client.spec
--- old/yast2-ntp-client-4.3.0/package/yast2-ntp-client.spec2020-05-12 
16:31:16.0 +0200
+++ new/yast2-ntp-client-4.3.1/package/yast2-ntp-client.spec2020-08-12 
12:08:37.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ntp-client
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - NTP Client Configuration
 License:GPL-2.0-or-later
@@ -55,6 +55,8 @@
 
 Obsoletes:  yast2-ntp-client-devel-doc
 
+Supplements:autoyast(ntp-client)
+
 BuildArch:  noarch
 
 %description




commit yast2-fcoe-client for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-fcoe-client for 
openSUSE:Factory checked in at 2020-08-14 13:10:01

Comparing /work/SRC/openSUSE:Factory/yast2-fcoe-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-fcoe-client.new.3399 (New)


Package is "yast2-fcoe-client"

Fri Aug 14 13:10:01 2020 rev:54 rq:826023 version:4.3.0

Changes:

--- /work/SRC/openSUSE:Factory/yast2-fcoe-client/yast2-fcoe-client.changes  
2020-02-22 18:57:44.341325603 +0100
+++ 
/work/SRC/openSUSE:Factory/.yast2-fcoe-client.new.3399/yast2-fcoe-client.changes
2020-08-14 13:10:07.809228507 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:49:50 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(fcoe-client) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.0
+
+---

Old:

  yast2-fcoe-client-4.2.2.tar.bz2

New:

  yast2-fcoe-client-4.3.0.tar.bz2



Other differences:
--
++ yast2-fcoe-client.spec ++
--- /var/tmp/diff_new_pack.uhzEVb/_old  2020-08-14 13:10:08.313228699 +0200
+++ /var/tmp/diff_new_pack.uhzEVb/_new  2020-08-14 13:10:08.317228701 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-fcoe-client
-Version:4.2.2
+Version:4.3.0
 Release:0
 Summary:YaST2 - Configuration of Fibre Channel over Ethernet
 License:GPL-2.0-only
@@ -37,6 +37,8 @@
 Requires:   yast2 >= 4.1.3
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(fcoe-client)
+
 BuildArch:  noarch
 
 %description

++ yast2-fcoe-client-4.2.2.tar.bz2 -> yast2-fcoe-client-4.3.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-fcoe-client-4.2.2/.travis.yml 
new/yast2-fcoe-client-4.3.0/.travis.yml
--- old/yast2-fcoe-client-4.2.2/.travis.yml 2020-02-20 14:25:55.0 
+0100
+++ new/yast2-fcoe-client-4.3.0/.travis.yml 2020-08-12 13:50:40.0 
+0200
@@ -11,4 +11,4 @@
 script:
   # the "yast-travis-ruby" script is included in the base yastdevel/ruby image
   # see https://github.com/yast/docker-yast-ruby/blob/master/yast-travis-ruby
-  - docker run -it -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" 
yast-fcoe-client-image yast-travis-ruby
+  - docker run -it -e TRAVIS=1 -e TRAVIS_JOB_ID="$TRAVIS_JOB_ID" --privileged 
yast-fcoe-client-image yast-travis-ruby
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-fcoe-client-4.2.2/CONTRIBUTING.md 
new/yast2-fcoe-client-4.3.0/CONTRIBUTING.md
--- old/yast2-fcoe-client-4.2.2/CONTRIBUTING.md 2020-02-20 14:25:55.0 
+0100
+++ new/yast2-fcoe-client-4.3.0/CONTRIBUTING.md 1970-01-01 01:00:00.0 
+0100
@@ -1,89 +0,0 @@
-YaST Contribution Guidelines
-
-
-YaST is an open source project and as such it welcomes all kinds of
-contributions. If you decide to contribute, please follow these guidelines to
-ensure the process is effective and pleasant both for you and the YaST 
maintainers.
-
-There are two main forms of contribution: reporting bugs and performing code
-changes.
-
-Bug Reports

-
-If you find a problem, please report it either using
-[Bugzilla](https://bugzilla.suse.com/enter_bug.cgi?format=guided=openSUSE+Factory=YaST2)
-or [GitHub issues](../../issues). (For Bugzilla, use the [simplified
-registration](https://secure-www.novell.com/selfreg/jsp/createSimpleAccount.jsp)
-if you don't have an account yet.)
-
-When creating a bug report, please follow our [bug reporting
-guidelines](http://en.opensuse.org/openSUSE:Report_a_YaST_bug).
-
-We can't guarantee that every bug will be fixed, but we'll try.
-
-Code Changes
-
-
-We welcome all kinds of code contributions, from simple bug fixes to 
significant
-refactorings and implementation of new features. However, before making any
-non-trivial contribution, get in touch with us first — this can prevent wasted
-effort on both sides. Also, have a look at our [development
-documentation](http://en.opensuse.org/openSUSE:YaST_development).
-
-To send us your code change, use GitHub pull requests. The workflow is as
-follows:
-
-  1. Fork the project.
-
-  2. Create a topic branch based on `master`.
-
-  3. Implement your change, including tests (if possible). Make sure you adhere
- to the [Ruby style
- guide](https://github.com/SUSE/style-guides/blob/master/Ruby.md).
-
-  4. Update the package version (in `packages/*.spec`, usually by
- `rake version:bump`) and add a new entry to the `package/*.changes` file
- (by `osc vc package`).  
- For bigger changes or changes 

commit yast2-samba-client for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-samba-client for 
openSUSE:Factory checked in at 2020-08-14 13:09:24

Comparing /work/SRC/openSUSE:Factory/yast2-samba-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-samba-client.new.3399 (New)


Package is "yast2-samba-client"

Fri Aug 14 13:09:24 2020 rev:105 rq:825990 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-samba-client/yast2-samba-client.changes
2020-06-10 00:36:35.489104555 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-samba-client.new.3399/yast2-samba-client.changes
  2020-08-14 13:09:26.797212884 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:52:46 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(samba-client) into the spec
+  file in order to install this packages if the section has been
+  defined in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-samba-client-4.3.1.tar.bz2

New:

  yast2-samba-client-4.3.2.tar.bz2



Other differences:
--
++ yast2-samba-client.spec ++
--- /var/tmp/diff_new_pack.sC2HaV/_old  2020-08-14 13:09:27.253213057 +0200
+++ /var/tmp/diff_new_pack.sC2HaV/_new  2020-08-14 13:09:27.253213057 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-samba-client
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - Samba Client Configuration
 License:GPL-2.0-only
@@ -45,6 +45,8 @@
 
 Recommends: samba-python3
 
+Supplements:autoyast(samba-client)
+
 BuildArch:  noarch
 
 %description

++ yast2-samba-client-4.3.1.tar.bz2 -> yast2-samba-client-4.3.2.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-samba-client-4.3.1/package/yast2-samba-client.changes 
new/yast2-samba-client-4.3.2/package/yast2-samba-client.changes
--- old/yast2-samba-client-4.3.1/package/yast2-samba-client.changes 
2020-05-28 16:17:36.0 +0200
+++ new/yast2-samba-client-4.3.2/package/yast2-samba-client.changes 
2020-08-12 12:09:57.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:52:46 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(samba-client) into the spec
+  file in order to install this packages if the section has been
+  defined in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Wed May 27 14:20:13 UTC 2020 - David Diaz 
 
 - Dropped legacy testsuite (related to bsc#1138668).
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-samba-client-4.3.1/package/yast2-samba-client.spec 
new/yast2-samba-client-4.3.2/package/yast2-samba-client.spec
--- old/yast2-samba-client-4.3.1/package/yast2-samba-client.spec
2020-05-28 16:17:36.0 +0200
+++ new/yast2-samba-client-4.3.2/package/yast2-samba-client.spec
2020-08-12 12:09:57.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-samba-client
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - Samba Client Configuration
 Group:  System/YaST
@@ -45,6 +45,8 @@
 
 Recommends: samba-python3
 
+Supplements:autoyast(samba-client)
+
 BuildArch:  noarch
 
 %description




commit yast2-users for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-users for openSUSE:Factory 
checked in at 2020-08-14 13:09:26

Comparing /work/SRC/openSUSE:Factory/yast2-users (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-users.new.3399 (New)


Package is "yast2-users"

Fri Aug 14 13:09:26 2020 rev:236 rq:825993 version:4.3.7

Changes:

--- /work/SRC/openSUSE:Factory/yast2-users/yast2-users.changes  2020-08-06 
10:38:45.946019234 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-users.new.3399/yast2-users.changes
2020-08-14 13:09:28.325213466 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 18:05:20 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(users,groups,user_defaults)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file (bsc#1146494).
+- 4.3.7
+
+---

Old:

  yast2-users-4.3.6.tar.bz2

New:

  yast2-users-4.3.7.tar.bz2



Other differences:
--
++ yast2-users.spec ++
--- /var/tmp/diff_new_pack.mtWALo/_old  2020-08-14 13:09:28.953213705 +0200
+++ /var/tmp/diff_new_pack.mtWALo/_new  2020-08-14 13:09:28.957213706 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-users
-Version:4.3.6
+Version:4.3.7
 Release:0
 Summary:YaST2 - User and Group Configuration
 License:GPL-2.0-only
@@ -68,6 +68,8 @@
 # older storage uses removed deprecated method, see 
https://github.com/yast/yast-storage/pull/187
 Conflicts:  yast2-storage < 3.1.75
 
+Supplements:autoyast(users,groups,user_defaults)
+
 %description
 This package provides GUI for maintenance of linux users and groups.
 

++ yast2-users-4.3.6.tar.bz2 -> yast2-users-4.3.7.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-users-4.3.6/package/yast2-users.changes 
new/yast2-users-4.3.7/package/yast2-users.changes
--- old/yast2-users-4.3.6/package/yast2-users.changes   2020-08-03 
20:36:46.0 +0200
+++ new/yast2-users-4.3.7/package/yast2-users.changes   2020-08-12 
12:10:16.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 18:05:20 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(users,groups,user_defaults)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file (bsc#1146494).
+- 4.3.7
+
+---
 Mon Aug  3 12:42:59 UTC 2020 - Martin Vidner 
 
 - Remove ag_uid to save memory at installation time (bsc#1172139).
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-users-4.3.6/package/yast2-users.spec 
new/yast2-users-4.3.7/package/yast2-users.spec
--- old/yast2-users-4.3.6/package/yast2-users.spec  2020-08-03 
20:36:46.0 +0200
+++ new/yast2-users-4.3.7/package/yast2-users.spec  2020-08-12 
12:10:16.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-users
-Version:4.3.6
+Version:4.3.7
 Release:0
 Summary:YaST2 - User and Group Configuration
 License:GPL-2.0-only
@@ -68,6 +68,8 @@
 # older storage uses removed deprecated method, see 
https://github.com/yast/yast-storage/pull/187
 Conflicts:  yast2-storage < 3.1.75
 
+Supplements:autoyast(users,groups,user_defaults)
+
 %description
 This package provides GUI for maintenance of linux users and groups.
 




commit yast2-geo-cluster for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-geo-cluster for 
openSUSE:Factory checked in at 2020-08-14 13:09:34

Comparing /work/SRC/openSUSE:Factory/yast2-geo-cluster (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-geo-cluster.new.3399 (New)


Package is "yast2-geo-cluster"

Fri Aug 14 13:09:34 2020 rev:25 rq:825996 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-geo-cluster/yast2-geo-cluster.changes  
2020-06-02 14:40:34.175887536 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-geo-cluster.new.3399/yast2-geo-cluster.changes
2020-08-14 13:09:37.149216827 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 11:15:02 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(geo-cluster) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-geo-cluster-4.3.1.tar.bz2

New:

  yast2-geo-cluster-4.3.2.tar.bz2



Other differences:
--
++ yast2-geo-cluster.spec ++
--- /var/tmp/diff_new_pack.yfc7g9/_old  2020-08-14 13:09:37.573216989 +0200
+++ /var/tmp/diff_new_pack.yfc7g9/_new  2020-08-14 13:09:37.573216989 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-geo-cluster
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:Configuration of booth
 License:GPL-2.0-only
@@ -35,6 +35,8 @@
 Requires:   yast2 >= 4.0.39
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(geo-cluster)
+
 BuildArch:  noarch
 
 %description

++ yast2-geo-cluster-4.3.1.tar.bz2 -> yast2-geo-cluster-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-geo-cluster-4.3.1/package/yast2-geo-cluster.changes 
new/yast2-geo-cluster-4.3.2/package/yast2-geo-cluster.changes
--- old/yast2-geo-cluster-4.3.1/package/yast2-geo-cluster.changes   
2020-06-01 11:57:42.0 +0200
+++ new/yast2-geo-cluster-4.3.2/package/yast2-geo-cluster.changes   
2020-08-12 12:17:11.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 11:15:02 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(geo-cluster) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Wed May 27 15:03:16 UTC 2020 - Martin Vidner 
 
 - Autoyast schema: Fix for inclusion in yast2-schema (bsc#1170886)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-geo-cluster-4.3.1/package/yast2-geo-cluster.spec 
new/yast2-geo-cluster-4.3.2/package/yast2-geo-cluster.spec
--- old/yast2-geo-cluster-4.3.1/package/yast2-geo-cluster.spec  2020-06-01 
11:57:42.0 +0200
+++ new/yast2-geo-cluster-4.3.2/package/yast2-geo-cluster.spec  2020-08-12 
12:17:11.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-geo-cluster
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:Configuration of booth
 License:GPL-2.0-only
@@ -35,6 +35,8 @@
 Requires:   yast2 >= 4.0.39
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(geo-cluster)
+
 BuildArch:  noarch
 
 %description




commit yast2-nfs-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-nfs-server for 
openSUSE:Factory checked in at 2020-08-14 13:09:18

Comparing /work/SRC/openSUSE:Factory/yast2-nfs-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-nfs-server.new.3399 (New)


Package is "yast2-nfs-server"

Fri Aug 14 13:09:18 2020 rev:61 rq:825984 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-nfs-server/yast2-nfs-server.changes
2020-05-15 23:49:52.593262019 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-nfs-server.new.3399/yast2-nfs-server.changes  
2020-08-14 13:09:20.477210476 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:31:10 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nfs-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-nfs-server-4.3.0.tar.bz2

New:

  yast2-nfs-server-4.3.1.tar.bz2



Other differences:
--
++ yast2-nfs-server.spec ++
--- /var/tmp/diff_new_pack.32oZz6/_old  2020-08-14 13:09:20.981210668 +0200
+++ /var/tmp/diff_new_pack.32oZz6/_new  2020-08-14 13:09:20.985210670 +0200
@@ -20,7 +20,7 @@
 Summary:YaST2 - NFS Server Configuration
 License:GPL-2.0-or-later
 Group:  System/YaST
-Version:4.3.0
+Version:4.3.1
 Release:0
 URL:https://github.com/yast/yast-nfs-server
 
@@ -40,6 +40,8 @@
 
 Recommends: nfs-kernel-server
 
+Supplements:autoyast(nfs-server)
+
 BuildArch:  noarch
 
 %description

++ yast2-nfs-server-4.3.0.tar.bz2 -> yast2-nfs-server-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-nfs-server-4.3.0/package/yast2-nfs-server.changes 
new/yast2-nfs-server-4.3.1/package/yast2-nfs-server.changes
--- old/yast2-nfs-server-4.3.0/package/yast2-nfs-server.changes 2020-05-12 
15:55:19.0 +0200
+++ new/yast2-nfs-server-4.3.1/package/yast2-nfs-server.changes 2020-08-12 
12:08:53.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:31:10 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nfs-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Tue May 12 13:46:36 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-nfs-server-4.3.0/package/yast2-nfs-server.spec 
new/yast2-nfs-server-4.3.1/package/yast2-nfs-server.spec
--- old/yast2-nfs-server-4.3.0/package/yast2-nfs-server.spec2020-05-12 
15:55:19.0 +0200
+++ new/yast2-nfs-server-4.3.1/package/yast2-nfs-server.spec2020-08-12 
12:08:53.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   yast2-nfs-server
 Summary:YaST2 - NFS Server Configuration
-Version:4.3.0
+Version:4.3.1
 Release:0
 URL:https://github.com/yast/yast-nfs-server
 Group:  System/YaST
@@ -40,6 +40,8 @@
 
 Recommends: nfs-kernel-server
 
+Supplements:autoyast(nfs-server)
+
 BuildArch:  noarch
 
 %description




commit yast2-dhcp-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-dhcp-server for 
openSUSE:Factory checked in at 2020-08-14 13:09:20

Comparing /work/SRC/openSUSE:Factory/yast2-dhcp-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-dhcp-server.new.3399 (New)


Package is "yast2-dhcp-server"

Fri Aug 14 13:09:20 2020 rev:61 rq:825987 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-dhcp-server/yast2-dhcp-server.changes  
2020-05-09 19:51:13.436692278 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-dhcp-server.new.3399/yast2-dhcp-server.changes
2020-08-14 13:09:24.761212108 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:34:11 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(dhcp-server) into the spec
+  file in order to install this packages if the section has been
+  defined in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-dhcp-server-4.3.0.tar.bz2

New:

  yast2-dhcp-server-4.3.1.tar.bz2



Other differences:
--
++ yast2-dhcp-server.spec ++
--- /var/tmp/diff_new_pack.Wn48tz/_old  2020-08-14 13:09:25.593212425 +0200
+++ /var/tmp/diff_new_pack.Wn48tz/_new  2020-08-14 13:09:25.597212427 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-dhcp-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - DHCP Server Configuration
 License:GPL-2.0-only
@@ -57,6 +57,8 @@
 Requires:   yast2-dns-server >= 2.13.16
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(dhcp-server)
+
 BuildArch:  noarch
 
 %description

++ yast2-dhcp-server-4.3.0.tar.bz2 -> yast2-dhcp-server-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-dhcp-server-4.3.0/package/yast2-dhcp-server.changes 
new/yast2-dhcp-server-4.3.1/package/yast2-dhcp-server.changes
--- old/yast2-dhcp-server-4.3.0/package/yast2-dhcp-server.changes   
2020-05-07 18:00:13.0 +0200
+++ new/yast2-dhcp-server-4.3.1/package/yast2-dhcp-server.changes   
2020-08-12 12:09:03.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:34:11 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(dhcp-server) into the spec
+  file in order to install this packages if the section has been
+  defined in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Thu May  7 15:31:15 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-dhcp-server-4.3.0/package/yast2-dhcp-server.spec 
new/yast2-dhcp-server-4.3.1/package/yast2-dhcp-server.spec
--- old/yast2-dhcp-server-4.3.0/package/yast2-dhcp-server.spec  2020-05-07 
18:00:13.0 +0200
+++ new/yast2-dhcp-server-4.3.1/package/yast2-dhcp-server.spec  2020-08-12 
12:09:03.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-dhcp-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - DHCP Server Configuration
 Group:  System/YaST
@@ -57,6 +57,8 @@
 Requires:   yast2-dns-server >= 2.13.16
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(dhcp-server)
+
 BuildArch:  noarch
 
 %description




commit yast2-nis-client for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-nis-client for 
openSUSE:Factory checked in at 2020-08-14 13:09:37

Comparing /work/SRC/openSUSE:Factory/yast2-nis-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-nis-client.new.3399 (New)


Package is "yast2-nis-client"

Fri Aug 14 13:09:37 2020 rev:75 rq:825997 version:4.3.4

Changes:

--- /work/SRC/openSUSE:Factory/yast2-nis-client/yast2-nis-client.changes
2020-07-30 10:00:14.511226280 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-nis-client.new.3399/yast2-nis-client.changes  
2020-08-14 13:09:37.953217133 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 11:19:41 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nis) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---

Old:

  yast2-nis-client-4.3.3.tar.bz2

New:

  yast2-nis-client-4.3.4.tar.bz2



Other differences:
--
++ yast2-nis-client.spec ++
--- /var/tmp/diff_new_pack.m1xlX8/_old  2020-08-14 13:09:38.381217296 +0200
+++ /var/tmp/diff_new_pack.m1xlX8/_new  2020-08-14 13:09:38.385217298 +0200
@@ -20,7 +20,7 @@
 Summary:YaST2 - Network Information Services (NIS, YP) Configuration
 License:GPL-2.0-only
 Group:  System/YaST
-Version:4.3.3
+Version:4.3.4
 Release:0
 Url:https://github.com/yast/yast-nis-client
 
@@ -61,6 +61,8 @@
 Obsoletes:  yast2-nis-client-devel-doc
 Obsoletes:  yast2-trans-nis
 
+Supplements:autoyast(nis)
+
 %description
 The YaST2 component for NIS configuration. NIS is a service similar to
 yellow pages.

++ yast2-nis-client-4.3.3.tar.bz2 -> yast2-nis-client-4.3.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-nis-client-4.3.3/package/yast2-nis-client.changes 
new/yast2-nis-client-4.3.4/package/yast2-nis-client.changes
--- old/yast2-nis-client-4.3.3/package/yast2-nis-client.changes 2020-07-28 
16:32:29.0 +0200
+++ new/yast2-nis-client-4.3.4/package/yast2-nis-client.changes 2020-08-12 
12:17:20.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 11:19:41 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nis) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---
 Tue Jul 28 12:49:27 UTC 2020 - Ancor Gonzalez Sosa 
 
 - Fixed the mechanism used to ensure the usage of "compat" for
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-nis-client-4.3.3/package/yast2-nis-client.spec 
new/yast2-nis-client-4.3.4/package/yast2-nis-client.spec
--- old/yast2-nis-client-4.3.3/package/yast2-nis-client.spec2020-07-28 
16:32:29.0 +0200
+++ new/yast2-nis-client-4.3.4/package/yast2-nis-client.spec2020-08-12 
12:17:20.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   yast2-nis-client
 Summary:YaST2 - Network Information Services (NIS, YP) Configuration
-Version:4.3.3
+Version:4.3.4
 Release:0
 Url:https://github.com/yast/yast-nis-client
 Group:  System/YaST
@@ -55,6 +55,8 @@
 Obsoletes:  yast2-trans-nis
 Obsoletes:  yast2-nis-client-devel-doc
 
+Supplements:autoyast(nis)
+
 %description
 The YaST2 component for NIS configuration. NIS is a service similar to
 yellow pages.




commit yast2-installation for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-installation for 
openSUSE:Factory checked in at 2020-08-14 13:09:59

Comparing /work/SRC/openSUSE:Factory/yast2-installation (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-installation.new.3399 (New)


Package is "yast2-installation"

Fri Aug 14 13:09:59 2020 rev:452 rq:826021 version:4.3.14

Changes:

--- /work/SRC/openSUSE:Factory/yast2-installation/yast2-installation.changes
2020-07-30 10:00:53.171249364 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-installation.new.3399/yast2-installation.changes
  2020-08-14 13:10:03.157226735 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 10:33:04 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(deploy_image,ssh_import)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file (bsc#1146494).
+- 4.3.14
+
+---

Old:

  yast2-installation-4.3.13.tar.bz2

New:

  yast2-installation-4.3.14.tar.bz2



Other differences:
--
++ yast2-installation.spec ++
--- /var/tmp/diff_new_pack.cRF5Ng/_old  2020-08-14 13:10:05.001227437 +0200
+++ /var/tmp/diff_new_pack.cRF5Ng/_new  2020-08-14 13:10:05.005227439 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-installation
-Version:4.3.13
+Version:4.3.14
 Release:0
 Summary:YaST2 - Installation Parts
 License:GPL-2.0-only
@@ -123,6 +123,8 @@
 Recommends: yast2-firewall
 Recommends: yast2-add-on
 
+Supplements:autoyast(deploy_image,ssh_import)
+
 BuildArch:  noarch
 
 %description

++ yast2-installation-4.3.13.tar.bz2 -> yast2-installation-4.3.14.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-installation-4.3.13/doc/control-file.md 
new/yast2-installation-4.3.14/doc/control-file.md
--- old/yast2-installation-4.3.13/doc/control-file.md   2020-07-29 
14:08:57.0 +0200
+++ new/yast2-installation-4.3.14/doc/control-file.md   2020-08-12 
13:43:38.0 +0200
@@ -504,7 +504,11 @@
 nothing is configured, the default layout is rendered with title on the left 
and
 with the top banner (SLE flavor).
 
-Some examples of layout configuration:
+ Examples
+
+Some examples of different configurations and its visual result are shown 
below:
+
+# Example 1
 
 ```xml
 
@@ -517,6 +521,10 @@
 
 ```
 
+![](screenshots/sle_tt_banner.png)
+
+# Example 2
+
 ```xml
 
 
@@ -525,6 +533,48 @@
 
 ```
 
+![](screenshots/tw_sd.png)
+
+# Example 3
+
+```xml
+
+
+steps
+true
+
+
+```
+
+![](screenshots/sle_sd_banner.png)
+
+# Example 4
+
+```xml
+
+
+title-on-top
+true
+
+
+```
+
+![](screenshots/sle_tt_banner.png)
+
+# Example 5
+
+```xml
+
+
+title-on-left
+false
+
+
+```
+
+![](screenshots/sle_tl.png)
+
+
 ### Software
 
 The *software* section defines the selection of software during installation or
Binary files old/yast2-installation-4.3.13/doc/screenshots/sle_sd_banner.png 
and new/yast2-installation-4.3.14/doc/screenshots/sle_sd_banner.png differ
Binary files old/yast2-installation-4.3.13/doc/screenshots/sle_tl.png and 
new/yast2-installation-4.3.14/doc/screenshots/sle_tl.png differ
Binary files old/yast2-installation-4.3.13/doc/screenshots/sle_tt_banner.png 
and new/yast2-installation-4.3.14/doc/screenshots/sle_tt_banner.png differ
Binary files old/yast2-installation-4.3.13/doc/screenshots/tw_sd.png and 
new/yast2-installation-4.3.14/doc/screenshots/tw_sd.png differ
Binary files old/yast2-installation-4.3.13/doc/screenshots/tw_tt_banner.png and 
new/yast2-installation-4.3.14/doc/screenshots/tw_tt_banner.png differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-installation-4.3.13/package/yast2-installation.changes 
new/yast2-installation-4.3.14/package/yast2-installation.changes
--- old/yast2-installation-4.3.13/package/yast2-installation.changes
2020-07-29 14:08:57.0 +0200
+++ new/yast2-installation-4.3.14/package/yast2-installation.changes
2020-08-12 13:43:38.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 10:33:04 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(deploy_image,ssh_import)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file (bsc#1146494).
+- 4.3.14
+
+---
 Mon Jul 27 17:04:26 CEST 2020 - sch...@suse.de
 
 - AY: Removed "image" section from "software" section
diff -urN 

commit yast2-sound for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-sound for openSUSE:Factory 
checked in at 2020-08-14 13:09:28

Comparing /work/SRC/openSUSE:Factory/yast2-sound (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-sound.new.3399 (New)


Package is "yast2-sound"

Fri Aug 14 13:09:28 2020 rev:101 rq:825994 version:4.3.3

Changes:

--- /work/SRC/openSUSE:Factory/yast2-sound/yast2-sound.changes  2020-07-13 
09:06:18.784211196 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-sound.new.3399/yast2-sound.changes
2020-08-14 13:09:32.201214942 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 18:16:05 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(sound) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---

Old:

  yast2-sound-4.3.2.tar.bz2

New:

  yast2-sound-4.3.3.tar.bz2



Other differences:
--
++ yast2-sound.spec ++
--- /var/tmp/diff_new_pack.0uRfWU/_old  2020-08-14 13:09:32.701215133 +0200
+++ /var/tmp/diff_new_pack.0uRfWU/_new  2020-08-14 13:09:32.701215133 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-sound
-Version:4.3.2
+Version:4.3.3
 Release:0
 Summary:YaST2 - Sound Configuration
 License:GPL-2.0-or-later
@@ -51,6 +51,8 @@
 
 Obsoletes:  yast2-sound-devel-doc
 
+Supplements:autoyast(sound)
+
 %description
 This package contains the YaST2 component for sound card configuration.
 

++ yast2-sound-4.3.2.tar.bz2 -> yast2-sound-4.3.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-sound-4.3.2/package/yast2-sound.changes 
new/yast2-sound-4.3.3/package/yast2-sound.changes
--- old/yast2-sound-4.3.2/package/yast2-sound.changes   2020-07-09 
16:50:38.0 +0200
+++ new/yast2-sound-4.3.3/package/yast2-sound.changes   2020-08-12 
12:10:23.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 18:16:05 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(sound) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---
 Thu Jul  9 14:37:08 UTC 2020 - Bernhard Wiedemann 
 
 - Only record the first 2 numbers of kernel version (boo#1173918)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-sound-4.3.2/package/yast2-sound.spec 
new/yast2-sound-4.3.3/package/yast2-sound.spec
--- old/yast2-sound-4.3.2/package/yast2-sound.spec  2020-07-09 
16:50:38.0 +0200
+++ new/yast2-sound-4.3.3/package/yast2-sound.spec  2020-08-12 
12:10:23.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-sound
-Version:4.3.2
+Version:4.3.3
 Release:0
 Summary:YaST2 - Sound Configuration
 License:GPL-2.0-or-later
@@ -51,6 +51,8 @@
 
 Obsoletes:  yast2-sound-devel-doc
 
+Supplements:autoyast(sound)
+
 %description
 This package contains the YaST2 component for sound card configuration.
 




commit yast2-ftp-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-ftp-server for 
openSUSE:Factory checked in at 2020-08-14 13:09:32

Comparing /work/SRC/openSUSE:Factory/yast2-ftp-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-ftp-server.new.3399 (New)


Package is "yast2-ftp-server"

Fri Aug 14 13:09:32 2020 rev:73 rq:825995 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-ftp-server/yast2-ftp-server.changes
2020-06-10 00:37:34.373262504 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-ftp-server.new.3399/yast2-ftp-server.changes  
2020-08-14 13:09:34.613215861 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 10:52:33 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(ftp-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-ftp-server-4.3.1.tar.bz2

New:

  yast2-ftp-server-4.3.2.tar.bz2



Other differences:
--
++ yast2-ftp-server.spec ++
--- /var/tmp/diff_new_pack.1hkL0f/_old  2020-08-14 13:09:35.589216233 +0200
+++ /var/tmp/diff_new_pack.1hkL0f/_new  2020-08-14 13:09:35.593216235 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ftp-server
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - FTP configuration
 License:GPL-2.0-only
@@ -39,6 +39,8 @@
 # Do not log passwords
 Requires:   yast2-users >= 4.2.4
 
+Supplements:autoyast(ftp-server)
+
 BuildArch:  noarch
 
 %description

++ yast2-ftp-server-4.3.1.tar.bz2 -> yast2-ftp-server-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-ftp-server-4.3.1/package/yast2-ftp-server.changes 
new/yast2-ftp-server-4.3.2/package/yast2-ftp-server.changes
--- old/yast2-ftp-server-4.3.1/package/yast2-ftp-server.changes 2020-06-03 
09:51:57.0 +0200
+++ new/yast2-ftp-server-4.3.2/package/yast2-ftp-server.changes 2020-08-12 
12:16:54.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 10:52:33 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(ftp-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Tue Jun  2 14:20:43 UTC 2020 - José Iván López González 
 
 - Add missing dependency of yast2-users (bsc#1132116).
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-ftp-server-4.3.1/package/yast2-ftp-server.spec 
new/yast2-ftp-server-4.3.2/package/yast2-ftp-server.spec
--- old/yast2-ftp-server-4.3.1/package/yast2-ftp-server.spec2020-06-03 
09:51:57.0 +0200
+++ new/yast2-ftp-server-4.3.2/package/yast2-ftp-server.spec2020-08-12 
12:16:54.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-ftp-server
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - FTP configuration
 License:GPL-2.0-only
@@ -39,6 +39,8 @@
 # Do not log passwords
 Requires:   yast2-users >= 4.2.4
 
+Supplements:autoyast(ftp-server)
+
 BuildArch:  noarch
 
 %description




commit yast2-country for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-country for openSUSE:Factory 
checked in at 2020-08-14 13:09:55

Comparing /work/SRC/openSUSE:Factory/yast2-country (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-country.new.3399 (New)


Package is "yast2-country"

Fri Aug 14 13:09:55 2020 rev:215 rq:826018 version:4.3.8

Changes:

--- /work/SRC/openSUSE:Factory/yast2-country/yast2-country.changes  
2020-07-03 00:44:21.941929127 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-country.new.3399/yast2-country.changes
2020-08-14 13:10:00.105225573 +0200
@@ -1,0 +2,15 @@
+Mon Aug 12 11:41:21 UTC 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(language,keyboard,timezone)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file
+  (bsc#1146494).
+- 4.3.8
+
+---  
+Wed Aug 12 08:18:47 UTC 2020 - Ladislav Slezák 
+
+- Fixed failing unit test on S390 (related to bsc#1172749)
+- 4.3.7
+
+---

Old:

  yast2-country-4.3.6.tar.bz2

New:

  yast2-country-4.3.8.tar.bz2



Other differences:
--
++ yast2-country.spec ++
--- /var/tmp/diff_new_pack.wopE8T/_old  2020-08-14 13:10:00.949225894 +0200
+++ /var/tmp/diff_new_pack.wopE8T/_new  2020-08-14 13:10:00.953225895 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-country
-Version:4.3.6
+Version:4.3.8
 Release:0
 Summary:YaST2 - Country Settings (Language, Keyboard, and Timezone)
 License:GPL-2.0-only
@@ -58,6 +58,8 @@
 # Y2Network::NtpServer
 Conflicts:  yast2-ntp-client < 4.2.8
 
+Supplements:autoyast(language,keyboard,timezone)
+
 %description
 Country specific data and configuration modules (language, keyboard,
 timezone) for yast2.

++ yast2-country-4.3.6.tar.bz2 -> yast2-country-4.3.8.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-country-4.3.6/keyboard/test/keyboard_auto_test.rb 
new/yast2-country-4.3.8/keyboard/test/keyboard_auto_test.rb
--- old/yast2-country-4.3.6/keyboard/test/keyboard_auto_test.rb 2020-07-01 
14:11:33.0 +0200
+++ new/yast2-country-4.3.8/keyboard/test/keyboard_auto_test.rb 2020-08-12 
13:39:22.0 +0200
@@ -32,9 +32,17 @@
 .and_return(true)
 end
 
-it "runs keyboard client" do
+it "runs keyboard client on non s390" do
   expect(Yast::WFM).to receive(:CallFunction).with(
 "keyboard")
+  expect(Yast::Arch).to receive(:s390).and_return(false)
+  client.change
+end
+
+it "does not run keyboard client on s390" do
+  expect(Yast::WFM).to_not receive(:CallFunction).with(
+"keyboard")
+  expect(Yast::Arch).to receive(:s390).and_return(true)
   client.change
 end
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-country-4.3.6/package/yast2-country.changes 
new/yast2-country-4.3.8/package/yast2-country.changes
--- old/yast2-country-4.3.6/package/yast2-country.changes   2020-07-01 
14:11:33.0 +0200
+++ new/yast2-country-4.3.8/package/yast2-country.changes   2020-08-12 
13:39:22.0 +0200
@@ -1,4 +1,19 @@
 ---
+Mon Aug 12 11:41:21 UTC 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(language,keyboard,timezone)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file
+  (bsc#1146494).
+- 4.3.8
+
+---  
+Wed Aug 12 08:18:47 UTC 2020 - Ladislav Slezák 
+
+- Fixed failing unit test on S390 (related to bsc#1172749)
+- 4.3.7
+
+---
 Wed Jul  1 11:09:54 UTC 2020 - Josef Reidinger 
 
 - avoid build dependency on yast2-network to break build loop
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-country-4.3.6/package/yast2-country.spec 
new/yast2-country-4.3.8/package/yast2-country.spec
--- old/yast2-country-4.3.6/package/yast2-country.spec  2020-07-01 
14:11:33.0 +0200
+++ new/yast2-country-4.3.8/package/yast2-country.spec  2020-08-12 
13:39:22.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-country
-Version:4.3.6
+Version:4.3.8
 Release:0
 Summary:YaST2 - Country Settings (Language, Keyboard, and Timezone)
 License:GPL-2.0-only
@@ -58,6 +58,8 @@
 # Y2Network::NtpServer
 Conflicts:  yast2-ntp-client < 4.2.8
 
+Supplements:

commit yast2-nfs-client for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-nfs-client for 
openSUSE:Factory checked in at 2020-08-14 13:09:06

Comparing /work/SRC/openSUSE:Factory/yast2-nfs-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-nfs-client.new.3399 (New)


Package is "yast2-nfs-client"

Fri Aug 14 13:09:06 2020 rev:86 rq:825978 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-nfs-client/yast2-nfs-client.changes
2020-05-15 23:49:56.185268942 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-nfs-client.new.3399/yast2-nfs-client.changes  
2020-08-14 13:09:10.693206749 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:10:07 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nfs) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-nfs-client-4.3.1.tar.bz2

New:

  yast2-nfs-client-4.3.2.tar.bz2



Other differences:
--
++ yast2-nfs-client.spec ++
--- /var/tmp/diff_new_pack.nbkYkx/_old  2020-08-14 13:09:11.181206935 +0200
+++ /var/tmp/diff_new_pack.nbkYkx/_new  2020-08-14 13:09:11.185206936 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-nfs-client
-Version:4.3.1
+Version:4.3.2
 Release:0
 Url:https://github.com/yast/yast-nfs-client
 Summary:YaST2 - NFS Configuration
@@ -65,6 +65,8 @@
 Obsoletes:  yast2-config-nfs-devel
 Obsoletes:  yast2-trans-nfs
 
+Supplements:autoyast(nfs)
+
 BuildArch:  noarch
 
 %description

++ yast2-nfs-client-4.3.1.tar.bz2 -> yast2-nfs-client-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-nfs-client-4.3.1/package/yast2-nfs-client.changes 
new/yast2-nfs-client-4.3.2/package/yast2-nfs-client.changes
--- old/yast2-nfs-client-4.3.1/package/yast2-nfs-client.changes 2020-05-12 
15:55:23.0 +0200
+++ new/yast2-nfs-client-4.3.2/package/yast2-nfs-client.changes 2020-08-12 
12:07:51.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:10:07 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nfs) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Tue May 12 13:41:33 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-nfs-client-4.3.1/package/yast2-nfs-client.spec 
new/yast2-nfs-client-4.3.2/package/yast2-nfs-client.spec
--- old/yast2-nfs-client-4.3.1/package/yast2-nfs-client.spec2020-05-12 
15:55:23.0 +0200
+++ new/yast2-nfs-client-4.3.2/package/yast2-nfs-client.spec2020-08-12 
12:07:51.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-nfs-client
-Version:4.3.1
+Version:4.3.2
 Release:0
 Url:https://github.com/yast/yast-nfs-client
 Summary:YaST2 - NFS Configuration
@@ -65,6 +65,8 @@
 Obsoletes:  yast2-config-nfs-devel
 Obsoletes:  yast2-trans-nfs
 
+Supplements:autoyast(nfs)
+
 BuildArch:  noarch
 
 %description




commit yast2-nis-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-nis-server for 
openSUSE:Factory checked in at 2020-08-14 13:09:12

Comparing /work/SRC/openSUSE:Factory/yast2-nis-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-nis-server.new.3399 (New)


Package is "yast2-nis-server"

Fri Aug 14 13:09:12 2020 rev:45 rq:825981 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-nis-server/yast2-nis-server.changes
2020-05-15 23:50:06.317288466 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-nis-server.new.3399/yast2-nis-server.changes  
2020-08-14 13:09:13.765207919 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:20:14 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nis_server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-nis-server-4.3.0.tar.bz2

New:

  yast2-nis-server-4.3.1.tar.bz2



Other differences:
--
++ yast2-nis-server.spec ++
--- /var/tmp/diff_new_pack.pk1h7d/_old  2020-08-14 13:09:14.429208172 +0200
+++ /var/tmp/diff_new_pack.pk1h7d/_new  2020-08-14 13:09:14.429208172 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-nis-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:YaST2 - Network Information Services (NIS) Server Configuration
 License:GPL-2.0-only
@@ -48,6 +48,8 @@
 Obsoletes:  yast2-nis-server-devel-doc
 Obsoletes:  yast2-trans-nis-server
 
+Supplements:autoyast(nis_server)
+
 BuildArch:  noarch
 
 %description 

++ yast2-nis-server-4.3.0.tar.bz2 -> yast2-nis-server-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-nis-server-4.3.0/package/yast2-nis-server.changes 
new/yast2-nis-server-4.3.1/package/yast2-nis-server.changes
--- old/yast2-nis-server-4.3.0/package/yast2-nis-server.changes 2020-05-12 
16:31:20.0 +0200
+++ new/yast2-nis-server-4.3.1/package/yast2-nis-server.changes 2020-08-12 
12:08:30.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:20:14 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(nis_server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Tue May 12 14:16:54 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-nis-server-4.3.0/package/yast2-nis-server.spec 
new/yast2-nis-server-4.3.1/package/yast2-nis-server.spec
--- old/yast2-nis-server-4.3.0/package/yast2-nis-server.spec2020-05-12 
16:31:20.0 +0200
+++ new/yast2-nis-server-4.3.1/package/yast2-nis-server.spec2020-08-12 
12:08:30.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-nis-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Group:  System/YaST
 License:GPL-2.0-only
@@ -45,6 +45,8 @@
 Obsoletes:  yast2-trans-nis-server
 Obsoletes:  yast2-nis-server-devel-doc
 
+Supplements:autoyast(nis_server)
+
 BuildArch:  noarch
 
 %description 




commit yast2-online-update-configuration for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-online-update-configuration 
for openSUSE:Factory checked in at 2020-08-14 13:08:48

Comparing /work/SRC/openSUSE:Factory/yast2-online-update-configuration (Old)
 and  
/work/SRC/openSUSE:Factory/.yast2-online-update-configuration.new.3399 (New)


Package is "yast2-online-update-configuration"

Fri Aug 14 13:08:48 2020 rev:29 rq:825969 version:4.3.1

Changes:

--- 
/work/SRC/openSUSE:Factory/yast2-online-update-configuration/yast2-online-update-configuration.changes
  2020-05-15 23:49:59.545275416 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-online-update-configuration.new.3399/yast2-online-update-configuration.changes
2020-08-14 13:08:51.485199431 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 16:17:11 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(online_update_configuration)
+  into the spec file in order to install this packages if the
+  section has been defined in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-online-update-configuration-4.3.0.tar.bz2

New:

  yast2-online-update-configuration-4.3.1.tar.bz2



Other differences:
--
++ yast2-online-update-configuration.spec ++
--- /var/tmp/diff_new_pack.QkMT6Z/_old  2020-08-14 13:08:52.289199738 +0200
+++ /var/tmp/diff_new_pack.QkMT6Z/_new  2020-08-14 13:08:52.293199739 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-online-update-configuration
-Version:4.3.0
+Version:4.3.1
 Release:0
 Summary:Configuration of Online Update
 License:GPL-2.0-only
@@ -26,13 +26,13 @@
 
 Source0:%{name}-%{version}.tar.bz2
 
-BuildRequires:  perl-XML-Writer
 BuildRequires:  update-desktop-files
 BuildRequires:  yast2 >= 2.17.0
 BuildRequires:  yast2-devtools >= 4.2.2
 BuildRequires:  yast2-packager
 BuildRequires:  yast2-pkg-bindings >= 2.17.20
-BuildRequires:  yast2-testsuite
+BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
+BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)
 
 PreReq: %fillup_prereq
 # Wizard::SetDesktopTitleAndIcon
@@ -45,6 +45,8 @@
 
 Provides:   
yast2-registration:/usr/share/YaST2/clients/online_update_configuration.ycp
 
+Supplements:autoyast(online_update_configuration)
+
 BuildArch:  noarch
 
 %description
@@ -53,8 +55,10 @@
 %prep
 %setup -q
 
+%check
+%yast_check
+
 %build
-%yast_build
 
 %install
 %yast_install

++ yast2-online-update-configuration-4.3.0.tar.bz2 -> 
yast2-online-update-configuration-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-online-update-configuration-4.3.0/.yardopts 
new/yast2-online-update-configuration-4.3.1/.yardopts
--- old/yast2-online-update-configuration-4.3.0/.yardopts   1970-01-01 
01:00:00.0 +0100
+++ new/yast2-online-update-configuration-4.3.1/.yardopts   2020-08-12 
12:04:39.0 +0200
@@ -0,0 +1,7 @@
+--no-private
+--markup markdown
+--protected
+--readme README.md
+--output-dir ./doc/autodocs
+--files *.md
+src/**/*.rb
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-online-update-configuration-4.3.0/Makefile.cvs 
new/yast2-online-update-configuration-4.3.1/Makefile.cvs
--- old/yast2-online-update-configuration-4.3.0/Makefile.cvs2020-05-12 
16:31:15.0 +0200
+++ new/yast2-online-update-configuration-4.3.1/Makefile.cvs1970-01-01 
01:00:00.0 +0100
@@ -1,22 +0,0 @@
-#
-# Makefile.cvs
-#
-PREFIX = /usr
-
-LIB = $(shell y2tool get-lib)
-
-configure: all
-   ./configure --prefix=$(PREFIX) --libdir=$(PREFIX)/$(LIB)
-
-all:
-   y2tool y2autoconf
-   y2tool y2automake
-   autoreconf --force --install
-
-install: configure
-   make
-   make install
-
-reconf: all
-   ./config.status --recheck
-   ./config.status
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-online-update-configuration-4.3.0/agents/Makefile.am 
new/yast2-online-update-configuration-4.3.1/agents/Makefile.am
--- old/yast2-online-update-configuration-4.3.0/agents/Makefile.am  
2020-05-12 16:31:15.0 +0200
+++ new/yast2-online-update-configuration-4.3.1/agents/Makefile.am  
1970-01-01 01:00:00.0 +0100
@@ -1,7 +0,0 @@
-# Makefile.am for online-update-configuration/agents
-
-agent_SCRIPTS =
-
-scrconf_DATA = $(wildcard *.scr)
-
-EXTRA_DIST = $(agent_SCRIPTS) $(scrconf_DATA)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-online-update-configuration-4.3.0/agents/cfg_automatic_online_update.scr
 

commit yast2-samba-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-samba-server for 
openSUSE:Factory checked in at 2020-08-14 13:09:40

Comparing /work/SRC/openSUSE:Factory/yast2-samba-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-samba-server.new.3399 (New)


Package is "yast2-samba-server"

Fri Aug 14 13:09:40 2020 rev:89 rq:825999 version:4.3.3

Changes:

--- /work/SRC/openSUSE:Factory/yast2-samba-server/yast2-samba-server.changes
2020-06-10 00:37:08.449192967 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-samba-server.new.3399/yast2-samba-server.changes
  2020-08-14 13:09:43.133219107 +0200
@@ -1,0 +2,8 @@
+Tue Aug 11 11:54:32 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(samba-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---

Old:

  yast2-samba-server-4.3.2.tar.bz2

New:

  yast2-samba-server-4.3.3.tar.bz2



Other differences:
--
++ yast2-samba-server.spec ++
--- /var/tmp/diff_new_pack.LZgxoN/_old  2020-08-14 13:09:43.757219344 +0200
+++ /var/tmp/diff_new_pack.LZgxoN/_new  2020-08-14 13:09:43.757219344 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-samba-server
-Version:4.3.2
+Version:4.3.3
 Release:0
 Url:https://github.com/yast/yast-samba-server
 Summary:YaST2 - Samba Server Configuration
@@ -56,6 +56,8 @@
 # bnc #386473, recommend yast2-samba-server when installaing these packages
 Supplements:samba
 
+Supplements:autoyast(samba-server)
+
 BuildArch:  noarch
 
 %description

++ yast2-samba-server-4.3.2.tar.bz2 -> yast2-samba-server-4.3.3.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-samba-server-4.3.2/package/yast2-samba-server.changes 
new/yast2-samba-server-4.3.3/package/yast2-samba-server.changes
--- old/yast2-samba-server-4.3.2/package/yast2-samba-server.changes 
2020-06-01 12:00:20.0 +0200
+++ new/yast2-samba-server-4.3.3/package/yast2-samba-server.changes 
2020-08-12 12:17:35.0 +0200
@@ -1,4 +1,12 @@
 ---
+Tue Aug 11 11:54:32 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(samba-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.3
+
+---
 Mon Jun  1 09:40:31 UTC 2020 - Martin Vidner 
 
 - Autoyast schema: corrected problems in 'disabled' and 'share'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-samba-server-4.3.2/package/yast2-samba-server.spec 
new/yast2-samba-server-4.3.3/package/yast2-samba-server.spec
--- old/yast2-samba-server-4.3.2/package/yast2-samba-server.spec
2020-06-01 12:00:20.0 +0200
+++ new/yast2-samba-server-4.3.3/package/yast2-samba-server.spec
2020-08-12 12:17:35.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-samba-server
-Version:4.3.2
+Version:4.3.3
 Release:0
 Url:https://github.com/yast/yast-samba-server
 Summary:YaST2 - Samba Server Configuration
@@ -56,6 +56,8 @@
 # bnc #386473, recommend yast2-samba-server when installaing these packages
 Supplements:samba
 
+Supplements:autoyast(samba-server)
+
 BuildArch:  noarch
 
 %description




commit yast2-auth-client for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-auth-client for 
openSUSE:Factory checked in at 2020-08-14 13:09:03

Comparing /work/SRC/openSUSE:Factory/yast2-auth-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-auth-client.new.3399 (New)


Package is "yast2-auth-client"

Fri Aug 14 13:09:03 2020 rev:40 rq:825976 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-auth-client/yast2-auth-client.changes  
2020-05-09 19:51:09.864684610 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-auth-client.new.3399/yast2-auth-client.changes
2020-08-14 13:09:04.893204539 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:01:10 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(auth-client) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-auth-client-4.3.0.tar.bz2

New:

  yast2-auth-client-4.3.1.tar.bz2



Other differences:
--
++ yast2-auth-client.spec ++
--- /var/tmp/diff_new_pack.AuI4ug/_old  2020-08-14 13:09:05.561204794 +0200
+++ /var/tmp/diff_new_pack.AuI4ug/_new  2020-08-14 13:09:05.565204795 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-auth-client
-Version:4.3.0
+Version:4.3.1
 Release:0
 Url:https://github.com/yast/yast-auth-client
 Summary:YaST2 - Centralised System Authentication Configuration
@@ -47,6 +47,8 @@
 Obsoletes:  yast2-kerberos-client
 Obsoletes:  yast2-ldap-client
 
+Supplements:autoyast(auth-client)
+
 BuildArch:  noarch
 
 %description

++ yast2-auth-client-4.3.0.tar.bz2 -> yast2-auth-client-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-auth-client-4.3.0/package/yast2-auth-client.changes 
new/yast2-auth-client-4.3.1/package/yast2-auth-client.changes
--- old/yast2-auth-client-4.3.0/package/yast2-auth-client.changes   
2020-05-07 17:52:15.0 +0200
+++ new/yast2-auth-client-4.3.1/package/yast2-auth-client.changes   
2020-08-12 12:07:37.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:01:10 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(auth-client) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Thu May  7 13:13:14 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-auth-client-4.3.0/package/yast2-auth-client.spec 
new/yast2-auth-client-4.3.1/package/yast2-auth-client.spec
--- old/yast2-auth-client-4.3.0/package/yast2-auth-client.spec  2020-05-07 
17:52:15.0 +0200
+++ new/yast2-auth-client-4.3.1/package/yast2-auth-client.spec  2020-08-12 
12:07:37.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-auth-client
-Version:4.3.0
+Version:4.3.1
 Release:0
 Url:https://github.com/yast/yast-auth-client
 Summary:YaST2 - Centralised System Authentication Configuration
@@ -47,6 +47,8 @@
 Obsoletes:  yast2-kerberos-client
 Obsoletes:  yast2-ldap-client
 
+Supplements:autoyast(auth-client)
+
 BuildArch:  noarch
 
 %description




commit yast2-dns-server for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-dns-server for 
openSUSE:Factory checked in at 2020-08-14 13:08:39

Comparing /work/SRC/openSUSE:Factory/yast2-dns-server (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-dns-server.new.3399 (New)


Package is "yast2-dns-server"

Fri Aug 14 13:08:39 2020 rev:82 rq:825962 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/yast2-dns-server/yast2-dns-server.changes
2020-05-09 19:51:26.624720589 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-dns-server.new.3399/yast2-dns-server.changes  
2020-08-14 13:08:45.373197100 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 12:40:23 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(dns-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---

Old:

  yast2-dns-server-4.3.0.tar.bz2

New:

  yast2-dns-server-4.3.1.tar.bz2



Other differences:
--
++ yast2-dns-server.spec ++
--- /var/tmp/diff_new_pack.YeKUsL/_old  2020-08-14 13:08:46.253197435 +0200
+++ /var/tmp/diff_new_pack.YeKUsL/_new  2020-08-14 13:08:46.253197435 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-dns-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Url:https://github.com/yast/yast-dns-server
 Summary:YaST2 - DNS Server Configuration
@@ -58,6 +58,8 @@
 Requires:   yast2 >= 4.1.0
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(dns-server)
+
 BuildArch:  noarch
 
 %description

++ yast2-dns-server-4.3.0.tar.bz2 -> yast2-dns-server-4.3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-dns-server-4.3.0/package/yast2-dns-server.changes 
new/yast2-dns-server-4.3.1/package/yast2-dns-server.changes
--- old/yast2-dns-server-4.3.0/package/yast2-dns-server.changes 2020-05-07 
18:11:31.0 +0200
+++ new/yast2-dns-server-4.3.1/package/yast2-dns-server.changes 2020-08-12 
12:00:28.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 12:40:23 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(dns-server) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.1
+
+---
 Thu May  7 15:31:44 UTC 2020 - Josef Reidinger 
 
 - Autoyast schema: Allow optional types for string and map objects
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-dns-server-4.3.0/package/yast2-dns-server.spec 
new/yast2-dns-server-4.3.1/package/yast2-dns-server.spec
--- old/yast2-dns-server-4.3.0/package/yast2-dns-server.spec2020-05-07 
18:11:31.0 +0200
+++ new/yast2-dns-server-4.3.1/package/yast2-dns-server.spec2020-08-12 
12:00:28.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-dns-server
-Version:4.3.0
+Version:4.3.1
 Release:0
 Url:https://github.com/yast/yast-dns-server
 Summary:YaST2 - DNS Server Configuration
@@ -58,6 +58,8 @@
 Requires:   yast2 >= 4.1.0
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(dns-server)
+
 BuildArch:  noarch
 
 %description




commit yast2-add-on for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-add-on for openSUSE:Factory 
checked in at 2020-08-14 13:09:16

Comparing /work/SRC/openSUSE:Factory/yast2-add-on (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-add-on.new.3399 (New)


Package is "yast2-add-on"

Fri Aug 14 13:09:16 2020 rev:109 rq:825983 version:4.3.4

Changes:

--- /work/SRC/openSUSE:Factory/yast2-add-on/yast2-add-on.changes
2020-07-30 10:00:21.487230445 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-add-on.new.3399/yast2-add-on.changes  
2020-08-14 13:09:18.601209761 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:28:28 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(add-on) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---

Old:

  yast2-add-on-4.3.3.tar.bz2

New:

  yast2-add-on-4.3.4.tar.bz2



Other differences:
--
++ yast2-add-on.spec ++
--- /var/tmp/diff_new_pack.KCfuW8/_old  2020-08-14 13:09:19.105209954 +0200
+++ /var/tmp/diff_new_pack.KCfuW8/_new  2020-08-14 13:09:19.109209955 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-add-on
-Version:4.3.3
+Version:4.3.4
 Release:0
 Summary:YaST2 - Add-On media installation code
 License:GPL-2.0-only
@@ -45,6 +45,8 @@
 
 Obsoletes:  yast2-add-on-devel-doc
 
+Supplements:autoyast(add-on)
+
 BuildArch:  noarch
 
 %description

++ yast2-add-on-4.3.3.tar.bz2 -> yast2-add-on-4.3.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-add-on-4.3.3/package/yast2-add-on.changes 
new/yast2-add-on-4.3.4/package/yast2-add-on.changes
--- old/yast2-add-on-4.3.3/package/yast2-add-on.changes 2020-07-29 
11:04:01.0 +0200
+++ new/yast2-add-on-4.3.4/package/yast2-add-on.changes 2020-08-12 
12:08:47.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:28:28 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(add-on) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---
 Tue Jul 28 14:05:54 UTC 2020 - Imobach Gonzalez Sosa 
 
 - Fix the schema definition for the add_on_products
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-add-on-4.3.3/package/yast2-add-on.spec 
new/yast2-add-on-4.3.4/package/yast2-add-on.spec
--- old/yast2-add-on-4.3.3/package/yast2-add-on.spec2020-07-29 
11:04:01.0 +0200
+++ new/yast2-add-on-4.3.4/package/yast2-add-on.spec2020-08-12 
12:08:47.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-add-on
-Version:4.3.3
+Version:4.3.4
 Release:0
 Summary:YaST2 - Add-On media installation code
 License:GPL-2.0-only
@@ -45,6 +45,8 @@
 
 Obsoletes:  yast2-add-on-devel-doc
 
+Supplements:autoyast(add-on)
+
 BuildArch:  noarch
 
 %description




commit yast2-firstboot for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-firstboot for openSUSE:Factory 
checked in at 2020-08-14 13:09:10

Comparing /work/SRC/openSUSE:Factory/yast2-firstboot (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-firstboot.new.3399 (New)


Package is "yast2-firstboot"

Fri Aug 14 13:09:10 2020 rev:95 rq:825979 version:4.3.4

Changes:

--- /work/SRC/openSUSE:Factory/yast2-firstboot/yast2-firstboot.changes  
2020-07-27 17:37:03.582807280 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-firstboot.new.3399/yast2-firstboot.changes
2020-08-14 13:09:12.161207308 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 17:15:51 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(firstboot) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---

Old:

  yast2-firstboot-4.3.3.tar.bz2

New:

  yast2-firstboot-4.3.4.tar.bz2



Other differences:
--
++ yast2-firstboot.spec ++
--- /var/tmp/diff_new_pack.h9pFeq/_old  2020-08-14 13:09:12.721207521 +0200
+++ /var/tmp/diff_new_pack.h9pFeq/_new  2020-08-14 13:09:12.725207522 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-firstboot
-Version:4.3.3
+Version:4.3.4
 Release:0
 Summary:YaST2 - Initial System Configuration
 License:GPL-2.0-only
@@ -47,6 +47,8 @@
 # bsc #1165646
 Recommends: (icewm if libyui-qt)
 
+Supplements:autoyast(firstboot)
+
 BuildArch:  noarch
 
 %description

++ yast2-firstboot-4.3.3.tar.bz2 -> yast2-firstboot-4.3.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-firstboot-4.3.3/package/yast2-firstboot.changes 
new/yast2-firstboot-4.3.4/package/yast2-firstboot.changes
--- old/yast2-firstboot-4.3.3/package/yast2-firstboot.changes   2020-07-27 
12:54:00.0 +0200
+++ new/yast2-firstboot-4.3.4/package/yast2-firstboot.changes   2020-08-12 
12:08:24.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 17:15:51 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(firstboot) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.4
+
+---
 Mon Jul 27 09:05:35 UTC 2020 - Josef Reidinger 
 
 - Handle exceptions when parsing xml file (related to bsc#1170886)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-firstboot-4.3.3/package/yast2-firstboot.spec 
new/yast2-firstboot-4.3.4/package/yast2-firstboot.spec
--- old/yast2-firstboot-4.3.3/package/yast2-firstboot.spec  2020-07-27 
12:54:00.0 +0200
+++ new/yast2-firstboot-4.3.4/package/yast2-firstboot.spec  2020-08-12 
12:08:24.0 +0200
@@ -16,7 +16,7 @@
 #
 
 Name:   yast2-firstboot
-Version:4.3.3
+Version:4.3.4
 Release:0
 Summary:YaST2 - Initial System Configuration
 Group:  System/YaST
@@ -46,6 +46,8 @@
 # bsc #1165646
 Recommends: (icewm if libyui-qt)
 
+Supplements:autoyast(firstboot)
+
 BuildArch:  noarch
 
 %description




commit yast2-sysconfig for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-sysconfig for openSUSE:Factory 
checked in at 2020-08-14 13:08:53

Comparing /work/SRC/openSUSE:Factory/yast2-sysconfig (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-sysconfig.new.3399 (New)


Package is "yast2-sysconfig"

Fri Aug 14 13:08:53 2020 rev:43 rq:825973 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-sysconfig/yast2-sysconfig.changes  
2020-06-10 00:37:29.261248792 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-sysconfig.new.3399/yast2-sysconfig.changes
2020-08-14 13:08:57.513201727 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 16:48:09 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(sysconfig) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-sysconfig-4.3.1.tar.bz2

New:

  yast2-sysconfig-4.3.2.tar.bz2



Other differences:
--
++ yast2-sysconfig.spec ++
--- /var/tmp/diff_new_pack.SavHr5/_old  2020-08-14 13:08:58.169201978 +0200
+++ /var/tmp/diff_new_pack.SavHr5/_new  2020-08-14 13:08:58.173201979 +0200
@@ -20,7 +20,7 @@
 Summary:YaST2 - Sysconfig Editor
 License:GPL-2.0-or-later
 Group:  System/YaST
-Version:4.3.1
+Version:4.3.2
 Release:0
 Url:https://github.com/yast/yast-sysconfig
 
@@ -41,6 +41,8 @@
 Requires:   yast2 >= 4.1.3
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(sysconfig)
+
 BuildArch:  noarch
 
 %description

++ yast2-sysconfig-4.3.1.tar.bz2 -> yast2-sysconfig-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-sysconfig-4.3.1/package/yast2-sysconfig.changes 
new/yast2-sysconfig-4.3.2/package/yast2-sysconfig.changes
--- old/yast2-sysconfig-4.3.1/package/yast2-sysconfig.changes   2020-06-02 
15:21:19.0 +0200
+++ new/yast2-sysconfig-4.3.2/package/yast2-sysconfig.changes   2020-08-12 
12:07:11.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 16:48:09 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(sysconfig) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Tue Jun  2 13:12:59 UTC 2020 - Josef Reidinger 
 
 - Drop old testsuite that failing in new ruby
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-sysconfig-4.3.1/package/yast2-sysconfig.spec 
new/yast2-sysconfig-4.3.2/package/yast2-sysconfig.spec
--- old/yast2-sysconfig-4.3.1/package/yast2-sysconfig.spec  2020-06-02 
15:21:19.0 +0200
+++ new/yast2-sysconfig-4.3.2/package/yast2-sysconfig.spec  2020-08-12 
12:07:11.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   yast2-sysconfig
 Summary:YaST2 - Sysconfig Editor
-Version:4.3.1
+Version:4.3.2
 Release:0
 Url:https://github.com/yast/yast-sysconfig
 Group:  System/YaST
@@ -40,6 +40,8 @@
 Requires:   yast2 >= 4.1.3
 Requires:   yast2-ruby-bindings >= 1.0.0
 
+Supplements:autoyast(sysconfig)
+
 BuildArch:  noarch
 
 %description




commit yast2-proxy for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-proxy for openSUSE:Factory 
checked in at 2020-08-14 13:09:00

Comparing /work/SRC/openSUSE:Factory/yast2-proxy (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-proxy.new.3399 (New)


Package is "yast2-proxy"

Fri Aug 14 13:09:00 2020 rev:22 rq:825975 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-proxy/yast2-proxy.changes  2020-06-11 
14:43:44.233213869 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-proxy.new.3399/yast2-proxy.changes
2020-08-14 13:09:03.793204120 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 16:55:44 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(proxy) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-proxy-4.3.1.tar.bz2

New:

  yast2-proxy-4.3.2.tar.bz2



Other differences:
--
++ yast2-proxy.spec ++
--- /var/tmp/diff_new_pack.Sru8Xf/_old  2020-08-14 13:09:04.285204308 +0200
+++ /var/tmp/diff_new_pack.Sru8Xf/_new  2020-08-14 13:09:04.289204309 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-proxy
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - Proxy Configuration
 License:GPL-2.0-or-later
@@ -38,6 +38,8 @@
 # we split off that one
 Conflicts:  yast2-network < 2.22.6
 
+Supplements:autoyast(proxy)
+
 BuildArch:  noarch
 
 %description 

++ yast2-proxy-4.3.1.tar.bz2 -> yast2-proxy-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-proxy-4.3.1/package/yast2-proxy.changes 
new/yast2-proxy-4.3.2/package/yast2-proxy.changes
--- old/yast2-proxy-4.3.1/package/yast2-proxy.changes   2020-06-10 
08:36:11.0 +0200
+++ new/yast2-proxy-4.3.2/package/yast2-proxy.changes   2020-08-12 
12:07:27.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 16:55:44 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(proxy) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Tue Jun  9 20:31:51 UTC 2020 - Josef Reidinger 
 
 - Reduce autoyast profile size if proxy is disabled (bsc#1172749)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-proxy-4.3.1/package/yast2-proxy.spec 
new/yast2-proxy-4.3.2/package/yast2-proxy.spec
--- old/yast2-proxy-4.3.1/package/yast2-proxy.spec  2020-06-10 
08:36:11.0 +0200
+++ new/yast2-proxy-4.3.2/package/yast2-proxy.spec  2020-08-12 
12:07:27.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-proxy
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - Proxy Configuration
 License:GPL-2.0-or-later
@@ -38,6 +38,8 @@
 # we split off that one
 Conflicts:  yast2-network < 2.22.6
 
+Supplements:autoyast(proxy)
+
 BuildArch:  noarch
 
 %description 




commit yast2-iscsi-client for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-iscsi-client for 
openSUSE:Factory checked in at 2020-08-14 13:08:43

Comparing /work/SRC/openSUSE:Factory/yast2-iscsi-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-iscsi-client.new.3399 (New)


Package is "yast2-iscsi-client"

Fri Aug 14 13:08:43 2020 rev:132 rq:825967 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-iscsi-client/yast2-iscsi-client.changes
2020-06-10 00:36:07.733030104 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-iscsi-client.new.3399/yast2-iscsi-client.changes
  2020-08-14 13:08:48.165198162 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 15:54:00 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(iscsi-client) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-iscsi-client-4.3.1.tar.bz2

New:

  yast2-iscsi-client-4.3.2.tar.bz2



Other differences:
--
++ yast2-iscsi-client.spec ++
--- /var/tmp/diff_new_pack.QfSVcL/_old  2020-08-14 13:08:49.013198487 +0200
+++ /var/tmp/diff_new_pack.QfSVcL/_new  2020-08-14 13:08:49.013198487 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-iscsi-client
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - iSCSI Client Configuration
 License:GPL-2.0-only
@@ -42,6 +42,8 @@
 Requires:   yast2 >= 4.1.3
 Requires:   yast2-ruby-bindings >= 3.1.7
 
+Supplements:autoyast(iscsi-client)
+
 BuildArch:  noarch
 
 %description

++ yast2-iscsi-client-4.3.1.tar.bz2 -> yast2-iscsi-client-4.3.2.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-iscsi-client-4.3.1/package/yast2-iscsi-client.changes 
new/yast2-iscsi-client-4.3.2/package/yast2-iscsi-client.changes
--- old/yast2-iscsi-client-4.3.1/package/yast2-iscsi-client.changes 
2020-05-20 16:39:46.0 +0200
+++ new/yast2-iscsi-client-4.3.2/package/yast2-iscsi-client.changes 
2020-08-12 12:04:25.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 15:54:00 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(iscsi-client) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Wed May 20 13:55:46 UTC 2020 - Ancor Gonzalez Sosa 
 
 - Help text to clarify the behavior of the Startup widget when
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-iscsi-client-4.3.1/package/yast2-iscsi-client.spec 
new/yast2-iscsi-client-4.3.2/package/yast2-iscsi-client.spec
--- old/yast2-iscsi-client-4.3.1/package/yast2-iscsi-client.spec
2020-05-20 16:39:46.0 +0200
+++ new/yast2-iscsi-client-4.3.2/package/yast2-iscsi-client.spec
2020-08-12 12:04:25.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-iscsi-client
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - iSCSI Client Configuration
 Group:  System/YaST
@@ -42,6 +42,8 @@
 Requires:   open-iscsi
 Requires:   iscsiuio
 
+Supplements:autoyast(iscsi-client)
+
 BuildArch:  noarch
 
 %description




commit libyui-ncurses for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-ncurses for openSUSE:Factory 
checked in at 2020-08-14 13:08:24

Comparing /work/SRC/openSUSE:Factory/libyui-ncurses (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-ncurses.new.3399 (New)


Package is "libyui-ncurses"

Fri Aug 14 13:08:24 2020 rev:56 rq:825949 version:2.56.0

Changes:

--- /work/SRC/openSUSE:Factory/libyui-ncurses/libyui-ncurses.changes
2020-08-04 20:17:30.204905459 +0200
+++ /work/SRC/openSUSE:Factory/.libyui-ncurses.new.3399/libyui-ncurses.changes  
2020-08-14 13:08:32.653192253 +0200
@@ -1,0 +2,7 @@
+Tue Aug 11 22:15:17 UTC 2020 - José Iván López González 
+
+- Add MenuBar widget (bsc#1175115).
+- Bump SO version to 13.
+- 2.56.0
+
+---

Old:

  libyui-ncurses-2.55.1.tar.bz2

New:

  libyui-ncurses-2.56.0.tar.bz2



Other differences:
--
++ libyui-ncurses-doc.spec ++
--- /var/tmp/diff_new_pack.Vetnjf/_old  2020-08-14 13:08:33.885192724 +0200
+++ /var/tmp/diff_new_pack.Vetnjf/_new  2020-08-14 13:08:33.889192725 +0200
@@ -17,10 +17,10 @@
 
 
 %define parent libyui-ncurses
-%define so_version 12
+%define so_version 13
 
 Name:   %{parent}-doc
-Version:2.55.1
+Version:2.56.0
 Release:0
 Source: %{parent}-%{version}.tar.bz2
 

++ libyui-ncurses.spec ++
--- /var/tmp/diff_new_pack.Vetnjf/_old  2020-08-14 13:08:33.917192735 +0200
+++ /var/tmp/diff_new_pack.Vetnjf/_new  2020-08-14 13:08:33.917192735 +0200
@@ -17,11 +17,11 @@
 
 
 Name:   libyui-ncurses
-Version:2.55.1
+Version:2.56.0
 Release:0
 Source: %{name}-%{version}.tar.bz2
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 
 %if 0%{?suse_version} > 1325

++ libyui-ncurses-2.55.1.tar.bz2 -> libyui-ncurses-2.56.0.tar.bz2 ++
 3933 lines of diff (skipped)




commit yast2-kdump for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-kdump for openSUSE:Factory 
checked in at 2020-08-14 13:08:50

Comparing /work/SRC/openSUSE:Factory/yast2-kdump (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-kdump.new.3399 (New)


Package is "yast2-kdump"

Fri Aug 14 13:08:50 2020 rev:102 rq:825970 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-kdump/yast2-kdump.changes  2020-06-11 
14:43:42.773209616 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-kdump.new.3399/yast2-kdump.changes
2020-08-14 13:08:55.833201088 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 16:20:25 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(kdump) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-kdump-4.3.1.tar.bz2

New:

  yast2-kdump-4.3.2.tar.bz2



Other differences:
--
++ yast2-kdump.spec ++
--- /var/tmp/diff_new_pack.YDURDK/_old  2020-08-14 13:08:57.109201574 +0200
+++ /var/tmp/diff_new_pack.YDURDK/_new  2020-08-14 13:08:57.113201576 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-kdump
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:Configuration of kdump
 License:GPL-2.0-only
@@ -54,6 +54,8 @@
 
 Supplements:(yast2 and kdump)
 
+Supplements:autoyast(kdump)
+
 %description
 Configuration of kdump
 

++ yast2-kdump-4.3.1.tar.bz2 -> yast2-kdump-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-kdump-4.3.1/package/yast2-kdump.changes 
new/yast2-kdump-4.3.2/package/yast2-kdump.changes
--- old/yast2-kdump-4.3.1/package/yast2-kdump.changes   2020-06-10 
08:30:19.0 +0200
+++ new/yast2-kdump-4.3.2/package/yast2-kdump.changes   2020-08-12 
12:04:51.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 16:20:25 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(kdump) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Tue Jun  9 19:43:21 UTC 2020 - Josef Reidinger 
 
 - Reduce autoyast profile size if kdump is disabled (bsc#1172749)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-kdump-4.3.1/package/yast2-kdump.spec 
new/yast2-kdump-4.3.2/package/yast2-kdump.spec
--- old/yast2-kdump-4.3.1/package/yast2-kdump.spec  2020-06-10 
08:30:19.0 +0200
+++ new/yast2-kdump-4.3.2/package/yast2-kdump.spec  2020-08-12 
12:04:51.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-kdump
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:Configuration of kdump
 License:GPL-2.0-only
@@ -54,6 +54,8 @@
 
 Supplements:(yast2 and kdump)
 
+Supplements:autoyast(kdump)
+
 %description
 Configuration of kdump
 




commit yast2-squid for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-squid for openSUSE:Factory 
checked in at 2020-08-14 13:08:57

Comparing /work/SRC/openSUSE:Factory/yast2-squid (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-squid.new.3399 (New)


Package is "yast2-squid"

Fri Aug 14 13:08:57 2020 rev:54 rq:825974 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-squid/yast2-squid.changes  2020-06-10 
00:35:56.196999161 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-squid.new.3399/yast2-squid.changes
2020-08-14 13:09:02.197203513 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 16:52:26 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(squid) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-squid-4.3.1.tar.bz2

New:

  yast2-squid-4.3.2.tar.bz2



Other differences:
--
++ yast2-squid.spec ++
--- /var/tmp/diff_new_pack.rSfRiC/_old  2020-08-14 13:09:03.401203970 +0200
+++ /var/tmp/diff_new_pack.rSfRiC/_new  2020-08-14 13:09:03.401203970 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-squid
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:Configuration of squid
 License:GPL-2.0-only
@@ -43,6 +43,8 @@
 # Yast2::ServiceWidget
 Requires:   yast2 >= 4.1.0
 
+Supplements:autoyast(squid)
+
 %description
 Configuration of squid
 

++ yast2-squid-4.3.1.tar.bz2 -> yast2-squid-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-squid-4.3.1/package/yast2-squid.changes 
new/yast2-squid-4.3.2/package/yast2-squid.changes
--- old/yast2-squid-4.3.1/package/yast2-squid.changes   2020-05-20 
14:03:36.0 +0200
+++ new/yast2-squid-4.3.2/package/yast2-squid.changes   2020-08-12 
12:07:18.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 16:52:26 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(squid) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Wed May 20 10:48:24 UTC 2020 - Ancor Gonzalez Sosa 
 
 - Removed leftovers from the old compatibility with SuSEfirewall2
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-squid-4.3.1/package/yast2-squid.spec 
new/yast2-squid-4.3.2/package/yast2-squid.spec
--- old/yast2-squid-4.3.1/package/yast2-squid.spec  2020-05-20 
14:03:36.0 +0200
+++ new/yast2-squid-4.3.2/package/yast2-squid.spec  2020-08-12 
12:07:18.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-squid
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:Configuration of squid
 License:GPL-2.0-only
@@ -43,6 +43,8 @@
 # Yast2::ServiceWidget
 Requires:   yast2 >= 4.1.0
 
+Supplements:autoyast(squid)
+
 %description
 Configuration of squid
 




commit libyui-qt-pkg for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-qt-pkg for openSUSE:Factory 
checked in at 2020-08-14 13:08:12

Comparing /work/SRC/openSUSE:Factory/libyui-qt-pkg (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-qt-pkg.new.3399 (New)


Package is "libyui-qt-pkg"

Fri Aug 14 13:08:12 2020 rev:55 rq:825945 version:2.48.3

Changes:

--- /work/SRC/openSUSE:Factory/libyui-qt-pkg/libyui-qt-pkg.changes  
2020-06-10 00:39:31.885575337 +0200
+++ /work/SRC/openSUSE:Factory/.libyui-qt-pkg.new.3399/libyui-qt-pkg.changes
2020-08-14 13:08:23.593188802 +0200
@@ -1,0 +2,6 @@
+Tue Aug 11 13:56:20 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 2.48.3
+
+---

Old:

  libyui-qt-pkg-2.48.2.tar.bz2

New:

  libyui-qt-pkg-2.48.3.tar.bz2



Other differences:
--
++ libyui-qt-pkg-doc.spec ++
--- /var/tmp/diff_new_pack.HO2f8Q/_old  2020-08-14 13:08:24.369189098 +0200
+++ /var/tmp/diff_new_pack.HO2f8Q/_new  2020-08-14 13:08:24.377189102 +0200
@@ -17,9 +17,9 @@
 
 
 %define parent libyui-qt-pkg
-%define so_version 12
+%define so_version 13
 Name:   %{parent}-doc
-Version:2.48.2
+Version:2.48.3
 Release:0
 Summary:Libyui-qt-pkg documentation
 License:LGPL-2.1-only OR LGPL-3.0-only

++ libyui-qt-pkg.spec ++
--- /var/tmp/diff_new_pack.HO2f8Q/_old  2020-08-14 13:08:24.401189111 +0200
+++ /var/tmp/diff_new_pack.HO2f8Q/_new  2020-08-14 13:08:24.405189112 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_qt_devel_version libyui-qt-devel >= 2.50.1
 %define libzypp_devel_version libzypp-devel >= 17.21.0
 Name:   libyui-qt-pkg
-Version:2.48.2
+Version:2.48.3
 Release:0
 Summary:Libyui - Qt Package Selector
 License:LGPL-2.1-only OR LGPL-3.0-only

++ libyui-qt-pkg-2.48.2.tar.bz2 -> libyui-qt-pkg-2.48.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-qt-pkg-2.48.2/VERSION.cmake 
new/libyui-qt-pkg-2.48.3/VERSION.cmake
--- old/libyui-qt-pkg-2.48.2/VERSION.cmake  2020-06-08 17:08:06.0 
+0200
+++ new/libyui-qt-pkg-2.48.3/VERSION.cmake  2020-08-12 10:30:57.0 
+0200
@@ -1,6 +1,6 @@
 SET( VERSION_MAJOR "2" )
 SET( VERSION_MINOR "48" )
-SET( VERSION_PATCH "2" )
+SET( VERSION_PATCH "3" )
 SET( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
 
 # This is need for the libyui core ONLY.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-qt-pkg-2.48.2/package/libyui-qt-pkg-doc.spec 
new/libyui-qt-pkg-2.48.3/package/libyui-qt-pkg-doc.spec
--- old/libyui-qt-pkg-2.48.2/package/libyui-qt-pkg-doc.spec 2020-06-08 
17:08:06.0 +0200
+++ new/libyui-qt-pkg-2.48.3/package/libyui-qt-pkg-doc.spec 2020-08-12 
10:30:57.0 +0200
@@ -17,9 +17,9 @@
 
 
 %define parent libyui-qt-pkg
-%define so_version 12
+%define so_version 13
 Name:   %{parent}-doc
-Version:2.48.2
+Version:2.48.3
 Release:0
 Summary:Libyui-qt-pkg documentation
 License:LGPL-2.1-only OR LGPL-3.0-only
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-qt-pkg-2.48.2/package/libyui-qt-pkg.changes 
new/libyui-qt-pkg-2.48.3/package/libyui-qt-pkg.changes
--- old/libyui-qt-pkg-2.48.2/package/libyui-qt-pkg.changes  2020-06-08 
17:08:06.0 +0200
+++ new/libyui-qt-pkg-2.48.3/package/libyui-qt-pkg.changes  2020-08-12 
10:30:57.0 +0200
@@ -1,4 +1,10 @@
 ---
+Tue Aug 11 13:56:20 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 2.48.3
+
+---
 Thu Jun  4 12:36:18 UTC 2020 - Stefan Hundhammer 
 
 - Use new parent lib SO version libyui.so.12 (bsc#1172513)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-qt-pkg-2.48.2/package/libyui-qt-pkg.spec 
new/libyui-qt-pkg-2.48.3/package/libyui-qt-pkg.spec
--- old/libyui-qt-pkg-2.48.2/package/libyui-qt-pkg.spec 2020-06-08 
17:08:06.0 +0200
+++ new/libyui-qt-pkg-2.48.3/package/libyui-qt-pkg.spec 2020-08-12 
10:30:57.0 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_qt_devel_version libyui-qt-devel >= 2.50.1
 %define libzypp_devel_version libzypp-devel >= 17.21.0
 Name:   

commit libyui-rest-api for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-rest-api for openSUSE:Factory 
checked in at 2020-08-14 13:07:48

Comparing /work/SRC/openSUSE:Factory/libyui-rest-api (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-rest-api.new.3399 (New)


Package is "libyui-rest-api"

Fri Aug 14 13:07:48 2020 rev:6 rq:825935 version:0.5.2

Changes:

--- /work/SRC/openSUSE:Factory/libyui-rest-api/libyui-rest-api.changes  
2020-07-09 13:16:31.280729871 +0200
+++ 
/work/SRC/openSUSE:Factory/.libyui-rest-api.new.3399/libyui-rest-api.changes
2020-08-14 13:07:57.249178767 +0200
@@ -1,0 +2,6 @@
+Tue Aug 11 13:40:41 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 0.5.2
+
+---

Old:

  libyui-rest-api-0.5.1.tar.bz2

New:

  libyui-rest-api-0.5.2.tar.bz2



Other differences:
--
++ libyui-rest-api.spec ++
--- /var/tmp/diff_new_pack.xYidBL/_old  2020-08-14 13:07:59.417179593 +0200
+++ /var/tmp/diff_new_pack.xYidBL/_new  2020-08-14 13:07:59.421179595 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_devel_version libyui-devel >= 3.10.1
 
 Name:   libyui-rest-api
-Version:0.5.1
+Version:0.5.2
 Release:0
 Summary:Libyui - REST API plugin, the shared part
 License:LGPL-2.1-only OR LGPL-3.0-only

++ libyui-rest-api-0.5.1.tar.bz2 -> libyui-rest-api-0.5.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-rest-api-0.5.1/VERSION.cmake 
new/libyui-rest-api-0.5.2/VERSION.cmake
--- old/libyui-rest-api-0.5.1/VERSION.cmake 2020-07-07 15:37:11.0 
+0200
+++ new/libyui-rest-api-0.5.2/VERSION.cmake 2020-08-12 10:30:51.0 
+0200
@@ -1,6 +1,6 @@
 SET( VERSION_MAJOR "0")
 SET( VERSION_MINOR "5" )
-SET( VERSION_PATCH "1" )
+SET( VERSION_PATCH "2" )
 SET( VERSION 
"${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${GIT_SHA1_VERSION}" )
 
 # This is need for the libyui core, ONLY.
@@ -8,7 +8,7 @@
 # Currently you must also change so_version in libyui.spec
 # *and also in **all** other* libyui-*.spec files in the other repositories.
 # Yes, such a design is suboptimal.
-SET( SONAME_MAJOR "12" )
+SET( SONAME_MAJOR "0" )
 SET( SONAME_MINOR "0" )
 SET( SONAME_PATCH "0" )
 SET( SONAME "${SONAME_MAJOR}.${SONAME_MINOR}.${SONAME_PATCH}" )
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-rest-api-0.5.1/package/libyui-rest-api.changes 
new/libyui-rest-api-0.5.2/package/libyui-rest-api.changes
--- old/libyui-rest-api-0.5.1/package/libyui-rest-api.changes   2020-07-07 
15:37:11.0 +0200
+++ new/libyui-rest-api-0.5.2/package/libyui-rest-api.changes   2020-08-12 
10:30:51.0 +0200
@@ -1,4 +1,10 @@
 ---
+Tue Aug 11 13:40:41 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 0.5.2
+
+---
 Tue Jul  7 13:10:52 UTC 2020 - riafarov 
 
 - Handle MHD result as int or enum depending on libmicrohttpd version
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-rest-api-0.5.1/package/libyui-rest-api.spec 
new/libyui-rest-api-0.5.2/package/libyui-rest-api.spec
--- old/libyui-rest-api-0.5.1/package/libyui-rest-api.spec  2020-07-07 
15:37:11.0 +0200
+++ new/libyui-rest-api-0.5.2/package/libyui-rest-api.spec  2020-08-12 
10:30:51.0 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_devel_version libyui-devel >= 3.10.1
 
 Name:   libyui-rest-api
-Version:0.5.1
+Version:0.5.2
 Release:0
 Summary:Libyui - REST API plugin, the shared part
 License:LGPL-2.1-only OR LGPL-3.0-only




commit libyui-qt-rest-api for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-qt-rest-api for 
openSUSE:Factory checked in at 2020-08-14 13:08:06

Comparing /work/SRC/openSUSE:Factory/libyui-qt-rest-api (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-qt-rest-api.new.3399 (New)


Package is "libyui-qt-rest-api"

Fri Aug 14 13:08:06 2020 rev:5 rq:825943 version:0.2.1

Changes:

--- /work/SRC/openSUSE:Factory/libyui-qt-rest-api/libyui-qt-rest-api.changes
2020-07-09 13:16:34.972741540 +0200
+++ 
/work/SRC/openSUSE:Factory/.libyui-qt-rest-api.new.3399/libyui-qt-rest-api.changes
  2020-08-14 13:08:15.869185860 +0200
@@ -1,0 +2,6 @@
+Tue Aug 11 14:16:35 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 0.2.1
+
+---

Old:

  libyui-qt-rest-api-0.2.0.tar.bz2

New:

  libyui-qt-rest-api-0.2.1.tar.bz2



Other differences:
--
++ libyui-qt-rest-api.spec ++
--- /var/tmp/diff_new_pack.oguwKu/_old  2020-08-14 13:08:17.529186493 +0200
+++ /var/tmp/diff_new_pack.oguwKu/_new  2020-08-14 13:08:17.529186493 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_devel_version libyui-devel >= 3.10.1
 
 Name:   libyui-qt-rest-api
-Version:0.2.0
+Version:0.2.1
 Release:0
 Summary:Libyui - The REST API plugin for the Qt frontend
 License:LGPL-2.1-only OR LGPL-3.0-only

++ libyui-qt-rest-api-0.2.0.tar.bz2 -> libyui-qt-rest-api-0.2.1.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-qt-rest-api-0.2.0/VERSION.cmake 
new/libyui-qt-rest-api-0.2.1/VERSION.cmake
--- old/libyui-qt-rest-api-0.2.0/VERSION.cmake  2020-07-08 09:28:32.0 
+0200
+++ new/libyui-qt-rest-api-0.2.1/VERSION.cmake  2020-08-12 10:31:12.0 
+0200
@@ -1,6 +1,6 @@
 SET( VERSION_MAJOR "0")
 SET( VERSION_MINOR "2" )
-SET( VERSION_PATCH "0" )
+SET( VERSION_PATCH "1" )
 SET( VERSION 
"${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${GIT_SHA1_VERSION}" )
 
 # This is need for the libyui core ONLY.
@@ -8,7 +8,7 @@
 # Currently you must also change so_version in libyui.spec
 # *and also in **all** other* libyui-*.spec files in the other repositories.
 # Yes, such a design is suboptimal.
-SET( SONAME_MAJOR "12" )
+SET( SONAME_MAJOR "0" )
 SET( SONAME_MINOR "0" )
 SET( SONAME_PATCH "0" )
 SET( SONAME "${SONAME_MAJOR}.${SONAME_MINOR}.${SONAME_PATCH}" )
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-qt-rest-api-0.2.0/package/libyui-qt-rest-api.changes 
new/libyui-qt-rest-api-0.2.1/package/libyui-qt-rest-api.changes
--- old/libyui-qt-rest-api-0.2.0/package/libyui-qt-rest-api.changes 
2020-07-08 09:28:32.0 +0200
+++ new/libyui-qt-rest-api-0.2.1/package/libyui-qt-rest-api.changes 
2020-08-12 10:31:12.0 +0200
@@ -1,4 +1,10 @@
 ---
+Tue Aug 11 14:16:35 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 0.2.1
+
+---
 Mon Jun  8 14:37:04 UTC 2020 - Rodion Iafarov 
 
 - Trigger update on YCombobox, YSelectionBox, YInputField,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-qt-rest-api-0.2.0/package/libyui-qt-rest-api.spec 
new/libyui-qt-rest-api-0.2.1/package/libyui-qt-rest-api.spec
--- old/libyui-qt-rest-api-0.2.0/package/libyui-qt-rest-api.spec
2020-07-08 09:28:32.0 +0200
+++ new/libyui-qt-rest-api-0.2.1/package/libyui-qt-rest-api.spec
2020-08-12 10:31:12.0 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_devel_version libyui-devel >= 3.10.1
 
 Name:   libyui-qt-rest-api
-Version:0.2.0
+Version:0.2.1
 Release:0
 Summary:Libyui - The REST API plugin for the Qt frontend
 License:LGPL-2.1-only OR LGPL-3.0-only




commit libyui-qt-graph for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-qt-graph for openSUSE:Factory 
checked in at 2020-08-14 13:08:29

Comparing /work/SRC/openSUSE:Factory/libyui-qt-graph (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-qt-graph.new.3399 (New)


Package is "libyui-qt-graph"

Fri Aug 14 13:08:29 2020 rev:30 rq:825951 version:2.46.5

Changes:

--- /work/SRC/openSUSE:Factory/libyui-qt-graph/libyui-qt-graph.changes  
2020-06-10 00:39:51.561626934 +0200
+++ 
/work/SRC/openSUSE:Factory/.libyui-qt-graph.new.3399/libyui-qt-graph.changes
2020-08-14 13:08:39.801194977 +0200
@@ -1,0 +2,6 @@
+Tue Aug 11 13:59:35 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 2.46.5
+
+---

Old:

  libyui-qt-graph-2.46.4.tar.bz2

New:

  libyui-qt-graph-2.46.5.tar.bz2



Other differences:
--
++ libyui-qt-graph-doc.spec ++
--- /var/tmp/diff_new_pack.Jvemxu/_old  2020-08-14 13:08:40.493195241 +0200
+++ /var/tmp/diff_new_pack.Jvemxu/_new  2020-08-14 13:08:40.493195241 +0200
@@ -17,10 +17,10 @@
 
 
 %define parent libyui-qt-graph
-%define so_version 12
+%define so_version 13
 
 Name:   %{parent}-doc
-Version:2.46.4
+Version:2.46.5
 Release:0
 Source: %{parent}-%{version}.tar.bz2
 

++ libyui-qt-graph.spec ++
--- /var/tmp/diff_new_pack.Jvemxu/_old  2020-08-14 13:08:40.509195247 +0200
+++ /var/tmp/diff_new_pack.Jvemxu/_new  2020-08-14 13:08:40.509195247 +0200
@@ -17,11 +17,11 @@
 
 
 Name:   libyui-qt-graph
-Version:2.46.4
+Version:2.46.5
 Release:0
 Source: %{name}-%{version}.tar.bz2
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 
 BuildRequires:  cmake >= 2.8

++ libyui-qt-graph-2.46.4.tar.bz2 -> libyui-qt-graph-2.46.5.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-qt-graph-2.46.4/VERSION.cmake 
new/libyui-qt-graph-2.46.5/VERSION.cmake
--- old/libyui-qt-graph-2.46.4/VERSION.cmake2020-06-08 17:08:15.0 
+0200
+++ new/libyui-qt-graph-2.46.5/VERSION.cmake2020-08-12 10:31:06.0 
+0200
@@ -1,6 +1,6 @@
 SET(VERSION_MAJOR "2")
 SET(VERSION_MINOR "46")
-SET(VERSION_PATCH "4")
+SET(VERSION_PATCH "5")
 SET( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
 
 # This is need for the libyui core ONLY.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-qt-graph-2.46.4/package/libyui-qt-graph-doc.spec 
new/libyui-qt-graph-2.46.5/package/libyui-qt-graph-doc.spec
--- old/libyui-qt-graph-2.46.4/package/libyui-qt-graph-doc.spec 2020-06-08 
17:08:15.0 +0200
+++ new/libyui-qt-graph-2.46.5/package/libyui-qt-graph-doc.spec 2020-08-12 
10:31:06.0 +0200
@@ -17,10 +17,10 @@
 
 
 %define parent libyui-qt-graph
-%define so_version 12
+%define so_version 13
 
 Name:   %{parent}-doc
-Version:2.46.4
+Version:2.46.5
 Release:0
 Source: %{parent}-%{version}.tar.bz2
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-qt-graph-2.46.4/package/libyui-qt-graph.changes 
new/libyui-qt-graph-2.46.5/package/libyui-qt-graph.changes
--- old/libyui-qt-graph-2.46.4/package/libyui-qt-graph.changes  2020-06-08 
17:08:15.0 +0200
+++ new/libyui-qt-graph-2.46.5/package/libyui-qt-graph.changes  2020-08-12 
10:31:06.0 +0200
@@ -1,4 +1,10 @@
 ---
+Tue Aug 11 13:59:35 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 2.46.5
+
+---
 Thu Jun  4 12:46:44 UTC 2020 - Stefan Hundhammer 
 
 - Use new parent lib SO version libyui.so.12 (bsc#1172513)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-qt-graph-2.46.4/package/libyui-qt-graph.spec 
new/libyui-qt-graph-2.46.5/package/libyui-qt-graph.spec
--- old/libyui-qt-graph-2.46.4/package/libyui-qt-graph.spec 2020-06-08 
17:08:15.0 +0200
+++ new/libyui-qt-graph-2.46.5/package/libyui-qt-graph.spec 2020-08-12 
10:31:06.0 +0200
@@ -17,11 +17,11 @@
 
 
 Name:   libyui-qt-graph
-Version:2.46.4
+Version:2.46.5
 Release:0
 Source: %{name}-%{version}.tar.bz2
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 
 BuildRequires:  cmake >= 2.8




commit libyui-ncurses-pkg for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-ncurses-pkg for 
openSUSE:Factory checked in at 2020-08-14 13:08:34

Comparing /work/SRC/openSUSE:Factory/libyui-ncurses-pkg (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-ncurses-pkg.new.3399 (New)


Package is "libyui-ncurses-pkg"

Fri Aug 14 13:08:34 2020 rev:42 rq:825953 version:2.50.9

Changes:

--- /work/SRC/openSUSE:Factory/libyui-ncurses-pkg/libyui-ncurses-pkg.changes
2020-06-10 00:39:57.521642562 +0200
+++ 
/work/SRC/openSUSE:Factory/.libyui-ncurses-pkg.new.3399/libyui-ncurses-pkg.changes
  2020-08-14 13:08:42.577196035 +0200
@@ -1,0 +2,6 @@
+Tue Aug 11 14:25:32 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 2.50.9
+
+---

Old:

  libyui-ncurses-pkg-2.50.8.tar.bz2

New:

  libyui-ncurses-pkg-2.50.9.tar.bz2



Other differences:
--
++ libyui-ncurses-pkg-doc.spec ++
--- /var/tmp/diff_new_pack.Cya2JF/_old  2020-08-14 13:08:43.057196217 +0200
+++ /var/tmp/diff_new_pack.Cya2JF/_new  2020-08-14 13:08:43.061196219 +0200
@@ -17,10 +17,10 @@
 
 
 %define parent libyui-ncurses-pkg
-%define so_version 12
+%define so_version 13
 
 Name:   %{parent}-doc
-Version:2.50.8
+Version:2.50.9
 Release:0
 Source: %{parent}-%{version}.tar.bz2
 

++ libyui-ncurses-pkg.spec ++
--- /var/tmp/diff_new_pack.Cya2JF/_old  2020-08-14 13:08:43.081196227 +0200
+++ /var/tmp/diff_new_pack.Cya2JF/_new  2020-08-14 13:08:43.085196228 +0200
@@ -17,11 +17,11 @@
 
 
 Name:   libyui-ncurses-pkg
-Version:2.50.8
+Version:2.50.9
 Release:0
 Source: %{name}-%{version}.tar.bz2
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 
 %if 0%{?suse_version} > 1325

++ libyui-ncurses-pkg-2.50.8.tar.bz2 -> libyui-ncurses-pkg-2.50.9.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-ncurses-pkg-2.50.8/VERSION.cmake 
new/libyui-ncurses-pkg-2.50.9/VERSION.cmake
--- old/libyui-ncurses-pkg-2.50.8/VERSION.cmake 2020-06-08 17:08:34.0 
+0200
+++ new/libyui-ncurses-pkg-2.50.9/VERSION.cmake 2020-08-12 10:31:18.0 
+0200
@@ -1,6 +1,6 @@
 SET( VERSION_MAJOR "2" )
 SET( VERSION_MINOR "50" )
-SET( VERSION_PATCH "8" )
+SET( VERSION_PATCH "9" )
 SET( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
 
 # This is need for the libyui core ONLY.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-ncurses-pkg-2.50.8/package/libyui-ncurses-pkg-doc.spec 
new/libyui-ncurses-pkg-2.50.9/package/libyui-ncurses-pkg-doc.spec
--- old/libyui-ncurses-pkg-2.50.8/package/libyui-ncurses-pkg-doc.spec   
2020-06-08 17:08:34.0 +0200
+++ new/libyui-ncurses-pkg-2.50.9/package/libyui-ncurses-pkg-doc.spec   
2020-08-12 10:31:18.0 +0200
@@ -16,10 +16,10 @@
 #
 
 %define parent libyui-ncurses-pkg
-%define so_version 12
+%define so_version 13
 
 Name:   %{parent}-doc
-Version:2.50.8
+Version:2.50.9
 Release:0
 Source: %{parent}-%{version}.tar.bz2
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-ncurses-pkg-2.50.8/package/libyui-ncurses-pkg.changes 
new/libyui-ncurses-pkg-2.50.9/package/libyui-ncurses-pkg.changes
--- old/libyui-ncurses-pkg-2.50.8/package/libyui-ncurses-pkg.changes
2020-06-08 17:08:34.0 +0200
+++ new/libyui-ncurses-pkg-2.50.9/package/libyui-ncurses-pkg.changes
2020-08-12 10:31:18.0 +0200
@@ -1,4 +1,10 @@
 ---
+Tue Aug 11 14:25:32 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 2.50.9
+
+---
 Thu Jun  4 13:08:07 UTC 2020 - Stefan Hundhammer 
 
 - Use new parent lib SO version libyui.so.12 (bsc#1172513)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-ncurses-pkg-2.50.8/package/libyui-ncurses-pkg.spec 
new/libyui-ncurses-pkg-2.50.9/package/libyui-ncurses-pkg.spec
--- old/libyui-ncurses-pkg-2.50.8/package/libyui-ncurses-pkg.spec   
2020-06-08 17:08:34.0 +0200
+++ new/libyui-ncurses-pkg-2.50.9/package/libyui-ncurses-pkg.spec   
2020-08-12 10:31:18.0 +0200
@@ -17,11 +17,11 @@
 
 
 Name:   libyui-ncurses-pkg
-Version:2.50.8
+Version:2.50.9
 Release:0
 Source: %{name}-%{version}.tar.bz2
 
-%define so_version 12
+%define so_version 13
 %define bin_name 

commit libyui-qt for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-qt for openSUSE:Factory 
checked in at 2020-08-14 13:08:20

Comparing /work/SRC/openSUSE:Factory/libyui-qt (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-qt.new.3399 (New)


Package is "libyui-qt"

Fri Aug 14 13:08:20 2020 rev:71 rq:825948 version:2.54.0

Changes:

--- /work/SRC/openSUSE:Factory/libyui-qt/libyui-qt.changes  2020-06-10 
00:39:25.181557757 +0200
+++ /work/SRC/openSUSE:Factory/.libyui-qt.new.3399/libyui-qt.changes
2020-08-14 13:08:26.741190001 +0200
@@ -1,0 +2,7 @@
+Tue Aug 11 13:52:19 UTC 2020 - Stefan Hundhammer 
+
+- Added MenuBar widget (bsc#1175115)
+- Bumped SO version to 13
+- 2.54.0
+
+---

Old:

  libyui-qt-2.53.0.tar.bz2

New:

  libyui-qt-2.54.0.tar.bz2



Other differences:
--
++ libyui-qt-doc.spec ++
--- /var/tmp/diff_new_pack.wlDSkU/_old  2020-08-14 13:08:28.569190698 +0200
+++ /var/tmp/diff_new_pack.wlDSkU/_new  2020-08-14 13:08:28.573190700 +0200
@@ -17,11 +17,11 @@
 
 
 %define parent libyui-qt
-%define so_version 12
+%define so_version 13
 
 Name:   %{parent}-doc
 # DO NOT manually bump the version here; instead, use   rake version:bump
-Version:2.53.0
+Version:2.54.0
 Release:0
 Source: %{parent}-%{version}.tar.bz2
 

++ libyui-qt.spec ++
--- /var/tmp/diff_new_pack.wlDSkU/_old  2020-08-14 13:08:28.589190706 +0200
+++ /var/tmp/diff_new_pack.wlDSkU/_new  2020-08-14 13:08:28.589190706 +0200
@@ -18,11 +18,11 @@
 
 Name:   libyui-qt
 # DO NOT manually bump the version here; instead, use   rake version:bump
-Version:2.53.0
+Version:2.54.0
 Release:0
 Source: %{name}-%{version}.tar.bz2
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 
 BuildRequires:  boost-devel

++ libyui-qt-2.53.0.tar.bz2 -> libyui-qt-2.54.0.tar.bz2 ++
 1979 lines of diff (skipped)




commit yast2-storage-ng for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-storage-ng for 
openSUSE:Factory checked in at 2020-08-14 13:07:21

Comparing /work/SRC/openSUSE:Factory/yast2-storage-ng (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-storage-ng.new.3399 (New)


Package is "yast2-storage-ng"

Fri Aug 14 13:07:21 2020 rev:87 rq:824819 version:4.3.14

Changes:

--- /work/SRC/openSUSE:Factory/yast2-storage-ng/yast2-storage-ng.changes
2020-07-09 13:16:27.744718696 +0200
+++ 
/work/SRC/openSUSE:Factory/.yast2-storage-ng.new.3399/yast2-storage-ng.changes  
2020-08-14 13:07:23.981166094 +0200
@@ -1,0 +2,20 @@
+Thu Aug  6 12:00:08 UTC 2020 - Ancor Gonzalez Sosa 
+
+- AutoinstProposal now properly reports the proposal as failed when
+  it fails to find the disks (bsc#1174469)
+- 4.3.14
+
+---
+Wed Aug  5 15:06:26 UTC 2020 - Ancor Gonzalez Sosa 
+
+- Proposal: fixed detection of shadowed subvolumes for roles using
+  separate LVM volume groups for each filesystem (bsc#1174475).
+- 4.3.13
+
+---
+Fri Jul 17 11:44:48 UTC 2020 - David Diaz 
+
+- Partitioner: fix stripes size reported for thin LVs.
+- Partitioner: do not show stripes size when its value is zero.
+
+---

Old:

  yast2-storage-ng-4.3.12.tar.bz2

New:

  yast2-storage-ng-4.3.14.tar.bz2



Other differences:
--
++ yast2-storage-ng.spec ++
--- /var/tmp/diff_new_pack.xtVYeP/_old  2020-08-14 13:07:24.889166440 +0200
+++ /var/tmp/diff_new_pack.xtVYeP/_new  2020-08-14 13:07:24.893166441 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-storage-ng
-Version:4.3.12
+Version:4.3.14
 Release:0
 Summary:YaST2 - Storage Configuration
 License:GPL-2.0-only OR GPL-3.0-only

++ yast2-storage-ng-4.3.12.tar.bz2 -> yast2-storage-ng-4.3.14.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-storage-ng-4.3.12/doc/lvm.md 
new/yast2-storage-ng-4.3.14/doc/lvm.md
--- old/yast2-storage-ng-4.3.12/doc/lvm.md  2020-07-07 14:06:51.0 
+0200
+++ new/yast2-storage-ng-4.3.14/doc/lvm.md  2020-08-07 10:12:49.0 
+0200
@@ -4,13 +4,33 @@
 like RAID, snapshots, thin provisioning and whatsnot that often result in 
special types of logical
 volumes being present in the system.
 
-This document summarizes how well YaST deals with systems that contain such 
advanced LVM setups.
+This document summarizes how the very last version of YaST (that is, the one 
available in openSUSE
+Tumbleweed) deals with systems that contain such advanced LVM setups.
+
+## The Proposal (Guided Setup)
+
+The partitioning proposal will never create logical volumes of any special 
type beyond normal ones.
+
+In some cases, the proposal may decide to reuse an existing volume group but, 
even in that case, the
+existence of logical volumes of special types will have no negative impact in 
the proposal since:
+
+- The proposal never reuses existing logical volumes, as proven by [these unit
+tests](https://github.com/yast/yast-storage-ng/blob/2315bb6998/test/y2storage/proposal/devices_planner_strategies/ng_test.rb).
+- If the proposal decides to delete existing logical volumes, the dependencies 
between them will
+  be honored (see [pull 
request#1106](https://github.com/yast/yast-storage-ng/pull/1106)).
+- When calculating the space available in an existing volume group after each 
tentative operation,
+  the proposal relies on libstorage-ng, which should be able to deal with all 
kind of LVs.
+
+## The Offline Upgrade Process
+
+Since YaST is able to recognize filesystems on top of any kind of logical 
volume, it allows to
+upgrade any system installed over LVM, including RAID, cache, thin-provisioned 
volumes, etc.
+It even allows to select a snapshot as the system to be upgraded.
 
 ## The Partitioner
 
 This section describes how the Expert Partitioner represent the different LVM 
technologies and what
-operations it allows for each type of logical volume. At the current stage, 
some operations show an
-unexpected behavior and, in most cases, would need to be adjusted. That is 
represented in bold text.
+operations it allows for each type of logical volume.
 
 Note that, unlike RAID0, striped LVs are not really a separate type. Many 
types of LVs can be
 striped.
@@ -29,11 +49,10 @@
 
 - Only the thin pool and its thin LVs are displayed. No trace of the hidden 
LVs used to store the
   data and the metadata of each thin LV or to store the spare metadata of the 
VG.
-- Due to a bug, **nothing in the UI identifies the displayed LVs as 

commit yast2-trans for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-trans for openSUSE:Factory 
checked in at 2020-08-14 13:07:41

Comparing /work/SRC/openSUSE:Factory/yast2-trans (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-trans.new.3399 (New)


Package is "yast2-trans"

Fri Aug 14 13:07:41 2020 rev:183 rq:825921 version:84.87.20200812.809b1261b7

Changes:

--- /work/SRC/openSUSE:Factory/yast2-trans/yast2-trans.changes  2020-07-27 
17:36:56.394800286 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-trans.new.3399/yast2-trans.changes
2020-08-14 13:07:49.017175631 +0200
@@ -1,0 +2,62 @@
+Wed Aug 12 07:28:28 UTC 2020 - g...@opensuse.org
+
+- Update to version 84.87.20200812.809b1261b7:
+  * Fixed missing new line
+  * New POT for text domain 'autoinst'.
+  * New POT for text domain 'autoinst'.
+  * New POT for text domain 'packager'.
+  * New POT for text domain 'autoinst'.
+  * New POT for text domain 'services-manager'.
+  * New POT for text domain 'security'.
+  * New POT for text domain 'network'.
+  * New POT for text domain 'installation'.
+  * New POT for text domain 'control'.
+  * New POT for text domain 'autoinst'.
+  * New POT for text domain 'users'.
+  * New POT for text domain 'packager'.
+  * New POT for text domain 'nis'.
+  * New POT for text domain 'base'.
+  * Translated using Weblate (Ukrainian)
+  * Translated using Weblate (Spanish)
+  * Translated using Weblate (Slovak)
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Persian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Indonesian)
+  * Translated using Weblate (Greek)
+  * Translated using Weblate (Greek)
+  * Translated using Weblate (Greek)
+  * Translated using Weblate (Greek)
+  * Translated using Weblate (German)
+  * Translated using Weblate (German)
+  * Translated using Weblate (German)
+  * Translated using Weblate (French)
+  * Translated using Weblate (Czech)
+  * Translated using Weblate (Catalan)
+  * Translated using Weblate (Catalan)
+  * Translated using Weblate (Catalan)
+  * Translated using Weblate (Catalan)
+  * Added translation using Weblate (Persian)
+  * New POT for text domain 'instserver'.
+  * New POT for text domain 'installation'.
+  * New POT for text domain 'firstboot'.
+  * Translated using Weblate (Catalan)
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Japanese)
+
+---

Old:

  yast2-trans-84.87.20200725.1c0c8c4fe3.tar.xz

New:

  yast2-trans-84.87.20200812.809b1261b7.tar.xz



Other differences:
--
++ yast2-trans.spec ++
--- /var/tmp/diff_new_pack.5V8vjO/_old  2020-08-14 13:07:51.441176555 +0200
+++ /var/tmp/diff_new_pack.5V8vjO/_new  2020-08-14 13:07:51.445176556 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-trans
-Version:84.87.20200725.1c0c8c4fe3
+Version:84.87.20200812.809b1261b7
 Release:0
 Summary:YaST2 - Translation Container Package
 License:GPL-2.0-or-later

++ _servicedata ++
--- /var/tmp/diff_new_pack.5V8vjO/_old  2020-08-14 13:07:51.517176583 +0200
+++ /var/tmp/diff_new_pack.5V8vjO/_new  2020-08-14 13:07:51.521176585 +0200
@@ -1,4 +1,4 @@
 
 
 git://github.com/yast/yast-translations.git
-  1c0c8c4fe35c0770b4ad8e1a004dddc894180569
\ No newline at end of file
+  809b1261b767b795ac7dc07378d2b2b85bebecd0
\ No newline at end of file

++ yast2-trans-84.87.20200725.1c0c8c4fe3.tar.xz -> 
yast2-trans-84.87.20200812.809b1261b7.tar.xz ++
/work/SRC/openSUSE:Factory/yast2-trans/yast2-trans-84.87.20200725.1c0c8c4fe3.tar.xz
 
/work/SRC/openSUSE:Factory/.yast2-trans.new.3399/yast2-trans-84.87.20200812.809b1261b7.tar.xz
 differ: char 27, line 1




commit libyui-ncurses-rest-api for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui-ncurses-rest-api for 
openSUSE:Factory checked in at 2020-08-14 13:07:55

Comparing /work/SRC/openSUSE:Factory/libyui-ncurses-rest-api (Old)
 and  /work/SRC/openSUSE:Factory/.libyui-ncurses-rest-api.new.3399 (New)


Package is "libyui-ncurses-rest-api"

Fri Aug 14 13:07:55 2020 rev:5 rq:825936 version:0.2.1

Changes:

--- 
/work/SRC/openSUSE:Factory/libyui-ncurses-rest-api/libyui-ncurses-rest-api.changes
  2020-07-09 13:16:33.200735939 +0200
+++ 
/work/SRC/openSUSE:Factory/.libyui-ncurses-rest-api.new.3399/libyui-ncurses-rest-api.changes
2020-08-14 13:08:02.661180829 +0200
@@ -1,0 +2,6 @@
+Tue Aug 11 14:31:02 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 0.2.1
+
+---
@@ -7,0 +14,2 @@
+- 0.2.0
+

Old:

  libyui-ncurses-rest-api-0.2.0.tar.bz2

New:

  libyui-ncurses-rest-api-0.2.1.tar.bz2



Other differences:
--
++ libyui-ncurses-rest-api.spec ++
--- /var/tmp/diff_new_pack.Rqjsq1/_old  2020-08-14 13:08:03.329181083 +0200
+++ /var/tmp/diff_new_pack.Rqjsq1/_new  2020-08-14 13:08:03.333181084 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_devel_version libyui-devel >= 3.8.0
 
 Name:   libyui-ncurses-rest-api
-Version:0.2.0
+Version:0.2.1
 Release:0
 Summary:Libyui - The REST API plugin for the Ncurses frontend
 License:LGPL-2.1-only OR LGPL-3.0-only

++ libyui-ncurses-rest-api-0.2.0.tar.bz2 -> 
libyui-ncurses-rest-api-0.2.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libyui-ncurses-rest-api-0.2.0/VERSION.cmake 
new/libyui-ncurses-rest-api-0.2.1/VERSION.cmake
--- old/libyui-ncurses-rest-api-0.2.0/VERSION.cmake 2020-07-08 
09:29:24.0 +0200
+++ new/libyui-ncurses-rest-api-0.2.1/VERSION.cmake 2020-08-12 
10:31:24.0 +0200
@@ -1,6 +1,6 @@
 SET( VERSION_MAJOR "0")
 SET( VERSION_MINOR "2" )
-SET( VERSION_PATCH "0" )
+SET( VERSION_PATCH "1" )
 SET( VERSION 
"${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${GIT_SHA1_VERSION}" )
 
 # This is need for the libyui core ONLY.
@@ -8,7 +8,7 @@
 # Currently you must also change so_version in libyui.spec
 # *and also in **all** other* libyui-*.spec files in the other repositories.
 # Yes, such a design is suboptimal.
-SET( SONAME_MAJOR "12" )
+SET( SONAME_MAJOR "0" )
 SET( SONAME_MINOR "0" )
 SET( SONAME_PATCH "0" )
 SET( SONAME "${SONAME_MAJOR}.${SONAME_MINOR}.${SONAME_PATCH}" )
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-ncurses-rest-api-0.2.0/package/libyui-ncurses-rest-api.changes 
new/libyui-ncurses-rest-api-0.2.1/package/libyui-ncurses-rest-api.changes
--- old/libyui-ncurses-rest-api-0.2.0/package/libyui-ncurses-rest-api.changes   
2020-07-08 09:29:24.0 +0200
+++ new/libyui-ncurses-rest-api-0.2.1/package/libyui-ncurses-rest-api.changes   
2020-08-12 10:31:24.0 +0200
@@ -1,10 +1,18 @@
 ---
+Tue Aug 11 14:31:02 UTC 2020 - Stefan Hundhammer 
+
+- Use new parent lib SO version libyui.so.13 (bsc#1175115)
+- 0.2.1
+
+---
 Mon Jun  8 14:37:04 UTC 2020 - Rodion Iafarov 
 
 - Trigger update on YCombobox, YSelectionBox, YInputField,
   YMultiSelectionBox (bsc#1139747)
 - Add support for YDateField and YTimeField
 - Add support for YCheckBoxFrame
+- 0.2.0
+
 ---
 Thu Jun  4 13:17:49 UTC 2020 - Stefan Hundhammer 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libyui-ncurses-rest-api-0.2.0/package/libyui-ncurses-rest-api.spec 
new/libyui-ncurses-rest-api-0.2.1/package/libyui-ncurses-rest-api.spec
--- old/libyui-ncurses-rest-api-0.2.0/package/libyui-ncurses-rest-api.spec  
2020-07-08 09:29:24.0 +0200
+++ new/libyui-ncurses-rest-api-0.2.1/package/libyui-ncurses-rest-api.spec  
2020-08-12 10:31:24.0 +0200
@@ -16,12 +16,12 @@
 #
 
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 %define libyui_devel_version libyui-devel >= 3.8.0
 
 Name:   libyui-ncurses-rest-api
-Version:0.2.0
+Version:0.2.1
 Release:0
 Summary:Libyui - The REST API plugin for the Ncurses frontend
 License:LGPL-2.1-only OR LGPL-3.0-only




commit libyui for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libyui for openSUSE:Factory checked 
in at 2020-08-14 13:08:02

Comparing /work/SRC/openSUSE:Factory/libyui (Old)
 and  /work/SRC/openSUSE:Factory/.libyui.new.3399 (New)


Package is "libyui"

Fri Aug 14 13:08:02 2020 rev:53 rq:825938 version:3.11.0

Changes:

--- /work/SRC/openSUSE:Factory/libyui/libyui.changes2020-07-09 
13:16:18.660689985 +0200
+++ /work/SRC/openSUSE:Factory/.libyui.new.3399/libyui.changes  2020-08-14 
13:08:07.681182741 +0200
@@ -0,0 +1,8 @@
+---
+Tue Aug 11 13:26:18 UTC 2020 - Stefan Hundhammer 
+
+- Added MenuBar widget (bsc#1175115)
+- Bumped SO version to 13
+- 3.11.0
+
+---

Old:

  libyui-3.10.1.tar.bz2

New:

  libyui-3.11.0.tar.bz2



Other differences:
--
++ libyui-doc.spec ++
--- /var/tmp/diff_new_pack.aPkTCr/_old  2020-08-14 13:08:08.697183128 +0200
+++ /var/tmp/diff_new_pack.aPkTCr/_new  2020-08-14 13:08:08.701183130 +0200
@@ -17,10 +17,10 @@
 
 
 %define parent libyui
-%define so_version 12
+%define so_version 13
 
 Name:   %{parent}-doc
-Version:3.10.1
+Version:3.11.0
 Release:0
 Source: %{parent}-%{version}.tar.bz2
 

++ libyui.spec ++
--- /var/tmp/diff_new_pack.aPkTCr/_old  2020-08-14 13:08:08.721183138 +0200
+++ /var/tmp/diff_new_pack.aPkTCr/_new  2020-08-14 13:08:08.725183139 +0200
@@ -17,11 +17,11 @@
 
 
 Name:   libyui
-Version:3.10.1
+Version:3.11.0
 Release:0
 Source: %{name}-%{version}.tar.bz2
 
-%define so_version 12
+%define so_version 13
 %define bin_name %{name}%{so_version}
 
 # optionally build with code coverage reporting,

++ libyui-3.10.1.tar.bz2 -> libyui-3.11.0.tar.bz2 ++
 3974 lines of diff (skipped)




commit yast2-printer for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package yast2-printer for openSUSE:Factory 
checked in at 2020-08-14 13:07:30

Comparing /work/SRC/openSUSE:Factory/yast2-printer (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-printer.new.3399 (New)


Package is "yast2-printer"

Fri Aug 14 13:07:30 2020 rev:148 rq:825328 version:4.3.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-printer/yast2-printer.changes  
2020-07-01 14:26:11.998675462 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-printer.new.3399/yast2-printer.changes
2020-08-14 13:07:35.609170523 +0200
@@ -1,0 +2,8 @@
+Mon Aug 10 11:52:48 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(printer) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---

Old:

  yast2-printer-4.3.1.tar.bz2

New:

  yast2-printer-4.3.2.tar.bz2



Other differences:
--
++ yast2-printer.spec ++
--- /var/tmp/diff_new_pack.Gi4t55/_old  2020-08-14 13:07:36.205170751 +0200
+++ /var/tmp/diff_new_pack.Gi4t55/_new  2020-08-14 13:07:36.209170752 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-printer
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - Printer Configuration
 License:GPL-2.0-only
@@ -43,6 +43,8 @@
 
 Obsoletes:  yast2-printer-devel-doc
 
+Supplements:autoyast(printer)
+
 %description
 This package contains the YaST2 component for printer configuration.
 

++ yast2-printer-4.3.1.tar.bz2 -> yast2-printer-4.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-printer-4.3.1/package/yast2-printer.changes 
new/yast2-printer-4.3.2/package/yast2-printer.changes
--- old/yast2-printer-4.3.1/package/yast2-printer.changes   2020-06-30 
16:34:10.0 +0200
+++ new/yast2-printer-4.3.2/package/yast2-printer.changes   2020-08-10 
12:24:39.0 +0200
@@ -1,4 +1,12 @@
 ---
+Mon Aug 10 11:52:48 CEST 2020 - sch...@suse.de
+
+- AutoYaST: Added supplements: autoyast(printer) into the spec file
+  in order to install this packages if the section has been defined
+  in the AY configuration file (bsc#1146494).
+- 4.3.2
+
+---
 Tue Jun 30 13:55:10 UTC 2020 - Imobach Gonzalez Sosa 
 
 - AutoYaST: do not export printer settings if CUPS is disabled
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-printer-4.3.1/package/yast2-printer.spec 
new/yast2-printer-4.3.2/package/yast2-printer.spec
--- old/yast2-printer-4.3.1/package/yast2-printer.spec  2020-06-30 
16:34:10.0 +0200
+++ new/yast2-printer-4.3.2/package/yast2-printer.spec  2020-08-10 
12:24:39.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-printer
-Version:4.3.1
+Version:4.3.2
 Release:0
 Summary:YaST2 - Printer Configuration
 License:GPL-2.0-only
@@ -42,6 +42,8 @@
 
 Obsoletes:  yast2-printer-devel-doc
 
+Supplements:autoyast(printer)
+
 %description
 This package contains the YaST2 component for printer configuration.
 




commit hwdata for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package hwdata for openSUSE:Factory checked 
in at 2020-08-14 13:07:36

Comparing /work/SRC/openSUSE:Factory/hwdata (Old)
 and  /work/SRC/openSUSE:Factory/.hwdata.new.3399 (New)


Package is "hwdata"

Fri Aug 14 13:07:36 2020 rev:37 rq:825787 version:0.338

Changes:

--- /work/SRC/openSUSE:Factory/hwdata/hwdata.changes2020-07-24 
09:48:11.644914828 +0200
+++ /work/SRC/openSUSE:Factory/.hwdata.new.3399/hwdata.changes  2020-08-14 
13:07:37.177171121 +0200
@@ -1,0 +2,6 @@
+Tue Aug 11 13:05:07 UTC 2020 - Martin Pluskal 
+
+- Update to version 0.338:
+  + Updated pci, usb and vendor ids.
+
+---

Old:

  hwdata-0.337.tar.gz

New:

  hwdata-0.338.tar.gz



Other differences:
--
++ hwdata.spec ++
--- /var/tmp/diff_new_pack.fTRJir/_old  2020-08-14 13:07:37.937171410 +0200
+++ /var/tmp/diff_new_pack.fTRJir/_new  2020-08-14 13:07:37.937171410 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   hwdata
-Version:0.337
+Version:0.338
 Release:0
 Summary:Hardware identification and configuration data
 License:GPL-2.0-or-later

++ hwdata-0.337.tar.gz -> hwdata-0.338.tar.gz ++
 8842 lines of diff (skipped)




commit 00Meta for openSUSE:Leap:15.1:Images

2020-08-14 Thread root
Hello community,

here is the log from the commit of package 00Meta for openSUSE:Leap:15.1:Images 
checked in at 2020-08-14 11:16:15

Comparing /work/SRC/openSUSE:Leap:15.1:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Images/.00Meta.new.3399 (New)


Package is "00Meta"

Fri Aug 14 11:16:15 2020 rev:467 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_totest ++
--- /var/tmp/diff_new_pack.vFMySF/_old  2020-08-14 11:16:17.042669232 +0200
+++ /var/tmp/diff_new_pack.vFMySF/_new  2020-08-14 11:16:17.042669232 +0200
@@ -1 +1 @@
-8.12.96
\ No newline at end of file
+8.12.97
\ No newline at end of file




commit libX11 for openSUSE:Leap:15.1:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libX11 for openSUSE:Leap:15.1:Update 
checked in at 2020-08-14 10:15:56

Comparing /work/SRC/openSUSE:Leap:15.1:Update/libX11 (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Update/.libX11.new.3399 (New)


Package is "libX11"

Fri Aug 14 10:15:56 2020 rev:2 rq:825778 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.7VODTo/_old  2020-08-14 10:15:57.501671265 +0200
+++ /var/tmp/diff_new_pack.7VODTo/_new  2020-08-14 10:15:57.505671267 +0200
@@ -1 +1 @@
-
+




commit patchinfo.13677 for openSUSE:Leap:15.1:Update

2020-08-14 Thread root
Hello community,

here is the log from the commit of package patchinfo.13677 for 
openSUSE:Leap:15.1:Update checked in at 2020-08-14 10:15:59

Comparing /work/SRC/openSUSE:Leap:15.1:Update/patchinfo.13677 (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Update/.patchinfo.13677.new.3399 (New)


Package is "patchinfo.13677"

Fri Aug 14 10:15:59 2020 rev:1 rq:825778 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _patchinfo



Other differences:
--
++ _patchinfo ++

  
  VUL-0: CVE-2020-14344:  
libX11,xorg-x11-libX11: XIM client heap overflows
  tiwai
  important
  security
  Security update for libX11
  This update for libX11 fixes the following issues:

- Fixed XIM client heap overflows (CVE-2020-14344, bsc#1174628).

This update was imported from the SUSE:SLE-15:Update update 
project.




commit python-pytest-flakes for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-pytest-flakes for 
openSUSE:Factory checked in at 2020-08-14 10:04:44

Comparing /work/SRC/openSUSE:Factory/python-pytest-flakes (Old)
 and  /work/SRC/openSUSE:Factory/.python-pytest-flakes.new.3399 (New)


Package is "python-pytest-flakes"

Fri Aug 14 10:04:44 2020 rev:4 rq:826313 version:4.0.1

Changes:

--- 
/work/SRC/openSUSE:Factory/python-pytest-flakes/python-pytest-flakes.changes
2019-12-07 15:08:17.071856203 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-pytest-flakes.new.3399/python-pytest-flakes.changes
  2020-08-14 10:04:57.301336292 +0200
@@ -1,0 +2,15 @@
+Thu Aug 13 08:50:18 UTC 2020 - Benjamin Greiner 
+
+- Update to Version 4.0.1
+  * Maintenance of pytest-flakes has moved from fschulze to
+asmeurer. The repo for pytest-flakes is now at 
+https://github.com/asmeurer/pytest-flakes/
+  * Fix test failures. [asmeurer]
+  * Fix deprecation warnings from pytest. [asmeurer]
+  * Fix invalid escape sequences. [akeeman]
+- drop patches for fixed test
+  * remove-bad-test.patch
+  * replace-pytest-pep8-with-pytest-codestyle.patch
+- no pytest-codestyle needed for packaging
+
+---

Old:

  pytest-flakes-4.0.0.tar.gz
  remove-bad-test.patch
  replace-pytest-pep8-with-pytest-codestyle.patch

New:

  pytest-flakes-4.0.1.tar.gz



Other differences:
--
++ python-pytest-flakes.spec ++
--- /var/tmp/diff_new_pack.C9qWIN/_old  2020-08-14 10:04:58.737337020 +0200
+++ /var/tmp/diff_new_pack.C9qWIN/_new  2020-08-14 10:04:58.741337022 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pytest-flakes
 #
-# Copyright (c) 2019 SUSE LLC
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,21 +18,18 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pytest-flakes
-Version:4.0.0
+Version:4.0.1
 Release:0
 Summary:Pytest plugin to check source code with pyflakes
 License:MIT
 Group:  Development/Languages/Python
-URL:https://github.com/fschulze/pytest-flakes
+URL:https://github.com/asmeurer/pytest-flakes
 Source: 
https://files.pythonhosted.org/packages/source/p/pytest-flakes/pytest-flakes-%{version}.tar.gz
-Patch0: remove-bad-test.patch
-Patch1: replace-pytest-pep8-with-pytest-codestyle.patch
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  python-rpm-macros
 # Test requirements
 BuildRequires:  %{python_module pyflakes}
 BuildRequires:  %{python_module pytest >= 2.8.0}
-BuildRequires:  %{python_module pytest-codestyle}
 # End of test requirements
 BuildRequires:  fdupes
 Requires:   python-pyflakes
@@ -46,9 +43,6 @@
 
 %prep
 %setup -q -n pytest-flakes-%{version}
-%patch0 -p1
-%patch1 -p1
-rm tox.ini
 
 %build
 %python_build
@@ -58,11 +52,13 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%pytest
+%pytest test_flakes.py
 
 %files %{python_files}
 %doc README.rst
 %license LICENSE
-%{python_sitelib}/*
+%{python_sitelib}/pytest_flakes.py*
+%pycache_only %{python_sitelib}/__pycache__/pytest_flakes.*
+%{python_sitelib}/pytest_flakes-%{version}-py*.egg-info
 
 %changelog

++ pytest-flakes-4.0.0.tar.gz -> pytest-flakes-4.0.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pytest-flakes-4.0.0/.coveragerc 
new/pytest-flakes-4.0.1/.coveragerc
--- old/pytest-flakes-4.0.0/.coveragerc 2013-10-11 21:21:57.0 +0200
+++ new/pytest-flakes-4.0.1/.coveragerc 1970-01-01 01:00:00.0 +0100
@@ -1,5 +0,0 @@
-[run]
-source = .
-omit =
-.tox/*
-setup.py
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pytest-flakes-4.0.0/.travis.yml 
new/pytest-flakes-4.0.1/.travis.yml
--- old/pytest-flakes-4.0.0/.travis.yml 2018-05-16 11:23:27.0 +0200
+++ new/pytest-flakes-4.0.1/.travis.yml 1970-01-01 01:00:00.0 +0100
@@ -1,16 +0,0 @@
-language: python
-sudo: false
-python:
-  - 2.7
-  - 3.4
-  - 3.5
-  - 3.6
-  - nightly
-  - pypy
-  - pypy3
-
-install:
-  - travis_retry pip install tox-travis
-
-script:
-  - travis_retry tox
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pytest-flakes-4.0.0/PKG-INFO 
new/pytest-flakes-4.0.1/PKG-INFO
--- old/pytest-flakes-4.0.0/PKG-INFO2018-08-01 06:23:06.0 +0200
+++ new/pytest-flakes-4.0.1/PKG-INFO2020-07-28 23:52:00.0 +0200
@@ -1,10 +1,10 @@
 Metadata-Version: 1.1
 Name: pytest-flakes

commit ser2net for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package ser2net for openSUSE:Factory checked 
in at 2020-08-14 10:05:04

Comparing /work/SRC/openSUSE:Factory/ser2net (Old)
 and  /work/SRC/openSUSE:Factory/.ser2net.new.3399 (New)


Package is "ser2net"

Fri Aug 14 10:05:04 2020 rev:13 rq:826310 version:4.2.1

Changes:

--- /work/SRC/openSUSE:Factory/ser2net/ser2net.changes  2020-07-27 
17:44:34.599235083 +0200
+++ /work/SRC/openSUSE:Factory/.ser2net.new.3399/ser2net.changes
2020-08-14 10:05:14.213344872 +0200
@@ -1,0 +2,10 @@
+Sun Aug  9 14:31:22 UTC 2020 - Martin Hauke 
+
+- Update to version 4.2.0
+  controller:
+  * Added a yaml mode for the controller interface. This should
+make having a program talk to the controller much easier.
+  * In yaml mode for the controller interface, add asychronous
+notifications to know if anything connects or disconnects.
+
+---

Old:

  ser2net-4.2.0.tar.gz

New:

  ser2net-4.2.1.tar.gz



Other differences:
--
++ ser2net.spec ++
--- /var/tmp/diff_new_pack.OLh0Um/_old  2020-08-14 10:05:16.505346035 +0200
+++ /var/tmp/diff_new_pack.OLh0Um/_new  2020-08-14 10:05:16.509346037 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   ser2net
-Version:4.2.0
+Version:4.2.1
 Release:0
 Summary:Serial port to network proxy
 License:GPL-2.0-or-later

++ ser2net-4.2.0.tar.gz -> ser2net-4.2.1.tar.gz ++
 2576 lines of diff (skipped)




commit platformsh-cli for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package platformsh-cli for openSUSE:Factory 
checked in at 2020-08-14 10:05:11

Comparing /work/SRC/openSUSE:Factory/platformsh-cli (Old)
 and  /work/SRC/openSUSE:Factory/.platformsh-cli.new.3399 (New)


Package is "platformsh-cli"

Fri Aug 14 10:05:11 2020 rev:103 rq:826562 version:3.61.0

Changes:

--- /work/SRC/openSUSE:Factory/platformsh-cli/platformsh-cli.changes
2020-07-24 09:59:45.685632153 +0200
+++ /work/SRC/openSUSE:Factory/.platformsh-cli.new.3399/platformsh-cli.changes  
2020-08-14 10:05:34.221355028 +0200
@@ -1,0 +2,41 @@
+Thu Aug 13 18:32:04 UTC 2020 - ji...@boombatower.com
+
+- Update to version 3.61.0:
+  * Release v3.61.0
+  * Add proxy support to the installer (#953)
+  * Provide autocomplete choice of projects if there are many
+  * Use --globoff by default in curl commands
+  * Disable use of SSH agent unless explicitly enabled in the user config file
+  * Explicitly request the offline_access scope when logging in
+  * Add a comment to auto-generated temporary SSH keys (#970)
+  * Release v3.60.4
+  * Restore PLATFORMSH_CLI_ACCOUNTS_API environment variable option for 
backwards compatibility
+  * Release v3.60.3
+  * Fix locating projects that are not in the user's list
+  * Release v3.60.2
+  * Ignore project-level variable activities (#968)
+  * Detect the SSH version and show appropriate messages (#969)
+  * Refine --no-refresh help in the ssh-cert:info command
+  * Fix extra prompt for input in mongodump command
+  * Add hidden ssh-cert:info utility/debug command
+  * Revamp config to no longer use a service.accounts_url nor an 
api.accounts_api_url
+  * Fix Match syntax with multiple hosts
+  * Release v3.60.1
+  * Add the SSH certificate to the SSH agent, if possible (#963)
+  * Clean up the "domain already claimed" error in the domain:add command
+  * Put host condition back on "Match ... exec"
+  * Use ed25519 for autogenerated SSH keys
+  * Always create a new SSH key when generating a certificate
+  * README: add extensions needed by cli (#958)
+  * Release v3.60.0
+  * The root SSH config file should have a Host line too
+  * Add comments to the session-specific SSH config
+  * Support multiple domain wildcards in SSH config
+  * SSH config: end the Host block explicitly with "Host *" (#960)
+  * Autoload SSH certificates on login or SSH
+  * Show the ssh-cert:load command in the list
+  * Avoid unnecessary SSH messages in verbose mode
+  * Installer: allow iconv as an alternative to mbstring
+  * Fix detection of internal vs external Git domains for platform:get (get) 
command errors
+
+---

Old:

  platformsh-cli-3.59.1.tar.xz

New:

  platformsh-cli-3.61.0.tar.xz



Other differences:
--
++ platformsh-cli.spec ++
--- /var/tmp/diff_new_pack.RZFlIo/_old  2020-08-14 10:05:36.465356165 +0200
+++ /var/tmp/diff_new_pack.RZFlIo/_new  2020-08-14 10:05:36.465356165 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   platformsh-cli
-Version:3.59.1
+Version:3.61.0
 Release:0
 Summary:Tool for managing Platform.sh services from the command line
 # See licenses.txt for dependency licenses.

++ _service ++
--- /var/tmp/diff_new_pack.RZFlIo/_old  2020-08-14 10:05:36.497356182 +0200
+++ /var/tmp/diff_new_pack.RZFlIo/_new  2020-08-14 10:05:36.497356182 +0200
@@ -2,7 +2,7 @@
   
 @PARENT_TAG@
 v(.*)
-refs/tags/v3.59.1
+refs/tags/v3.61.0
 git://github.com/platformsh/platformsh-cli.git
 git
 enable

++ _servicedata ++
--- /var/tmp/diff_new_pack.RZFlIo/_old  2020-08-14 10:05:36.517356192 +0200
+++ /var/tmp/diff_new_pack.RZFlIo/_new  2020-08-14 10:05:36.517356192 +0200
@@ -1,6 +1,6 @@
 
   
 git://github.com/platformsh/platformsh-cli.git
-3854cfd67303add357cece3c5f330ac9e443bf33
+8e6262a3ef2ec7b2b16a6675fb34fc2300489f46
   
 

++ licenses.txt ++
--- /var/tmp/diff_new_pack.RZFlIo/_old  2020-08-14 10:05:36.557356212 +0200
+++ /var/tmp/diff_new_pack.RZFlIo/_new  2020-08-14 10:05:36.557356212 +0200
@@ -16,7 +16,7 @@
 padraic/phar-updaterv1.0.6   BSD-3-Clause  
 paragonie/random_compat v2.0.18  MIT   
 pjcdawkins/guzzle-oauth2-plugin v2.3.1   MIT   
-platformsh/client   v0.35.2  MIT   
+platformsh/client   v0.37.2  MIT   
 platformsh/console-form v0.0.24  MIT   
 psr/container   1.0.0MIT   
 psr/log 1.1.3MIT   

++ platformsh-cli-3.59.1.tar.xz -> platformsh-cli-3.61.0.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 

commit gensio for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package gensio for openSUSE:Factory checked 
in at 2020-08-14 10:04:56

Comparing /work/SRC/openSUSE:Factory/gensio (Old)
 and  /work/SRC/openSUSE:Factory/.gensio.new.3399 (New)


Package is "gensio"

Fri Aug 14 10:04:56 2020 rev:4 rq:826311 version:2.1.4

Changes:

--- /work/SRC/openSUSE:Factory/gensio/gensio.changes2020-07-31 
16:00:39.096501467 +0200
+++ /work/SRC/openSUSE:Factory/.gensio.new.3399/gensio.changes  2020-08-14 
10:05:05.725340566 +0200
@@ -1,0 +2,12 @@
+Sun Aug  9 14:29:54 UTC 2020 - Martin Hauke 
+
+- Update to version 2.1.4
+  * telnet - There were some more negotiation issues.
+  * serialdev - Fix issues with slow closes. A close could hang
+for a long time with pending write data, avoid this.
+  * conacc - Added some extensions to make it more useful,
+general, and easy to test.
+  * pty - Added the ability to create an unattached pty so another
+program can attach to it.
+
+---

Old:

  gensio-2.1.3.tar.gz

New:

  gensio-2.1.4.tar.gz



Other differences:
--
++ gensio.spec ++
--- /var/tmp/diff_new_pack.2eWc91/_old  2020-08-14 10:05:07.065341246 +0200
+++ /var/tmp/diff_new_pack.2eWc91/_new  2020-08-14 10:05:07.069341247 +0200
@@ -25,7 +25,7 @@
 %bcond_withopenipmi
 %endif
 Name:   gensio
-Version:2.1.3
+Version:2.1.4
 Release:0
 Summary:Library to abstract stream and packet I/O
 # examples/* is licenced under Apache-2.0

++ gensio-2.1.3.tar.gz -> gensio-2.1.4.tar.gz ++
 1886 lines of diff (skipped)




commit python-canonicaljson for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-canonicaljson for 
openSUSE:Factory checked in at 2020-08-14 10:04:15

Comparing /work/SRC/openSUSE:Factory/python-canonicaljson (Old)
 and  /work/SRC/openSUSE:Factory/.python-canonicaljson.new.3399 (New)


Package is "python-canonicaljson"

Fri Aug 14 10:04:15 2020 rev:6 rq:826608 version:1.2.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-canonicaljson/python-canonicaljson.changes
2019-03-01 16:48:16.301779873 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-canonicaljson.new.3399/python-canonicaljson.changes
  2020-08-14 10:04:21.625318188 +0200
@@ -1,0 +2,11 @@
+Thu Aug 13 21:28:31 UTC 2020 - Marcus Rueckert 
+
+- Update to 1.2.0:
+  - JSON from the standard library is used automatically on PyPy.
+  - Support for Python versions which are end-of-lifed was dropped,
+Python >= 3.5 is supported and tested in continuous
+integration.
+  - An API to configure the underlying JSON library was added
+(set_json_library).
+
+---

Old:

  v1.1.4.tar.gz

New:

  v1.2.0.tar.gz



Other differences:
--
++ python-canonicaljson.spec ++
--- /var/tmp/diff_new_pack.3S0IbU/_old  2020-08-14 10:04:26.589320707 +0200
+++ /var/tmp/diff_new_pack.3S0IbU/_new  2020-08-14 10:04:26.593320708 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-canonicaljson
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -28,7 +28,7 @@
 %define github_user matrix-org
 %define short_name canonicaljson
 Name:   python-%{short_name}%{psuffix}
-Version:1.1.4
+Version:1.2.0
 Release:0
 Summary:Canonical JSON for Python
 License:Apache-2.0

++ v1.1.4.tar.gz -> v1.2.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-canonicaljson-1.1.4/.gitignore 
new/python-canonicaljson-1.2.0/.gitignore
--- old/python-canonicaljson-1.1.4/.gitignore   2018-05-23 10:28:32.0 
+0200
+++ new/python-canonicaljson-1.2.0/.gitignore   2020-07-27 17:42:49.0 
+0200
@@ -6,3 +6,4 @@
 *.pyc
 /build/
 /dist/
+.python-version
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-canonicaljson-1.1.4/.travis/install.sh 
new/python-canonicaljson-1.2.0/.travis/install.sh
--- old/python-canonicaljson-1.1.4/.travis/install.sh   2018-05-23 
10:28:32.0 +0200
+++ new/python-canonicaljson-1.2.0/.travis/install.sh   2020-07-27 
17:42:49.0 +0200
@@ -5,13 +5,8 @@
 if [[ $TRAVIS_OS_NAME == 'osx' ]]; then
 # osx build uses a 'generic' language which doesn't come with pip
 case "${TOXENV}" in
-py27)
-# for py27, use the system python
-sudo `dirname $0`/get-pip.py
-sudo pip install tox
-;;
-py36)
-# for py36, use homebrew python, which comes with pip.
+py38)
+# for py38, use homebrew python, which comes with pip.
 # see also https://docs.brew.sh/Homebrew-and-Python
 brew upgrade python
 pip3 install tox
@@ -24,5 +19,3 @@
 else
 pip install tox
 fi
-
-
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-canonicaljson-1.1.4/.travis.yml 
new/python-canonicaljson-1.2.0/.travis.yml
--- old/python-canonicaljson-1.1.4/.travis.yml  2018-05-23 10:28:32.0 
+0200
+++ new/python-canonicaljson-1.2.0/.travis.yml  2020-07-27 17:42:49.0 
+0200
@@ -5,40 +5,30 @@
 
 matrix:
   include:
-- python: 2.7
+- python: 3.6
   env: TOXENV=packaging
-  
-- python: 2.7
-  env: TOXENV=pep8
 
 - python: 3.6
-  env: TOXENV=py3pep8
-
-- python: 2.7
-  env: TOXENV=py27
-
-- os: osx
-  language: generic
-  env: TOXENV=py27
-
-- python: 3.3
-  env: TOXENV=py33
+  env: TOXENV=pep8
 
-- python: 3.4
-  env: TOXENV=py34
-
 - python: 3.5
   env: TOXENV=py35
 
 - python: 3.6
   env: TOXENV=py36
 
+- python: 3.7
+  env: TOXENV=py37
+
+- python: 3.8
+  env: TOXENV=py38
+
 - os: osx
   language: generic
-  env: TOXENV=py36
+  env: TOXENV=py38
 
-- python: pypy
-  env: TOXENV=pypy
+- python: pypy3
+  env: TOXENV=pypy3
 
 install:
 - ./.travis/install.sh
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-canonicaljson-1.1.4/CHANGES.md 

commit python-openstack.nose_plugin for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-openstack.nose_plugin for 
openSUSE:Factory checked in at 2020-08-14 10:04:08

Comparing /work/SRC/openSUSE:Factory/python-openstack.nose_plugin (Old)
 and  /work/SRC/openSUSE:Factory/.python-openstack.nose_plugin.new.3399 
(New)


Package is "python-openstack.nose_plugin"

Fri Aug 14 10:04:08 2020 rev:8 rq:826307 version:0.11

Changes:

--- 
/work/SRC/openSUSE:Factory/python-openstack.nose_plugin/python-openstack.nose_plugin.changes
2019-01-03 18:08:26.388043791 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-openstack.nose_plugin.new.3399/python-openstack.nose_plugin.changes
  2020-08-14 10:04:12.677313648 +0200
@@ -1,0 +2,5 @@
+Thu Aug 13 15:47:49 UTC 2020 - Jan Zerebecki 
+
+- switch to https url for source
+
+---



Other differences:
--
++ python-openstack.nose_plugin.spec ++
--- /var/tmp/diff_new_pack.6VpDCj/_old  2020-08-14 10:04:13.937314287 +0200
+++ /var/tmp/diff_new_pack.6VpDCj/_new  2020-08-14 10:04:13.941314289 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-openstack.nose_plugin
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,8 +23,8 @@
 Summary:Openstack run_testspy style output for nosetests
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://github.com/jkoelker/openstack-nose
-Source: 
http://pypi.python.org/packages/source/o/openstack.nose_plugin/openstack.nose_plugin-%{version}.tar.gz
+URL:https://github.com/jkoelker/openstack-nose
+Source: 
https://files.pythonhosted.org/packages/source/o/openstack.nose_plugin/openstack.nose_plugin-%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  openstack-suse-macros
 BuildRequires:  python-rpm-macros




commit qgroundcontrol for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package qgroundcontrol for openSUSE:Factory 
checked in at 2020-08-14 10:03:41

Comparing /work/SRC/openSUSE:Factory/qgroundcontrol (Old)
 and  /work/SRC/openSUSE:Factory/.qgroundcontrol.new.3399 (New)


Package is "qgroundcontrol"

Fri Aug 14 10:03:41 2020 rev:14 rq:826289 version:4.0.8

Changes:

--- /work/SRC/openSUSE:Factory/qgroundcontrol/qgroundcontrol.changes
2020-07-06 16:26:26.774638487 +0200
+++ /work/SRC/openSUSE:Factory/.qgroundcontrol.new.3399/qgroundcontrol.changes  
2020-08-14 10:03:44.341299269 +0200
@@ -1,0 +2,5 @@
+Mon Jul 27 10:16:28 UTC 2020 - Michel Normand 
+
+-  Add _constraints default min disk size & physicalmemory 4GB
+
+---

New:

  _constraints



Other differences:
--
++ _constraints ++

  

  4


  4

  




commit cockpit for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package cockpit for openSUSE:Factory checked 
in at 2020-08-14 09:32:36

Comparing /work/SRC/openSUSE:Factory/cockpit (Old)
 and  /work/SRC/openSUSE:Factory/.cockpit.new.3399 (New)


Package is "cockpit"

Fri Aug 14 09:32:36 2020 rev:3 rq:826190 version:222

Changes:

--- /work/SRC/openSUSE:Factory/cockpit/cockpit.changes  2020-06-26 
21:50:35.086819935 +0200
+++ /work/SRC/openSUSE:Factory/.cockpit.new.3399/cockpit.changes
2020-08-14 09:34:11.176424777 +0200
@@ -1,0 +2,7 @@
+Wed Aug 12 09:33:17 UTC 2020 - Thorsten Kukuk 
+
+- Require group wheel
+- Add permission macros [bsc#1169614]
+- Create tmpfiles in %post install
+
+---



Other differences:
--
++ cockpit.spec ++
--- /var/tmp/diff_new_pack.1nJZ1R/_old  2020-08-14 09:34:11.740425066 +0200
+++ /var/tmp/diff_new_pack.1nJZ1R/_new  2020-08-14 09:34:11.744425068 +0200
@@ -467,11 +467,13 @@
 Requires: glib-networking
 Requires: openssl
 Requires: glib2 >= 2.37.4
+Requires: group(wheel)
 Conflicts: firewalld < 0.6.0-1
 Recommends: sscg >= 2.3
 Recommends: system-logos
 Requires: systemd >= 235
 Suggests: sssd-dbus
+Requires(pre): permissions
 Requires(post): systemd
 Requires(preun): systemd
 Requires(postun): systemd
@@ -534,6 +536,8 @@
 getent passwd cockpit-wsinstance >/dev/null || useradd -r -g 
cockpit-wsinstance -d /nonexisting -s /sbin/nologin -c "User for cockpit-ws 
instances" cockpit-wsinstance
 
 %post ws
+%set_permissions %{_libexecdir}/cockpit-session
+%tmpfiles_create cockpit-tempfiles.conf
 %systemd_post cockpit.socket
 # firewalld only partially picks up changes to its services files without this
 test -f %{_bindir}/firewall-cmd && firewall-cmd --reload --quiet || true
@@ -545,6 +549,9 @@
 %systemd_postun_with_restart cockpit.socket
 %systemd_postun_with_restart cockpit.service
 
+%verifyscript ws
+%verify_permissions -e %{_libexecdir}/cockpit-session
+
 # 
---
 # Sub-packages that are part of cockpit-system in RHEL/CentOS, but separate in 
Fedora
 




commit budgie-desktop for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package budgie-desktop for openSUSE:Factory 
checked in at 2020-08-14 09:33:26

Comparing /work/SRC/openSUSE:Factory/budgie-desktop (Old)
 and  /work/SRC/openSUSE:Factory/.budgie-desktop.new.3399 (New)


Package is "budgie-desktop"

Fri Aug 14 09:33:26 2020 rev:4 rq:826273 version:10.5.1

Changes:

--- /work/SRC/openSUSE:Factory/budgie-desktop/budgie-desktop.changes
2020-08-13 10:25:35.37082 +0200
+++ /work/SRC/openSUSE:Factory/.budgie-desktop.new.3399/budgie-desktop.changes  
2020-08-14 09:34:37.696438368 +0200
@@ -1,0 +2,8 @@
+Thu Aug 13 11:55:45 UTC 2020 - Callum Farmer 
+
+- Change gnome-control-center from Recommends to Requires:
+  * Needed for changing desktop background
+- Add gnome-software to Requires:
+  * Needed for links in gnome-control-center
+
+---



Other differences:
--
++ budgie-desktop.spec ++
--- /var/tmp/diff_new_pack.DFXL4d/_old  2020-08-14 09:34:38.176438614 +0200
+++ /var/tmp/diff_new_pack.DFXL4d/_new  2020-08-14 09:34:38.180438617 +0200
@@ -67,10 +67,11 @@
 Requires:   ibus
 Requires:   gnome-session-core
 Requires:   gnome-settings-daemon
+Requires:   gnome-control-center
+Requires:   gnome-software
 #Recommends: gnome-screensaver
 Recommends: NetworkManager-applet
 Recommends: gnome-backgrounds
-Recommends: gnome-control-center
 Recommends: budgie-desktop-doc
 %define vala_version %(rpm -q --queryformat='%%{VERSION}' vala | sed 
's/\.[0-9]*$//g')
 






commit python-h11 for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package python-h11 for openSUSE:Factory 
checked in at 2020-08-14 09:33:31

Comparing /work/SRC/openSUSE:Factory/python-h11 (Old)
 and  /work/SRC/openSUSE:Factory/.python-h11.new.3399 (New)


Package is "python-h11"

Fri Aug 14 09:33:31 2020 rev:6 rq:826282 version:0.10.0

Changes:

--- /work/SRC/openSUSE:Factory/python-h11/python-h11.changes2020-05-06 
11:05:02.995363479 +0200
+++ /work/SRC/openSUSE:Factory/.python-h11.new.3399/python-h11.changes  
2020-08-14 09:34:38.348438703 +0200
@@ -1,0 +2,8 @@
+Thu Aug 13 12:35:59 UTC 2020 - aloi...@gmx.com
+
+- Update to version 0.10.0
+  * Drop support for Python 3.4.
+  * Support Python 3.8.
+  * Make error messages returned by match failures less ambiguous
+
+---

Old:

  h11-0.9.0.tar.gz

New:

  h11-0.10.0.tar.gz



Other differences:
--
++ python-h11.spec ++
--- /var/tmp/diff_new_pack.8BraYs/_old  2020-08-14 09:34:38.792438930 +0200
+++ /var/tmp/diff_new_pack.8BraYs/_new  2020-08-14 09:34:38.796438932 +0200
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-h11
-Version:0.9.0
+Version:0.10.0
 Release:0
 Summary:A pure-Python, bring-your-own-I/O implementation of HTTP/11
 License:MIT

++ h11-0.9.0.tar.gz -> h11-0.10.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/h11-0.9.0/PKG-INFO new/h11-0.10.0/PKG-INFO
--- old/h11-0.9.0/PKG-INFO  2019-05-15 20:43:42.0 +0200
+++ new/h11-0.10.0/PKG-INFO 2020-08-13 11:50:23.070536600 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: h11
-Version: 0.9.0
+Version: 0.10.0
 Summary: A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
 Home-page: https://github.com/python-hyper/h11
 Author: Nathaniel J. Smith
@@ -120,7 +120,7 @@
 It has a test suite with 100.0% coverage for both statements and
 branches.
 
-Currently it supports Python 3 (testing on 3.4-3.7), Python 2.7, and 
PyPy.
+Currently it supports Python 3 (testing on 3.5-3.8), Python 2.7, and 
PyPy.
 (Originally it had a Cython wrapper for `http-parser
 `_ and a beautiful nested state
 machine implemented with ``yield from`` to postprocess the output. But
@@ -183,9 +183,9 @@
 Classifier: Programming Language :: Python :: 2
 Classifier: Programming Language :: Python :: 2.7
 Classifier: Programming Language :: Python :: 3
-Classifier: Programming Language :: Python :: 3.4
 Classifier: Programming Language :: Python :: 3.5
 Classifier: Programming Language :: Python :: 3.6
 Classifier: Programming Language :: Python :: 3.7
+Classifier: Programming Language :: Python :: 3.8
 Classifier: Topic :: Internet :: WWW/HTTP
 Classifier: Topic :: System :: Networking
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/h11-0.9.0/README.rst new/h11-0.10.0/README.rst
--- old/h11-0.9.0/README.rst2019-05-15 20:41:39.0 +0200
+++ new/h11-0.10.0/README.rst   2020-08-13 11:49:16.0 +0200
@@ -112,7 +112,7 @@
 It has a test suite with 100.0% coverage for both statements and
 branches.
 
-Currently it supports Python 3 (testing on 3.4-3.7), Python 2.7, and PyPy.
+Currently it supports Python 3 (testing on 3.5-3.8), Python 2.7, and PyPy.
 (Originally it had a Cython wrapper for `http-parser
 `_ and a beautiful nested state
 machine implemented with ``yield from`` to postprocess the output. But
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/h11-0.9.0/docs/source/basic-usage.rst 
new/h11-0.10.0/docs/source/basic-usage.rst
--- old/h11-0.9.0/docs/source/basic-usage.rst   2019-05-15 20:41:39.0 
+0200
+++ new/h11-0.10.0/docs/source/basic-usage.rst  2020-08-13 11:49:16.0 
+0200
@@ -238,8 +238,8 @@
client = MyHttpClient("httpbin.org", 443)
 
client.send(h11.Request(method="GET", target="/xml",
-   headers=[("Host", "httpbin.org")]),
-   h11.EndOfMessage())
+   headers=[("Host", "httpbin.org")]))
+   client.send(h11.EndOfMessage())
 
 And read back the events:
 
@@ -321,8 +321,8 @@
client.conn.our_state, client.conn.their_state
 
client.send(h11.Request(method="GET", target="/get",
-   headers=[("Host", "httpbin.org")]),
-   h11.EndOfMessage())
+   headers=[("Host", "httpbin.org")]))
+   client.send(h11.EndOfMessage())
client.next_event()
 
 

commit aws-cli for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package aws-cli for openSUSE:Factory checked 
in at 2020-08-14 09:32:28

Comparing /work/SRC/openSUSE:Factory/aws-cli (Old)
 and  /work/SRC/openSUSE:Factory/.aws-cli.new.3399 (New)


Package is "aws-cli"

Fri Aug 14 09:32:28 2020 rev:40 rq:826017 version:1.18.117

Changes:

--- /work/SRC/openSUSE:Factory/aws-cli/aws-cli.changes  2020-08-03 
14:14:05.724421436 +0200
+++ /work/SRC/openSUSE:Factory/.aws-cli.new.3399/aws-cli.changes
2020-08-14 09:33:57.440417737 +0200
@@ -1,0 +2,10 @@
+Wed Aug 12 11:25:30 UTC 2020 - John Paul Adrian Glaubitz 

+
+- Update to version 1.18.117 (bsc#1175147, bsc#1175148, jsc#ECO-2362, 
jsc#PM-2069)
+  + For detailed changes see
+https://github.com/aws/aws-cli/blob/1.18.117/CHANGELOG.rst
+  + Forward port hide_py_pckgmgmt.patch
+  + Update Requires in spec file from setup.py
+- Rename README.rst to README.md in %docs section
+
+---

Old:

  aws-cli-1.18.98.tar.gz

New:

  aws-cli-1.18.117.tar.gz



Other differences:
--
++ aws-cli.spec ++
--- /var/tmp/diff_new_pack.YOgN9L/_old  2020-08-14 09:34:00.720419418 +0200
+++ /var/tmp/diff_new_pack.YOgN9L/_new  2020-08-14 09:34:00.724419420 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   aws-cli
-Version:1.18.98
+Version:1.18.117
 Release:0
 Summary:Amazon Web Services Command Line Interface
 License:Apache-2.0
@@ -35,7 +35,7 @@
 Requires:   python3
 Requires:   python3-PyYAML <= 6.0.0
 Requires:   python3-PyYAML >= 3.10
-Requires:   python3-botocore >= 1.17.21
+Requires:   python3-botocore >= 1.17.40
 Requires:   python3-colorama <= 0.4.4
 Requires:   python3-colorama >= 0.2.5
 Requires:   python3-docutils >= 0.10
@@ -97,7 +97,7 @@
 install -DTm644 %{buildroot}%{_bindir}/aws_zsh_completer.sh 
%{buildroot}%{_sysconfdir}/zsh_completion.d/_aws
 
 %files
-%doc CHANGELOG.rst README.rst
+%doc CHANGELOG.rst README.md
 %license LICENSE.txt
 %if 0%{?suse_version} && 0%{?suse_version} > 1315
 %dir %{python3_sitelib}/awscli

++ aws-cli-1.18.98.tar.gz -> aws-cli-1.18.117.tar.gz ++
 8286 lines of diff (skipped)

++ hide_py_pckgmgmt.patch ++
--- /var/tmp/diff_new_pack.YOgN9L/_old  2020-08-14 09:34:01.540419838 +0200
+++ /var/tmp/diff_new_pack.YOgN9L/_new  2020-08-14 09:34:01.540419838 +0200
@@ -1,16 +1,16 @@
 setup.py.orig  2020-07-15 20:15:58.0 +0200
-+++ setup.py   2020-07-16 22:31:38.745172282 +0200
+--- setup.py.orig  2020-08-11 20:10:30.0 +0200
 setup.py   2020-08-12 13:23:05.368663655 +0200
 @@ -23,21 +23,21 @@
  raise RuntimeError("Unable to find version string.")
  
  
 -install_requires = [
--'botocore==1.17.21',
+-'botocore==1.17.40',
 -'docutils>=0.10,<0.16',
 -'s3transfer>=0.3.0,<0.4.0',
 -]
 +# install_requires = [
-+# 'botocore==1.17.21',
++# 'botocore==1.17.40',
 +# 'docutils>=0.10,<0.16',
 +# 's3transfer>=0.3.0,<0.4.0',
 +# ]




commit stress-ng for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package stress-ng for openSUSE:Factory 
checked in at 2020-08-14 09:32:50

Comparing /work/SRC/openSUSE:Factory/stress-ng (Old)
 and  /work/SRC/openSUSE:Factory/.stress-ng.new.3399 (New)


Package is "stress-ng"

Fri Aug 14 09:32:50 2020 rev:90 rq:826213 version:0.11.18

Changes:

--- /work/SRC/openSUSE:Factory/stress-ng/stress-ng.changes  2020-08-05 
20:27:17.475042627 +0200
+++ /work/SRC/openSUSE:Factory/.stress-ng.new.3399/stress-ng.changes
2020-08-14 09:34:26.988432880 +0200
@@ -1,0 +2,7 @@
+Wed Aug 12 18:54:28 UTC 2020 - Martin Hauke 
+
+- Update to version 0.11.18
+  See http://kernel.ubuntu.com/git/cking/stress-ng.git/plain/debian/changelog
+  for the full changelog
+
+---

Old:

  stress-ng-0.11.17.tar.xz

New:

  stress-ng-0.11.18.tar.xz



Other differences:
--
++ stress-ng.spec ++
--- /var/tmp/diff_new_pack.A1Cqyr/_old  2020-08-14 09:34:28.780433799 +0200
+++ /var/tmp/diff_new_pack.A1Cqyr/_new  2020-08-14 09:34:28.784433801 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   stress-ng
-Version:0.11.17
+Version:0.11.18
 Release:0
 Summary:Tool to load and stress a computer
 License:GPL-2.0-only

++ stress-ng-0.11.17.tar.xz -> stress-ng-0.11.18.tar.xz ++
 4787 lines of diff (skipped)




commit dovecot23 for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package dovecot23 for openSUSE:Factory 
checked in at 2020-08-14 09:33:47

Comparing /work/SRC/openSUSE:Factory/dovecot23 (Old)
 and  /work/SRC/openSUSE:Factory/.dovecot23.new.3399 (New)


Package is "dovecot23"

Fri Aug 14 09:33:47 2020 rev:31 rq:826276 version:2.3.11.3

Changes:

--- /work/SRC/openSUSE:Factory/dovecot23/dovecot23.changes  2020-05-26 
17:50:36.408049720 +0200
+++ /work/SRC/openSUSE:Factory/.dovecot23.new.3399/dovecot23.changes
2020-08-14 09:34:40.120439611 +0200
@@ -1,0 +2,116 @@
+Wed Aug 12 13:57:05 UTC 2020 - Arjen de Korte 
+
+- update to 2.3.11.3 and pigeonhole to 0.5.11 (boo#1174920 boo#1174922 
boo#1174923)
+
+  Dovecot 2.3.11.3
+  - pop3-login: Login didn't handle commands in multiple IP packets properly.
+This mainly affected large XCLIENT commands or a large SASL initial
+response parameter in the AUTH command.
+  - pop3: pop3_deleted_flag setting was broken, causing:
+Panic: file seq-range-array.c: line 472 (seq_range_array_invert):
+assertion failed: (range[count-1].seq2 <= max_seq)
+  Dovecot 2.3.11.2
+  - auth: Lua passdb/userdb leaks stack elements per call, eventually
+causing the stack to become too deep and crashing the auth or
+auth-worker process.
+  - lib-mail: v2.3.11 regression: MIME parts not returned correctly by
+Dovecot MIME parser.
+  - pop3-login: Login would fail with "Input buffer full" if the initial
+response for SASL was too long.
+  Dovecot 2.3.11
+  * CVE-2020-12100: Parsing mails with a large number of MIME parts could
+have resulted in excessive CPU usage or a crash due to running out of
+stack memory.
+  * CVE-2020-12673: Dovecot's NTLM implementation does not correctly check
+message buffer size, which leads to reading past allocation which can
+lead to crash.
+  * CVE-2020-10967: lmtp/submission: Issuing the RCPT command with an
+address that has the empty quoted string as local-part causes the lmtp
+service to crash.
+  * CVE-2020-12674: Dovecot's RPA mechanism implementation accepts
+zero-length message, which leads to assert-crash later on.
+  * Events: Fix inconsistency in events. See event documentation in
+https://doc.dovecot.org.
+  * imap_command_finished event's cmd_name field now contains "unknown"
+for unknown commands. A new "cmd_input_name" field contains the
+command name exactly as it was sent.
+  * lib-index: Renamed mail_cache_compress_* settings to mail_cache_purge_*.
+Note that these settings are mainly intended for testing and usually
+shouldn't be changed.
+  * events: Renamed "index" event category to "mail-index".
+  * events: service: category is now using the name from
+configuration file.
+  * dns-client: service dns_client was renamed to dns-client.
+  * log: Prefixes generally use the service name from configuration file.
+For example dict-async service will now use
+"dict-async(pid): " log prefix instead of "dict(pid): "
+  * *-login: Changed logging done by proxying to use a consistent prefix
+containing the IP address and port.
+  * *-login: Changed disconnection log messages to be slightly clearer.
+  + dict: Add events for dictionaries.
+  + lib-index: Finish logging with events.
+  + oauth2: Support local validation of JWT tokens.
+  + stats: Add support for dynamic histograms and grouping. See
+https://doc.dovecot.org/configuration_manual/stats/.
+  + imap: Implement RFC 8514: IMAP SAVEDATE
+  + lib-index: If a long-running transaction (e.g. SORT/FETCH on a huge
+folder) adds a lot of data to dovecot.index.cache file, commit those
+changes periodically to make them visible to other concurrent sessions
+as well.
+  + stats: Add OpenMetrics exporter for statistics. See
+https://doc.dovecot.org/configuration_manual/stats/openmetrics/.
+  + stats: Support disabling stats-writer socket by setting
+stats_writer_socket_path="".
+  - auth-worker: Process keeps slowly increasing its memory usage and
+eventually dies with "out of memory" due to reaching vsz_limit.
+  - auth: Prevent potential timing attacks in authentication secret
+comparisons: OAUTH2 JWT-token HMAC, imap-urlauth token, crypt() result.
+  - auth: Several auth-mechanisms allowed input to be truncated by NUL
+which can potentially lead to unintentional issues or even successful
+logins which should have failed.
+  - auth: When auth policy returned a delay, auth_request_finished event
+had policy_result=ok field instead of policy_result=delayed.
+  - auth: auth process crash when auth_policy_server_url is set to an
+invalid URL.
+  - dict-ldap: Crash occurs if var_expand template expansion fails.
+  - dict: If dict client disconnected while iteration was still running,
+dict process could have started 

commit rofi-calc for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package rofi-calc for openSUSE:Factory 
checked in at 2020-08-14 09:32:31

Comparing /work/SRC/openSUSE:Factory/rofi-calc (Old)
 and  /work/SRC/openSUSE:Factory/.rofi-calc.new.3399 (New)


Package is "rofi-calc"

Fri Aug 14 09:32:31 2020 rev:9 rq:826195 version:1.8

Changes:

--- /work/SRC/openSUSE:Factory/rofi-calc/rofi-calc.changes  2020-05-04 
18:40:29.649048156 +0200
+++ /work/SRC/openSUSE:Factory/.rofi-calc.new.3399/rofi-calc.changes
2020-08-14 09:34:08.784423551 +0200
@@ -1,0 +2,7 @@
+Thu Aug 13 07:36:34 UTC 2020 - Michael Vetter 
+
+- Update to 1.8:
+  * Enable qalc's Unicode mode by default
+  * Add -no-unicode option to disable aforementioned unicode support
+
+---

Old:

  v1.7.tar.gz

New:

  v1.8.tar.gz



Other differences:
--
++ rofi-calc.spec ++
--- /var/tmp/diff_new_pack.XuOS6m/_old  2020-08-14 09:34:10.496424428 +0200
+++ /var/tmp/diff_new_pack.XuOS6m/_new  2020-08-14 09:34:10.500424430 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   rofi-calc
-Version:1.7
+Version:1.8
 Release:0
 Summary:Calculator for rofi
 License:MIT

++ v1.7.tar.gz -> v1.8.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rofi-calc-1.7/.github/FUNDING.yml 
new/rofi-calc-1.8/.github/FUNDING.yml
--- old/rofi-calc-1.7/.github/FUNDING.yml   1970-01-01 01:00:00.0 
+0100
+++ new/rofi-calc-1.8/.github/FUNDING.yml   2020-08-13 05:38:06.0 
+0200
@@ -0,0 +1 @@
+github: svenstaro
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rofi-calc-1.7/.github/workflows/build.yml 
new/rofi-calc-1.8/.github/workflows/build.yml
--- old/rofi-calc-1.7/.github/workflows/build.yml   1970-01-01 
01:00:00.0 +0100
+++ new/rofi-calc-1.8/.github/workflows/build.yml   2020-08-13 
05:38:06.0 +0200
@@ -0,0 +1,23 @@
+name: Build
+
+on: [push, pull_request]
+
+jobs:
+  build:
+name: Building with ${{ matrix.compiler }}
+runs-on: ubuntu-20.04
+strategy:
+  matrix:
+compiler: [clang, gcc]
+
+steps:
+- uses: actions/checkout@v1
+- name: Install dependencies
+  run: |
+sudo apt install rofi-dev
+- name: make
+  run: |
+export CC=${{ matrix.compiler }}
+autoreconf -i
+./configure
+make -j$(nproc)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rofi-calc-1.7/.travis.yml 
new/rofi-calc-1.8/.travis.yml
--- old/rofi-calc-1.7/.travis.yml   2020-05-03 02:43:53.0 +0200
+++ new/rofi-calc-1.8/.travis.yml   1970-01-01 01:00:00.0 +0100
@@ -1,60 +0,0 @@
-sudo: required
-dist: bionic
-language: c
-compiler:
-  - clang
-  - gcc
-
-addons:
-  apt:
-packages:
-  - autoconf
-  - automake
-  - make
-  - xutils-dev
-  - libpango1.0-dev
-  - libcairo2-dev
-  - libstartup-notification0-dev
-  - libxcb-ewmh-dev
-  - libxcb-icccm4-dev
-  - libxcb-util0-dev
-  - libxcb-xinerama0-dev
-  - libxcb-xkb-dev
-  - libxcb-randr0-dev
-  - libxcb1-dev
-  - libxkbcommon-x11-dev
-  - libxkbcommon-dev
-  - texinfo
-
-before_install:
-  - sudo add-apt-repository -y 'deb http://archive.ubuntu.com/ubuntu 
trusty-backports main restricted universe multiverse'
-  - sudo apt-get update -qq
-
-install:
-  - sudo apt-get install -y --force-yes flex/trusty-backports 
libfl-dev/trusty-backports
-  - git clone --recursive https://github.com/Airblader/xcb-util-xrm.git
-  - cd xcb-util-xrm
-  - ./autogen.sh --prefix=/usr
-  - make
-  - sudo make install
-  - cd -
-  - git clone https://github.com/libcheck/check/ -b 0.11.0
-  - cd check
-  - autoreconf -i
-  - TEX="false" ./configure --prefix=/usr/
-  - make
-  - sudo make install
-  - cd -
-  - git clone --recursive https://github.com/davatorium/rofi
-  - cd rofi
-  - git checkout 1.5.4
-  - autoreconf -i
-  - ./configure
-  - make
-  - sudo make install
-  - cd -
-
-script:
-  - autoreconf -i
-  - ./configure
-  - make
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rofi-calc-1.7/CHANGELOG.md 
new/rofi-calc-1.8/CHANGELOG.md
--- old/rofi-calc-1.7/CHANGELOG.md  1970-01-01 01:00:00.0 +0100
+++ new/rofi-calc-1.8/CHANGELOG.md  2020-08-13 05:38:06.0 +0200
@@ -0,0 +1,7 @@
+# Changelog
+
+## [Unreleased] - ReleaseDate
+
+## [1.8] - 2020-08-13
+- Enable qalc's Unicode mode by default
+- Add `-no-unicode` option to disable aforementioned unicode support
diff -urN '--exclude=CVS' '--exclude=.cvsignore' 

commit tensorflow for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package tensorflow for openSUSE:Factory 
checked in at 2020-08-14 09:33:04

Comparing /work/SRC/openSUSE:Factory/tensorflow (Old)
 and  /work/SRC/openSUSE:Factory/.tensorflow.new.3399 (New)


Package is "tensorflow"

Fri Aug 14 09:33:04 2020 rev:22 rq:826254 version:1.15.3

Changes:

--- /work/SRC/openSUSE:Factory/tensorflow/tensorflow.changes2020-07-05 
01:17:40.432899412 +0200
+++ /work/SRC/openSUSE:Factory/.tensorflow.new.3399/tensorflow.changes  
2020-08-14 09:34:34.848436909 +0200
@@ -1,0 +2,5 @@
+Wed Aug 12 23:52:44 UTC 2020 - Matej Cepl 
+
+- Replace pypi.python.org Source URL with the canonical files.pythonhosted.org
+
+---



Other differences:
--
++ tensorflow.spec ++
--- /var/tmp/diff_new_pack.DB8imB/_old  2020-08-14 09:34:36.100437551 +0200
+++ /var/tmp/diff_new_pack.DB8imB/_new  2020-08-14 09:34:36.104437552 +0200
@@ -115,9 +115,9 @@
 # License10: Apache-2.0
 Source10:   
https://github.com/bazelbuild/rules_closure/archive/308b05b2419edb5c8ee0471b67a40403df940149.tar.gz#/rules_closure.tar.gz
 # License12:  Python-2.0
-Source12:   
https://pypi.python.org/packages/bc/cc/3cdb0a02e7e96f6c70bd971bc8a90b8463fda83e264fa9c5c1c98ceabd81/backports.weakref-1.0rc1.tar.gz#/backports.weakref-1.0rc1.tar.gz
+Source12:   
https://files.pythonhosted.org/packages/source/b/backports.weakref/backports.weakref-1.0rc1.tar.gz
 # License13: BSD-3-Clause
-Source14:   
https://files.pythonhosted.org/packages/4e/35/11749bf99b2d4e3cceb4d55ca22590b0d7c2c62b9de38ac4a4a7f4687421/gast-0.2.2.tar.gz
+Source14:   
https://files.pythonhosted.org/packages/source/g/gast/gast-0.2.2.tar.gz
 # License15: MIT
 Source15:   
https://github.com/google/farmhash/archive/816a4ae622e964763ca0862d9dbd19324a1eaf45.tar.gz#/farmhash.tar.gz
 # License17: Apache-2.0
@@ -153,7 +153,7 @@
 # License43: BSD and ICU License
 Source44:   
https://github.com/nanopb/nanopb/archive/f8ac463766281625ad710900479130c7fcb4d63b.tar.gz#/nanopb.tar.gz
 # Deps sources for Tensorflow-Lite (use same eigen, gemmlowp and abseil_cpp 
packages as non lite version)
-Source46:   
https://pypi.python.org/packages/c5/60/6ac26ad05857c601308d8fb9e87fa36d0ebf889423f47c3502ef034365db/functools32-3.2.3-2.tar.gz
+Source46:   
https://files.pythonhosted.org/packages/source/f/functools32/functools32-3.2.3-2.tar.gz
 Source47:   
https://github.com/pybind/pybind11/archive/v2.3.0.tar.gz#/pybind11-v2.3.0.tar.gz
 Source48:   
https://github.com/llvm-mirror/llvm/archive/7a7e03f906aada0cf4b749b51213fe5784eeff84.tar.gz#/llvm.tar.gz
 Source49:   
https://github.com/mborgerding/kissfft/archive/36dbc057604f00aacfc0288ddad57e3b21cfc1b8.tar.gz#/kissfft.tar.gz








commit klee for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package klee for openSUSE:Factory checked in 
at 2020-08-14 09:32:53

Comparing /work/SRC/openSUSE:Factory/klee (Old)
 and  /work/SRC/openSUSE:Factory/.klee.new.3399 (New)


Package is "klee"

Fri Aug 14 09:32:53 2020 rev:22 rq:826246 version:2.1+20200730

Changes:

--- /work/SRC/openSUSE:Factory/klee/klee.changes2020-06-16 
13:46:34.670202337 +0200
+++ /work/SRC/openSUSE:Factory/.klee.new.3399/klee.changes  2020-08-14 
09:34:32.244435575 +0200
@@ -1,0 +2,22 @@
+Thu Aug 06 09:35:38 UTC 2020 - jsl...@suse.com
+
+- Update to version 2.1+20200730:
+  * introduce --rng-initial-seed=
+  * remove holes in Instruction-/FunctionInfoTable, add documentation
+  * Clean-up and add documentation
+  * Remove state contructor with constraints
+  * Use constraint sets and separate metadata for timing solver invocation
+  * Separate constraint set and constraint manager
+  * Move constraint implementation from header to cpp files
+  * Enable subsets for RandomPathSearcher
+  * [PTree] Replace left/right with PointerIntPair
+  * Implement fshr/fshl intrinsics
+  * Switch to a more recent version of SQLite in the CI
+  * Enforce fork/branch limits in branch() and fix double termination
+  * fix Executor: initializeGlobalAliases
+  * ExecutorUtil: assert that GlobalValue is already known
+  * add simple unknown bitcast alias test from the original issue
+  * and more
+- switch to obs_scm
+
+---

Old:

  klee-2.1+20200606.tar.xz

New:

  klee-2.1+20200730.obscpio
  klee.obsinfo



Other differences:
--
++ klee.spec ++
--- /var/tmp/diff_new_pack.BdDB48/_old  2020-08-14 09:34:32.980435952 +0200
+++ /var/tmp/diff_new_pack.BdDB48/_new  2020-08-14 09:34:32.984435954 +0200
@@ -19,7 +19,7 @@
 %define llvm_version_major 10
 %define llvm_version %{llvm_version_major}
 
-%define version_unconverted 2.1+20200606
+%define version_unconverted 2.1+20200730
 
 %ifarch %{ix86} x86_64
 %define with_uclibc 1
@@ -31,7 +31,7 @@
 Summary:LLVM Execution Engine
 License:NCSA
 Group:  Development/Languages/Other
-Version:2.1+20200606
+Version:2.1+20200730
 Release:0
 URL:http://klee.github.io/
 Source0:%{name}-%{version}.tar.xz

++ _service ++
--- /var/tmp/diff_new_pack.BdDB48/_old  2020-08-14 09:34:33.024435974 +0200
+++ /var/tmp/diff_new_pack.BdDB48/_new  2020-08-14 09:34:33.028435976 +0200
@@ -1,5 +1,5 @@
 
-  
+  
 git://github.com/klee/klee.git
 git
 enable
@@ -7,9 +7,11 @@
 v(.*)
 \1
   
-  
+  
+
+  
+  
 klee-*.tar
 xz
   
-  
 

++ _servicedata ++
--- /var/tmp/diff_new_pack.BdDB48/_old  2020-08-14 09:34:33.052435988 +0200
+++ /var/tmp/diff_new_pack.BdDB48/_new  2020-08-14 09:34:33.052435988 +0200
@@ -1,4 +1,4 @@
 
 
 git://github.com/klee/klee.git
-  6ca440f14381c8f0461ede18eccc16bba1135e88
\ No newline at end of file
+  088fc21e12c9675161172899be5ef5051f1ae96b
\ No newline at end of file

++ klee.obsinfo ++
name: klee
version: 2.1+20200730
mtime: 1596123871
commit: 088fc21e12c9675161172899be5ef5051f1ae96b




commit netdiscover for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package netdiscover for openSUSE:Factory 
checked in at 2020-08-14 09:33:38

Comparing /work/SRC/openSUSE:Factory/netdiscover (Old)
 and  /work/SRC/openSUSE:Factory/.netdiscover.new.3399 (New)


Package is "netdiscover"

Fri Aug 14 09:33:38 2020 rev:5 rq:826270 version:0.7

Changes:

--- /work/SRC/openSUSE:Factory/netdiscover/netdiscover.changes  2020-05-12 
22:33:11.743977514 +0200
+++ /work/SRC/openSUSE:Factory/.netdiscover.new.3399/netdiscover.changes
2020-08-14 09:34:39.036439055 +0200
@@ -1,0 +2,9 @@
+Thu Aug 13 12:01:50 UTC 2020 - Martin Pluskal 
+
+- Update to version 0.7:
+  * Updated create-man.sh to 2.0 version.
+  * Updated manpage dates.
+  * Updated update-oui-database.sh to be useful in macOS.
+  * Updated OUI table.
+
+---

Old:

  netdiscover-0.6.tar.gz

New:

  netdiscover-0.7.tar.gz



Other differences:
--
++ netdiscover.spec ++
--- /var/tmp/diff_new_pack.Qjw46S/_old  2020-08-14 09:34:39.516439302 +0200
+++ /var/tmp/diff_new_pack.Qjw46S/_new  2020-08-14 09:34:39.520439303 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   netdiscover
-Version:0.6
+Version:0.7
 Release:0
 Summary:A network address discovering/monitoring tool
 License:GPL-3.0-or-later

++ netdiscover-0.6.tar.gz -> netdiscover-0.7.tar.gz ++
 2832 lines of diff (skipped)




commit libcpuid for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package libcpuid for openSUSE:Factory 
checked in at 2020-08-14 09:33:17

Comparing /work/SRC/openSUSE:Factory/libcpuid (Old)
 and  /work/SRC/openSUSE:Factory/.libcpuid.new.3399 (New)


Package is "libcpuid"

Fri Aug 14 09:33:17 2020 rev:6 rq:826264 version:0.5.0+git.20200528

Changes:

--- /work/SRC/openSUSE:Factory/libcpuid/libcpuid.changes2020-05-28 
09:13:46.396670287 +0200
+++ /work/SRC/openSUSE:Factory/.libcpuid.new.3399/libcpuid.changes  
2020-08-14 09:34:36.740437879 +0200
@@ -1,0 +2,8 @@
+Thu Aug 13 11:17:44 UTC 2020 - Martin Pluskal 
+
+- Update to version 0.5.0+git.20200528:
+  * Related to c2645d0. Convert all python scripts to Python 3.
+  * Add Downloads section on Readme.md Close #140
+  * Add I-Nex to the users list
+
+---

Old:

  libcpuid-0.5.0+git.20200526.obscpio

New:

  libcpuid-0.5.0+git.20200528.obscpio



Other differences:
--
++ libcpuid.spec ++
--- /var/tmp/diff_new_pack.L1HkDm/_old  2020-08-14 09:34:37.336438184 +0200
+++ /var/tmp/diff_new_pack.L1HkDm/_new  2020-08-14 09:34:37.336438184 +0200
@@ -18,7 +18,7 @@
 
 %define so_ver  15
 Name:   libcpuid
-Version:0.5.0+git.20200526
+Version:0.5.0+git.20200528
 Release:0
 Summary:Library providing x86 CPU identification
 License:BSD-2-Clause

++ _servicedata ++
--- /var/tmp/diff_new_pack.L1HkDm/_old  2020-08-14 09:34:37.380438207 +0200
+++ /var/tmp/diff_new_pack.L1HkDm/_new  2020-08-14 09:34:37.380438207 +0200
@@ -1,4 +1,4 @@
 
 
 g...@github.com:anrieff/libcpuid.git
-  5da90c9dcc8db37fed62c9fc681ade6f31418e78
\ No newline at end of file
+  52c5f505cff57266b32aa8eb95eb7c7fc47db94b
\ No newline at end of file

++ libcpuid-0.5.0+git.20200526.obscpio -> 
libcpuid-0.5.0+git.20200528.obscpio ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libcpuid-0.5.0+git.20200526/Readme.md 
new/libcpuid-0.5.0+git.20200528/Readme.md
--- old/libcpuid-0.5.0+git.20200526/Readme.md   2020-05-26 09:17:00.0 
+0200
+++ new/libcpuid-0.5.0+git.20200528/Readme.md   2020-05-28 18:57:30.0 
+0200
@@ -70,11 +70,33 @@
 Users
 -
 
-So far, I'm aware of the following projects which utilize libcpuid:
+So far, I'm aware of the following projects which utilize libcpuid (listed 
alphabetically):
 
 * CPU-X (https://github.com/X0rg/CPU-X)
 * fre:ac (https://www.freac.org/)
-* ucbench (http://anrieff.net/ucbench)
+* I-Nex (https://github.com/i-nex/I-Nex)
 * Multiprecision Computing Toolbox for MATLAB (https://www.advanpix.com/)
+* ucbench (http://anrieff.net/ucbench)
 
 We'd love to hear from you if you are also using libcpuid and want your 
project listed above.
+
+Downloads
+-
+
+You can find latest versioned archives 
[here](https://github.com/anrieff/libcpuid/releases/latest), with binaries for 
macOS and Windows.
+
+ Binary packages
+
+Also, libcpuid is available for following systems in official repositories:
+
+* [Debian (since version 11 
"Bullseye")](https://packages.debian.org/source/bullseye/libcpuid): `apt 
install cpuidtool libcpuid14 libcpuid-dev`
+* [Fedora (since version 25)](https://src.fedoraproject.org/rpms/libcpuid): 
`dnf install libcpuid libcpuid-devel`
+* [FreeBSD (since version 11)](https://www.freshports.org/sysutils/libcpuid): 
`pkg install libcpuid`
+* [OpenMandriva Lx (since version 4.0 
"Nitrogen")](https://github.com/OpenMandrivaAssociation/libcpuid): `dnf install 
libcpuid-tools libcpuid14 libcpuid-devel`
+* [openSUSE Leap (since version 
15.1)](https://software.opensuse.org/package/libcpuid): `zypper install 
libcpuid-tools libcpuid14 libcpuid-devel`
+* [Solus](https://packages.getsol.us/shannon/libc/libcpuid/): `eopkg install 
libcpuid libcpuid-devel`
+* [Ubuntu (since version 20.04 "Focal 
Fossa")](https://packages.ubuntu.com/source/focal/libcpuid) : `apt install 
cpuidtool libcpuid14 libcpuid-dev`
+
+ Build tool
+
+* Vcpkg: `vcpkg install cpuid`
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/libcpuid-0.5.0+git.20200526/libcpuid/check-consistency.py 
new/libcpuid-0.5.0+git.20200528/libcpuid/check-consistency.py
--- old/libcpuid-0.5.0+git.20200526/libcpuid/check-consistency.py   
2020-05-26 09:17:00.0 +0200
+++ new/libcpuid-0.5.0+git.20200528/libcpuid/check-consistency.py   
2020-05-28 18:57:30.0 +0200
@@ -1,9 +1,9 @@
-#!/usr/bin/env python2.7
+#!/usr/bin/env python3
 
 import os, sys, re, glob
 
 if len(sys.argv) != 2:
-   print "Usage: check-consistency "
+   print("Usage: check-consistency ")
   

commit dMagnetic for openSUSE:Factory

2020-08-14 Thread root
Hello community,

here is the log from the commit of package dMagnetic for openSUSE:Factory 
checked in at 2020-08-14 09:32:59

Comparing /work/SRC/openSUSE:Factory/dMagnetic (Old)
 and  /work/SRC/openSUSE:Factory/.dMagnetic.new.3399 (New)


Package is "dMagnetic"

Fri Aug 14 09:32:59 2020 rev:2 rq:826258 version:0.25

Changes:

--- /work/SRC/openSUSE:Factory/dMagnetic/dMagnetic.changes  2020-08-06 
17:33:27.561104630 +0200
+++ /work/SRC/openSUSE:Factory/.dMagnetic.new.3399/dMagnetic.changes
2020-08-14 09:34:33.820436382 +0200
@@ -1,0 +2,5 @@
+Thu Aug  6 10:39:30 UTC 2020 - Jan Engelhardt 
+
+- Put up a more sensible description.
+
+---
@@ -5 +10 @@
-  comporession (see rq#823547#status-history-8597198 )
+  compression (see rq#823547#status-history-8597198 )



Other differences:
--
++ dMagnetic.spec ++
--- /var/tmp/diff_new_pack.WWLO79/_old  2020-08-14 09:34:34.508436735 +0200
+++ /var/tmp/diff_new_pack.WWLO79/_new  2020-08-14 09:34:34.512436737 +0200
@@ -19,15 +19,16 @@
 Name:   dMagnetic
 Version:0.25
 Release:0
-Summary:A Magnetic Scrolls Interpreter
+Summary:An interpreter for Magnetic Scrolls games
 License:BSD-2-Clause
 Group:  Amusements/Games/Other
 URL:http://dettus.net/dMagnetic/
 Source0:http://dettus.net/dMagnetic/dMagnetic_%{version}.tar.bz2
 
 %description
-
-Olay Textadventures from Magnetic Scrolls with glorious ANSI Art.
+An interpreter for games produced by the studio Magnetic Scrolls. It
+can be used to play "The Pawn", "The Guild of Thieves", "Jinxter",
+"Fish!", "Myth", "Corruption" and "Wonderland".
 
 %prep
 %setup -q -n dMagnetic_%{VERSION}




  1   2   >